2026-01-01  Aidan Kehoe  <kehoea@parhasard.net>

	* XEmacs 21.4.25 is released

2026-01-01  Aidan Kehoe  <kehoea@parhasard.net>

	Change from Hauke Fath, <hauke@Espresso.Rhein-Neckar.DE>,
	maintained in NetBSD pkgsrc tree.
	* gui.el (insert-gui-button):
	Do not call xemacs-package functions from standalone xemacs
	without checking they are aveilable.

2015-03-24 Vin Shelton <acs@xemacs.org>

	* XEmacs 21.4.24 is released

2015-01-29  Vin Shelton <acs@xemacs.org>
 
	* XEmacs 21.4.23 is released

2009-01-31  Dr. Volker Zell  <Dr.Volker.Zell@oracle.com>

	* about.el (about-hackers): Update my entry.

	* printer.el (generic-print-buffer): Make File->Print work under Cygwin
	X11 version of XEmacs, instead of emitting:
	Feature not yet implemented: "Dialog box type", print-setup
	(generic-print-region): Ditto.

2014-09-24  Vin Shelton  <acs@xemacs.org>

	* menubar.el:  (add-menu-item-1, delete-menu-item): Do not assume
	every top-level menu is on current-menubar.
	Patch from Byrel Mitchell; applied to 21.5 on 2013-12-30.

2014-09-24  Jerry James  <james@xemacs.org>

	* font-lock.el (font-lock-add-keywords): Adapt to differences in
	Emacs and XEmacs compiled font-lock lists.
	(font-lock-remove-keywords): Ditto.
	(font-lock-set-defaults-1): Make changes specified by
	font-lock-keywords-alist and font-lock-removed-keywords-alist.

2012-01-08  Vin Shelton  <acs@xemacs.org>

	* cus-face.el: autoload custom-set-face-bold.

2011-11-14  Vin Shelton  <acs@xemacs.org>

	* faces.el: When the default background was changed from light to
	dark or vice versa, the custom-property cache maintained the old
	value, preventing face definitions from choosing the proper
	values.  Patch from Aidan Kehoe.

2009-08-14  Aidan Kehoe  <kehoea@parhasard.net>

	* minibuf.el (read-from-minibuffer):
	Use buffer (format " *Minibuf-%d*" (minibuffer-depth)), regardless
	of depth.

2009-10-14  Mike Sperber  <mike@xemacs.org>

	* code-files.el (insert-file-contents): Call the file-name handler
	from Lisp, not from `insert-file-contents-internal', which is too late.

2008-12-28  Vin Shelton  <acs@xemacs.org>

	* XEmacs 21.4.22 is released

2008-12-30  Vin Shelton  <acs@xemacs.org>

	* easy-mmode.el: Added easy-mmode.el so autoload.el will work
	during building even if no packages are found.

2008-05-13  Aidan Kehoe  <kehoea@parhasard.net>

 	* printer.el (generic-print-region): 
 	(generic-print-buffer): 
 	Use #'valid-device-type-p instead of #'valid-specifier-tag-p to
 	check if the msprinter device is available, now that msprinter is
 	always available as a specifier tag. 

2008-12-24  Vin Shelton  <acs@xemacs.org>

	* about.el: Add Francisco to my bio!

2008-12-23  Vin Shelton  <acs@xemacs.org>

	* autoload.el: Move operator definitions to autoload-operators.el
	in the xemacs-base package.

2007-11-22  Vin Shelton  <acs@xemacs.org>

	* about.el (about-hacker-contribution): Updated my bio.

2007-10-07  Vin Shelton  <acs@xemacs.org>

	* XEmacs 21.4.21 is released

2007-09-19  Didier Verna  <didier@xemacs.org>

	Update my personal info.
	* about.el (xemacs-hackers): Use 'didier instead of 'dv.
	* about.el (about-other-current-hackers): Ditto.
	* about.el (about-url-alist): Add my musical website.
	* about.el (about-personal-info): Update my entry.
	* about.el (about-hacker-contribution): Ditto.

2007-08-21  Adrian Aichner  <adrian@xemacs.org>

	* package-get.el (package-get-download-sites): Update download
	sites in Japan.
	* package-get.el (package-get-pre-release-download-sites): Ditto.

2007-08-18  Vin Shelton  <acs@xemacs.org>

	* package-get.el (package-get-pre-release-download-sites): Sync
	mirror sites with 21.5.  (Thanks, Adrian)

2007-08-09  Mike Sperber  <mike@xemacs.org>

	* startup.el (migrate-user-init-file): Create backup of
	`user-init-file' before migrating.
	* startup.el (maybe-migrate-user-init-file): Print
	information about backup file.
	(maybe-create-compatibility-dot-emacs): Follow above change.

2006-11-02  Adrian Aichner  <adrian@xemacs.org>

	* font-lock.el: Sync font-lock-add-keywords and
	font-lock-remove-keywords from GNU Emacs.
	* font-lock.el (font-lock-keywords-alist): New.
	* font-lock.el (font-lock-removed-keywords-alist): New.
	* font-lock.el (font-lock-add-keywords): New.
	* font-lock.el (font-lock-update-removed-keyword-alist): New.
	* font-lock.el (font-lock-remove-keywords): New.

2007-08-16  Vin Shelton  <acs@xemacs.org>

	* font-lock.el: Add defvar for font-lock-warning-face.  Original
	patch from Hans de Graaff.

2007-07-28  Adrian Aichner  <adrian@xemacs.org>

	* package-get.el (package-get-download-sites): Document Chile and
	update Denmark download site.
	* package-get.el (package-get-pre-release-download-sites): Ditto.

2007-05-20  Stephen J. Turnbull  <stephen@xemacs.org>

	* gutter-items.el (progress-feedback-with-label): Clarify docstring.

2006-12-09  Vin Shelton  <acs@xemacs.org>

	* XEmacs 21.4.20 is released

2006-10-14  Jeff Miller  <jmiller@xemacs.org>

	* info.el (Info-find-emacs-command-nodes): fix regex for find command node.

2006-11-14  Stephen J. Turnbull  <stephen@xemacs.org>

	* info.el (Info-find-file-node, Info-insert-dir)
	(Info-read-subfile, Info-insert-file-contents): Maintain invariant
	`(equal buffer-file-truename (file-truename buffer-file-name))'.
	Thanks to Nelson Ferreira <nelson.ferreira@ieee.org> for report
	and discussion.

2006-05-20  Ville Skyttä  <scop@xemacs.org>

	* obsolete.el (line-beginning-position): New, from 21.5.x.
	(line-end-position): Ditto.

2006-06-03  Adrian Aichner  <adrian@xemacs.org>

	* package-get.el (package-get-download-sites): Welcome
	nl.xemacs.org and Thanks!
	* package-get.el (package-get-pre-release-download-sites): Ditto.

2004-01-19  Martin Buchholz  <martin@xemacs.org>

	* font-lock.el: Add support for not-so recent changes in Java to
	java-mode.

2006-01-28  Vin Shelton  <acs@xemacs.org>

	* XEmacs 21.4.19 is released

2006-01-03  Aidan Kehoe  <kehoea@parhasard.net>

	* easymenu.el: Update copyright. 
	* easymenu.el (easy-menu-all-popups):
	Add a docstring. 
	* easymenu.el (easy-menu-add):
	Document a bug, rework the function to preserve any existing
	non-default mode-popup-menu instead of overwriting it, and not to
	bother normalising the menu title (nothing else does).
	* easymenu.el (easy-menu-remove):
	Restore the default mode-popup-menu instead of leaving an empty
	one when we remove the last easy-menu popup. 

2006-01-06  Adrian Aichner  <adrian@xemacs.org>

	* package-get.el (package-get-download-sites): Add pt.xemacs.org,
	as suggested by Rodrigo Ventura.
	* package-get.el (package-get-pre-release-download-sites): Ditto,
	with replacement of xemacs-21.5 by beta, which is the logical path
	to our beta core and package pre-releases.

2005-12-17  Adrian Aichner  <adrian@xemacs.org>

	* package-get.el (package-get-download-sites): Add Hong Kong
	download site.
	* package-get.el (package-get-pre-release-download-sites): Ditto.

2005-12-26  Vin Shelton  <acs@xemacs.org>

	* find-paths.el:
	* find-paths.el (paths-emacs-root-p): Add search for package root.
	* find-paths.el (paths-find-emacs-root): Replaced with
	paths-find-invocation-roots, which returns a list of roots.
	* find-paths.el (paths-find-invocation-roots): New.
	* find-paths.el (paths-find-emacs-roots): Call paths-find-invocation-roots.

2005-12-05  Ville Skyttä  <scop@xemacs.org>

	* minibuf.el (x-library-search-path): Add /usr(/local)/share/X11.
	* font.el (font-lookup-rgb-components): Ditto, remove stale comment.

2005-12-03  Vin Shelton <acs@xemacs.org>

	* XEmacs 21.4.18 is released

2005-10-28  Adrian Aichner  <adrian@xemacs.org>

	* package-get.el (package-get-download-sites): Update reflecting
	latest http://www.xemacs.org/Releases/ information generated by
	xemacs-builds/adrian/website/package-get-2-download-sites.el.
	* package-get.el (package-get-pre-release-download-sites): Ditto.

2005-02-28  Simon Josefsson  <jas@extundo.com>

	* about.el (xemacs-hackers): Add jas.
	(about-other-current-hackers): Likewise.
	(about-url-alist): Add URL for jas.
	(about-personal-info): Document jas.
	(about-hacker-contribution): Describe jas contributions.

2005-03-25  Ralf Angeli  <angeli@iwi.uni-sb.de> 

	* easymenu.el (easy-menu-remove): As described in 
	E1D4Nn5-0001lq-EU@neutrino.iwi.uni-sb.de; don't strip everything
	except the "Command" menu from mode-popup-menu. 

2005-03-25  Ralf Angeli  <angeli@iwi.uni-sb.de> 
 
        * font.el (font-spatial-to-canonical): Correct calculation of 
        return value for pixel-based input value. 
 
2002-05-13  Adrian Aichner  <adrian@xemacs.org>

	* code-process.el (call-process): Process-related docstring
	improvements spurred by Norbert Koch.
	* code-process.el (call-process-region): Ditto.
	* code-process.el (start-process): Ditto.

2005-10-09  Adrian Aichner  <adrian@xemacs.org>

	* finder.el (finder-find-library): Return filename actually
	searched for.

2005-10-10  Steve Youngs  <steve@sxemacs.org>

	* help.el (view-emacs-news): Use `expand-file-name' instead of
	`locate-data-file' as the latter will find any "NEWS" files that
	might exist in packages _before_ the one in core.

2005-06-06  Adrian Aichner  <adrian@xemacs.org>

	* package-get.el (package-get-init-package):
	package-get-init-package buglet (21.4.17) by Jeff Mincy
	<mincy@rcn.com> fixing false temporary load-path shadows reported
	after package installation and simplifying code.

2005-10-18  Ville SkyttÃ¤  <scop@xemacs.org>

	* package-get.el (package-get-download-sites): Sync mirrors list
	with the XEmacs website.
	(package-get-pre-release-download-sites): Ditto.

2005-04-06  Stephen J. Turnbull  <stephen@xemacs.org>

	* derived.el (derived-mode-merge-syntax-tables):
	Revert my 21.5-only patch of 2003-07-18 which slipped in
	through Jerry James's patch of 2004-06-07.

2005-02-23  Adrian Aichner  <adrian@xemacs.org>

	* cmdloop.el (keyboard-quit): Remove workaround for
	`region-active-p' not making sure active region is in current
	buffer now that it does.
	* minibuf.el (minibuffer-keyboard-quit): Ditto.
	* simple.el (region-active-p): `region-active-p' to only return t
	when active region is in current buffer.

2005-02-21  Norbert Koch  <viteno@xemacs.org>

	* package-ui.el (pui-list-packages): MF21.5, adapt to longer
	package names, quell a byte-compiler warning, doc fix.

2005-02-16  Aidan Kehoe  <kehoea@parhasard.net>

	* buffer.el (pop-to-buffer):
	* window-xemacs.el (display-buffer):
	Document use of `same-window-buffer-names,' `same-window-regexps'
	by pop-to-buffer and display-buffer. 
	
2005-02-06  Vin Shelton <acs@xemacs.org>

	* XEmacs 21.4.17 is released

2005-01-29  Ben Wing  <ben@xemacs.org>

	* shadow.el (find-emacs-lisp-shadows):
	Add custom-defines to list of ignored files.

2005-01-17  Adrian Aichner  <adrian@xemacs.org>

	* simple.el (shifted-motion-keys-select-region): Fix statement
	about unshifted-motion-keys-deselect-region.

2004-12-15  Ville Skyttä  <scop@xemacs.org>

	* bytecomp-runtime.el (make-obsolete): Add 3rd argument (no-op for
	now) for GNU Emacs compatibility.
	(make-obsolete-variable): Ditto.

2004-01-08  Ben Wing  <ben@xemacs.org>

	* code-files.el (load):
	File positions are 0 based not 1 based. Thanks to Steve Youngs.

2004-12-05  Vin Shelton <acs@xemacs.org>

	* XEmacs 21.4.16 is released

2004-12-04  Vin Shelton  <acs@xemacs.org>

	* auto-autoloads.el: Regenerated.

	* custom-load.el: Regenerated.

2004-09-15  Stephen J. Turnbull  <stephen@xemacs.org>

	Fix bug: apropos errors if a defalias refers to an undefined
	function.  <87pt4pmdcs.fsf@tleepslib.sk.tsukuba.ac.jp>

	* apropos.el (apropos):
	(apropos-command):
	* help.el (frob-help-extents):
	* help-macro.el (make-help-screen):
	* hyper-apropos.el (hyper-apropos-grok-functions):
	(hyper-apropos-get-doc):
	Catch void-function error thrown by `documentation'.

2004-09-02  Steve Youngs  <steve@youngs.au.com>

	* packages.el (package-require): Fix incorrect arg to format.
	This fixes a `format specifier' error.

2004-08-13  Jerry James  <james@xemacs.org>

	* bytecomp.el (forward-word): Tell the byte compiler the correct
	number of arguments to forward-word.

2004-08-12  Sven Grundmann  <sven@xemacs.org>

	* etags.el: Fixed loading of include files for tag completion. Now
	you can make a tag file for a library, include it into your
	project and it will be reloaded only if it changed. Infinte
	include loops are detected and the correct tag files are loaded.
	* etags.el (buffer-tag-table-list): Load and verify tag files in
	the external function buffer-tag-table-list-load.
	* etags.el (buffer-tag-table-list-load): New. Load and verify the
	tag files. Also load the included tag files. The priority of the
	included files is right below their parent file. If multiple
	matches occur then the symbols from the parent file are found
	first.
	* etags.el (tag-table-include-files): Corrected comment
	string. Switched to pattern constant tags-include-pattern to have
	it at a central location.
	* etags.el (tags-include-pattern): Added doc string.
	* etags.el (add-to-tag-completion-table): Removed obsolete
	comments as the include files are allready returned by
	buffer-tag-table-list and loaded.
	* etags.el (find-tag-internal): The include files are allready
	included in tag-tables as buffer-tag-table-list returns them now.

2004-07-02  Malcolm Purvis  <malcolmp@xemacs.org>

	* widgets-gtk.el (gtk-widget-instantiate-notebook-internal):
	Loading items into the notebook is now done by C code.
	* widgets-gtk.el (gtk-widget-instantiate-internal):
	Style no longer changed.

2004-06-28  Nix  <nix@esperi.org.uk>

	* cmdloop.el (truncate-command-history-for-gc): Delay
        execution of all things that look up variable bindings,
        via `enqueue-eval-event'.

2004-06-24  Vin Shelton  <acs@xemacs.org>

	* package-get.el (package-get-require-signed-base-updates):
	now defaults to nil.

2004-06-09  Stephen J. Turnbull  <stephen@xemacs.org>

	* subr.el (split-string): Clean up docstring.

2002-01-24  John Paul Wallington  <jpw@shootybangbang.com>

	* faces.el (zmacs-region): fix typo in docstring.

2004-06-07  Jerry James  <james@xemacs.org>

	* derived.el: Synch with Emacs 21.3.
	* subr.el (with-local-quit): New, from Emacs 21.3.
	* subr.el (delayed-mode-hooks): New variable, from Emacs 21.3.
	* subr.el (run-mode-hooks): New function, from Emacs 21.3.
	* subr.el (delay-mode-hooks): New macro, from Emacs 21.3.

2004-06-16  Jerry James  <james@xemacs.org>

	* cl.el (cl-set-substring): Increment start by the length of the
	string, not the string itself.

2004-05-19  Malcolm Purvis  <malcolmp@xemacs.org>

	* etags.el (tag-table-include-files): Expand included TAGS file
	paths to avoid problems with relative paths.  Thanks to Peter
	Chubb <peterc@gelato.unsw.edu.au>.
	* etags.el (tags-include-pattern): New.
	* etags.el (add-to-tag-completion-table): Parse and ignore
	trailing include lines.

2004-06-21  Adrian Aichner  <adrian@xemacs.org>

	* package-ui.el (pui-help-echo): Fix false cvs conflict by
	avoiding line solely composed of equal signs.

2004-06-10  Adrian Aichner  <adrian@xemacs.org>

	* cus-edit.el (alloc): Typo fix.
	* cus-edit.el (custom-browse-visibility): Ditto.
	* cus-edit.el (custom-variable-value-create): Ditto.
	* cus-edit.el (custom-variable-pre-reset-standard): Ditto.
	* cus-edit.el (custom-save-variables): Bind print-length and
	print-level to nil to avoid value abbreviation.
	* cus-edit.el (custom-save-face-internal): Ditto.
	* cus-edit.el (custom-save-faces): Save in sorted order.
	* cus-edit.el (custom-save-resets): Bind print-length and
	print-level to nil to avoid value abbreviation.
	* cus-edit.el (custom-save-loaded-themes): Ditto.

2004-06-09  Stephen J. Turnbull  <stephen@xemacs.org>

	* subr.el (split-string-default-separators): New.
	(split-string): Synch to 21.5/GNU Emacs version.  *New semantics*,
	see comment in source.

2004-01-29  Stephen J. Turnbull  <stephen@xemacs.org>

	* mule/japanese.el (paragraph-start, paragraph-separate):
	Remove anchor to BOL.

2004-04-30  Stephen J. Turnbull  <stephen@xemacs.org>

	* cl.el (gensym, gentemp): Improve docstrings.

2004-05-10  Vin Shelton  <acs@xemacs.org>

	* etags.el: Sync with 21.5 version.

2004-04-21  Sven Grundmann  <sven@hellerhof.de>

	* etags.el:
	* etags.el (tags-exuberant-ctags-optimization-p): Enable optimization
	only for use with exuberant ctags. This will also enable building of 
	completion tables with exuberant ctags. This will not work with
	xemacs ctags. 
	* etags.el (get-tag-table-buffer): New function for creating of
	completion table is used if tags-exuberant-ctags-optimization-p ist t
	* etags.el (tags-explicit-name-pattern): Hold the name pattern for
	finding the tag names. New.
	* etags.el (add-to-tag-completion-table-exuberant-ctags): Defun for
	building tag completion table with exuberant ctags. New.
	* etags.el (find-tag-internal): Improve exact tag matching for tags
	with name fields. Before the patch return types of functions or
	function parameters (with exuberant ctags) were found as matches.

2004-04-21  Sven Grundmann  <sven@hellerhof.de>

	* list-mode.el (display-completion-list): Fixed completion list was
	taking the width of the frame and not of the window for displaying
	the selection methods.

2004-04-18  Stephen J. Turnbull  <stephen@xemacs.org>

	* menubar-items.el (default-menubar): Options are saved to custom.el.


2004-02-23  Stephen J. Turnbull  <stephen@xemacs.org>

	* isearch-mode.el (isearch-abort): Preserve successful search target.

2004-03-27  Adrian Aichner  <adrian@xemacs.org>

	* gnuserv.el: Sync with 21.5 version, inspired by bugreport and
	(make-variable-buffer-local 'gnuserv-minor-mode) patch by Robert
	Bihlmeyer.
	* gnuserv.el (gnuserv-mode-line-string): New.
	* gnuserv.el (gnuserv-minor-mode): Make it buffer-local, not
	gnuserv-mode.
	* gnuserv.el (make-x-device-with-gtk-fallback): New.
	* gnuserv.el (gnuserv-edit-files): Use
	make-x-device-with-gtk-fallback.

2004-03-23  Malcolm Purvis  <malcolmpurvis@optushome.com.au>

	* gtk-widgets.el: New import: gtk-accel-group-new.
	* dialog-gtk.el:
	* dialog-gtk.el (gtk-popup-convert-underscores): New.
	* dialog-gtk.el (popup-builtin-question-dialog):
	Added support for dialog button mnemonics.

2004-03-22  Chris Green <cmg@dok.org>

	* process.el (shell-command): Output buffer was ignored when a
	background process was run via shell-command.

2004-03-19  Hrvoje Niksic  <hniksic@xemacs.org>

	* cus-edit.el (custom-save-variables): Retrieve a list of
	variables to save first, sort it, and make sure the variables are
	saved in sorted order.

2004-02-23  Steve Youngs  <sryoungs@bigpond.net.au>
 
	* package-get.el (package-get-update-base-from-buffer): Force
 	binary coding system for verifying GnuPG signature in the
 	package-index file.
 
2003-07-06  Adrian Aichner  <adrian@xemacs.org>

	* package-get.el (package-get-package-index-file-location): Handle
	missing "EMACSPACKAGEPATH" environment variable.

2003-07-05  Adrian Aichner  <adrian@xemacs.org>

	* package-admin.el (package-admin-find-top-directory): Simplify
	directory comparisions and fix substring errors on short path
	components.
	* package-get.el (package-get-package-index-file-location):
	Default to first component of "EMACSPACKAGEPATH", if set.

2004-02-16  Steve Youngs  <sryoungs@bigpond.net.au>

	* package-get.el (process-error): New error datum.

2004-02-02  Vin Shelton <acs@xemacs.org>

	* XEmacs 21.4.15 is released

2003-12-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* itimer.el (activate-itimer): Modify the itimer timeout value as
	if it were begun at the last time when the itimer driver was woken
	up.

2004-01-27  Stephen J. Turnbull  <stephen@xemacs.org>

	* specifier.el (Copyright):
	Update.
	(make-specifier-and-init):
	(map-specifier):
	(canonicalize-inst-pair):
	(canonicalize-spec-list):
	(set-specifier):
	Synch docstrings to 21.5 where appropriate.

2004-01-25  Steve Youngs  <sryoungs@bigpond.net.au>

	* package-get.el (package-get-list-packages-where): New.  A
	function that allows searching for groups of packages.  For
	example, find all packages that require the fsf-compat package.

2004-01-25  Steve Youngs  <youngs@xemacs.org>

	The Great PUI Sync.

	* auto-autoloads.el: Regenerated.

	* custom-load.el: Regenerated.

	* dumped-lisp.el (packages-hardcoded-lisp): New.

	* menubar-items.el (menu-max-items): New.
	(menu-submenu-max-items): New.
	(menu-submenu-name-format): New.
	(menu-split-long-menu): New.
	(menu-sort-menu): New.
	(default-menubar): Sync to 21.5 in regard to the PUI menus.

	* obsolete.el (pui-add-install-directory): Renamed to the more
	logical `pui-set-local-package-get-directory'.
	(package-get-download-menu): Moved to `package-ui.el' and renamed
	to `package-ui-add-download-menu'.

	* package-admin.el (package-admin-install-function-mswindows):
	Whitespace clean up.
	(package-admin-add-single-file-package): Removed.
	(package-admin-default-install-function): Whitespace clean up.
	(package-admin-find-top-directory): New.
	(package-admin-get-install-dir): Use it.
	(package-admin-get-manifest-file): 
	(package-admin-check-manifest): 
	(package-admin-add-binary-package):
	(package-admin-get-lispdir):
	(package-admin-delete-binary-package):
	(package-admin):

	* package-get.el (package-get-package-index-file-location): New.
	(package-get-install-to-user-init-directory): New.
	(package-get-remote):
	(package-get-download-sites):
	(package-get-pre-release-download-sites): New.
	(package-get-site-release-download-sites): New.
	(package-get-base-filename):
	(package-get-always-update):
	(package-get-user-index-filename): Removed.
	(package-get-pgp-available-p): New.
	(package-get-require-signed-base-updates):
	(package-get-was-current):
	(package-entries-are-signed): New.
	(package-get-continue-update-base): New.
	(package-get-download-menu): Removed.
	(package-get-require-base):
	(package-get-update-base-entry):
	(package-get-locate-file):
	(package-get-locate-index-file):
	(package-get-maybe-save-index):
	(package-get-update-base):
	(package-get-update-base-from-buffer):
	(package-get-update-base-entries):
	(package-get-interactive-package-query):
	(package-get-update-all):
	(package-get-all):
	(package-get-dependencies):
	(package-get-init-package):
	(package-get-info): New.
	(package-get):
	(package-get-staging-dir):
	(package-get-set-version-prop): Removed.
	(package-get-installedp):
	(package-get-ever-installed-p):
	(packages): Removed.
	(package-get-custom-groups): Removed.
	(package-get-custom): Removed.
	(package-get-custom-add-entry): Removed.

	* package-info.el (batch-update-package-info):

	* package-net.el (package-net-batch-generate-bin-ini):
	(package-net-update-installed-db):

	* package-ui.el (pui-info-buffer):
	(pui-directory-exists): Removed.
	(pui-package-dir-list): Removed.
	(pui-add-install-directory): Removed.
	(package-ui-download-menu): New.
	(package-ui-pre-release-download-menu): New.
	(package-ui-site-release-download-menu): New.
	(pui-set-local-package-get-directory): New.
	(pui-package-symbol-char):
	(pui-update-package-display):
	(pui-toggle-package):
	(pui-toggle-package-key):
	(pui-toggle-package-delete):
	(pui-toggle-package-delete-key):
	(pui-toggle-package-event):
	(pui-toggle-verbosity-redisplay):
	(pui-install-selected-packages):
	(pui-add-required-packages):
	(pui-help-echo):
	(pui-display-info):
	(list-packages-mode):
	(pui-list-packages):

	* packages.el (packages-compute-package-locations):
	(package-require):
	(package-delete-name):
	(packages-hardcoded-lisp): Removed.
	(packages-useful-lisp): Removed.
	(packages-unbytecompiled-lisp): Removed.
	(packages-find-package-directories):

	Summary:

	Major code clean up of all things PUI.

	Much improved code to determine where packages should be
	installed.  PUI no longer depends on any packages being
	pre-installed to compute where packages are to be installed to.

	The user can specify the location of their package-index file.  It
	isn't necessary to set this because it has sane defaults.  People
	who "run-in-place" won't accidently overwrite the CVS
	package-index file.  See
	`package-get-package-index-file-location'. 

	PUI will now properly clean up after itself in the event of an
	unsuccessful package install.  This drastically reduces the number
	of "wrong md5sum" FAQs.

	non-Mule XEmacsen can no longer install Mule packages.

	Package management via the custom interface has been removed.

	The PUI related menubar items have been reorganised.

	The PGP verification code has been fixed and the default for
	whether or not it is used is automatically computed.

	* update-elc.el ((preloaded-file-list site-load-packages
	need-to-dump dumped-exe)):
	Just a couple of small changes to allow for
	`packages-(hardcoded|useful|unbytecompiled)-lisp' not really
	existing anymore.

2003-12-10  Hrvoje Niksic  <hniksic@xemacs.org>

	* bytecomp.el (byte-compile-warn-about-unused-variables): Don't
	apply `format' to the first argument of byte-compile-warn, it
	already calls format.

2003-12-03  Adrian Aichner  <adrian@xemacs.org>

	* files.el (delete-old-versions): Avoid going interactive during
	make install when environment variable VERSION_CONTROL is set.

2003-12-04  Vin Shelton  <acs@xemacs.org>

	* menubar-items.el (menu-item-search): Only bring up search dialog
	box if the feature is available and desired.

2003-11-04  Stephen J. Turnbull  <stephen@xemacs.org>

	* about.el (about-personal-info): Fix typo in Tony Rossini's entry.

2003-11-05  Vin Shelton  <acs@xemacs.org>

	* help.el (Help-prin1-face):
	(Help-princ-face):
	princ and prin1 are functions and need to be called as such.  The
	idea for this patch was submitted by Eric Eide <eeide@cs.utah.edu>.

2003-10-22  Stephen J. Turnbull  <stephen@xemacs.org>

	* about.el (about-xemacs): Give full version and build date.

2003-09-19  Stephen J. Turnbull  <stephen@xemacs.org>

	* win32-native.el (grep-null-device): This XEmacs has null-device.

2003-09-06  Mike Sperber  <mike@xemacs.org>

	* bytecomp.el (byte-compile-defvar-or-defconst): Actually
	implement the specified semantics for `defvar.'

2003-09-07  Adrian Aichner  <adrian@xemacs.org>

	* window-xemacs.el (display-buffer): Fix for `shrink-to-fit' by
	Klaus Berndl, calling `shrink-window-if-larger-than-buffer' when
	displaying buffer in question.

2003-09-03  Vin Shelton <acs@xemacs.org>

	* XEmacs 21.4.14 is released

2003-08-17  Vin Shelton  <acs@xemacs.org>

	* about.el: Vanity patch.

2003-08-11  Stephen J. Turnbull  <stephen@xemacs.org>

	* code-process.el (call-process):
	(call-process-region):
	(start-process):
	Document coding system processing.

2003-08-03  Stephen J. Turnbull  <stephen@xemacs.org>

	* startup.el (splash-frame-body): Idiomatic English.

2003-04-24  Jin Choi <jsc@orangeimagineering.com>

	* font-lock.el (font-lock-match-java-declarations): Move
	save-restriction, narrow-to-region to beginning of function to
	avoid going beyond the limit and causing an infloop.

2003-04-16  Jerry James  <james@xemacs.org>

        * keydefs.el: Remove mappings for keys mapped to the nowhere
        defined function function-key-error.

2003-03-22  Vasily Korytov  <deskpot@myrealbox.com>

	* lisp-mode.el (emacs-lisp-mode-hook, lisp-mode-hook,
	lisp-interaction-mode-hook): Add the docstrings.

2003-08-04  Michael Toomim <toomim@OCF.Berkeley.EDU>

	* byte-optimize.el: Fix infinite loop in bytecode optimizer.  See:
	http://list-archive.xemacs.org/xemacs-beta/200306/msg00157.html
	http://list-archive.xemacs.org/xemacs-beta/200307/msg00005.html

2003-06-18  Nickolay Pakoulin  <npak@ispras.ru>

	* cl-macs.el (cl-transform-lambda): Place doc on Common Lisp
	lambda list after the original doc.  Care about
	#'(lambda () "SingleString") 
	(cl-upcase-arg): 
	(cl-function-arglist):
	Care about &cl-defs and &cl-quote in lambda list, dotted lists and
	circular data structures in lambda list specification

2003-06-11  Adrian Aichner  <adrian@xemacs.org>

	* font-lock.el (lisp-font-lock-keywords-1): Only NAME, not NAME(
	to appear in font-lock-function-name-face.

2003-06-17  Stephen J. Turnbull  <stephen@xemacs.org>

	* bytecomp.el (byte-compile-lambda): Discard docstring only if it
	is not also the value of the lambda.

2003-05-06  Andy Piper  <andy@xemacs.org>

	* files.el (revert-buffer): Make sure local variables get processed,
	even in the case of an optimized reversion.

2003-05-25  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.4.13 is released

2003-03-18  Stephen J. Turnbull  <stephen@xemacs.org>

	* gutter-items.el (buffers-tab-filter-functions): Improve docstring.
	Suggested by a Chris Palmer <chris@nodewarrior.org> patch.

2003-02-14  Ben Wing  <ben@xemacs.org>

	* byte-optimize.el:
	* byte-optimize.el (byte-compile-inline-expand):
	* byte-optimize.el (byte-compile-unfold-lambda):
	* byte-optimize.el (byte-optimize-form-code-walker):
	* byte-optimize.el (byte-optimize-form):
	* byte-optimize.el (byte-decompile-bytecode-1):
	* byte-optimize.el (byte-optimize-lapcode):
	Review carefully and sync up to 20.7 except for areas as noted.
	Fixes problem with JDE compilation.

2003-02-05  Ben Wing  <ben@xemacs.org>

	* simple.el:
	* simple.el (motion-keys-for-shifted-motion):
	Omit M-S-home/end from motion keys.

2003-02-07  Ben Wing  <ben@xemacs.org>

	* text-props.el (text-property-any):
	* text-props.el (text-property-not-all):
	Fix bug when end > start.

2003-01-17  Stephen J. Turnbull  <stephen@xemacs.org>

	* info.el (Info-insert-dir): Make default-directory end in
	separator.  Patch due to Martin Buchholz.

2003-01-15  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.4.12 "Portable Code" is released.

2003-01-13  Ilya Golubev  <golubev@xemacs.org>

	* about.el: Update golubev data.

2003-01-15  Stephen J. Turnbull  <stephen@xemacs.org>

	* isearch-mode.el (isearch-mode-map): Substitute comment on
	desirability, and back out "GR is printable" changes.

2003-01-08  Stephen J. Turnbull  <stephen@xemacs.org>

	* isearch-mode.el (isearch-mode-map): Don't bind CSI.

2003-01-07  Stephen J. Turnbull  <stephen@xemacs.org>

	* isearch-mode.el (isearch-mode-map): GR (and C1) is printable.

2003-01-06  Ville Skyttä  <scop@xemacs.org>

	* menubar-items.el (default-menubar): Use browse-url-mozilla
	instead of browse-url-gnome-moz for Mozilla.

2003-01-03  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.4.11 "Native Windows TTY Support" is released.

2002-12-27  Ville Skyttä  <scop@xemacs.org>

	* files.el (auto-mode-alist): Remove redundant entries for modes
	that live in packages.
	(interpreter-mode-alist): Ditto.

2002-03-17  Ville Skyttä  <ville.skytta@xemacs.org>

	* menubar-items.el (default-menubar): Sync with current
	browse-url-xemacs.el.

2002-11-02  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.4.10 "Military Intelligence" is released.

2002-10-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* font-lock.el (font-lock-fontify-keywords-region): Fix typo.

2002-10-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* keydefs.el (global-map): Bind C-xrd to delete-rectangle per GNU.

2001-05-10   Daiki Ueno  <ueno@unixuser.org>

	* font-lock.el (font-lock-compile-keywords): Rewrite as a side
	effect free function.
	(font-lock-fontify-keywords-region): Supply the argument to
	font-lock-compile-keywords.

2002-09-22  Ville Skyttä  <ville.skytta@xemacs.org>

	* package-get.el (package-get-download-sites): Bring sites list
	up to date, prefer xx.xemacs.org addresses.

2002-09-27  Andy Piper  <andy@xemacs.org>

	* dialog.el (make-dialog-box): for general dialogs only
	delete-frame-hook will be run.

2002-09-28  Stephen J. Turnbull  <stephen@xemacs.org>

	* font-lock.el (font-lock-fontify-syntactically-region): Add
	comment about lookup-syntax-properties, document LOUDLY as unused.

2002-08-26  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (set-progress-feedback-instantiator): Fix bad
	merge.

2002-09-02  Ville Skyttä  <ville.skytta@xemacs.org>

	* bytecomp-runtime.el (make-obsolete): Docstring argument nit.
	(make-obsolete-variable): Ditto.
	(make-compatible): Ditto.
	(make-compatible-variable): Ditto.

2002-09-16  Stephen J. Turnbull  <stephen@xemacs.org>

	* obsolete.el (parse-sexp-lookup-properties): new compatible alias
	for `lookup-syntax-properties'.  RFE from Alan Mackenzie.

2002-08-28  Andy Piper  <andy@xemacs.org>

	* files.el (revert-buffer): propagate revert-without-query-status.

2002-06-03  Andy Piper  <andy@xemacs.org>

	* dialog-items.el (make-search-dialog): align various subcontrols
	in visually pleasing ways, allow frame to autosize to the dialog
	size.
	* dialog.el (make-dialog-box): add a border inside the frame. Add
	:autosize property, if t then reset the frame size appropriately
	before the frame is mapped.
	* gutter-items.el (set-progress-feedback-instantiator): align
	various subcontrols.
	* gutter-items.el (set-progress-abort-instantiator): ditto.

2002-08-23  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.4.9 "Informed Management" is released.

2002-06-22  Ville Skyttä  <ville.skytta@xemacs.org>

	* subr.el (add-to-list): Sync with GNU Emacs 21.2, adding the
	"&optional append" argument.

2002-07-16  Didier Verna  <didier@xemacs.org>

	* subr.el (replace-in-string): fix case fold bug introduced by
	"2000-07-30  Ben Wing  <ben@xemacs.org>": honor the value of
	case-fold-search in temporary buffers.

2002-08-03  Steve Youngs  <youngs@xemacs.org>

	* lib-complete.el (find-library): Remove check for mule because
	decompression DOES work on Mule.

2002-08-11  John Paul Wallington  <jpw@shootybangbang.com>

	* simple.el (join-line): New alias for `delete-indentation'.

2002-08-02  Ville Skyttä  <ville.skytta@xemacs.org>

	* font-lock.el: Some faces and doc typo fixes from GNU Emacs.
	(font-lock-doc-face): New alias to font-lock-doc-string-face.
	(font-lock-builtin-face): New.
	(font-lock-constant-face): New.
	(font-lock-face-list): Add builtin and constant faces.

2002-08-16  Stephen J. Turnbull  <stephen@xemacs.org>

	* autoload.el (make-autoload): Support define-derived-mode.
	Collected puts of doc-string-elt property.  Based on a patch by
	Didier Verna <didier@xemacs.org>.

2002-08-15  Stephen J. Turnbull  <stephen@xemacs.org>

	* wid-edit.el (widget-field-activate): Fix docstring typo.

2002-07-23  Andy Piper  <andy@xemacs.org>

	* about.el (about-personal-info): update me.

2002-07-12  Andy Piper  <andy@xemacs.org>

	* custom.el (custom-theme-set-variables): remove bogus
	arguments. Use custom-set-default to set defaults.
	(custom-set-variables): update doc.
	(custom-local-buffer): new, synced from FSF.
	(custom-set-default): ditto.
	(defcustom): update doc.

2002-06-16  Andy Piper  <andy@xemacs.org>

	* menubar-items.el (default-menubar): enable windows printing on
	cygwin as well as native.

2002-06-12  Andy Piper  <andy@xemacs.org>

	* printer.el (generic-print-buffer): catch all errors so that the
	print device can be cleared in all scenarios.
	(Printer-clear-device): make sure clearing the printer allows it
	to be used again immediately.
	(generic-print-region): make sure the default printer face is
	black-on-white.

2002-04-23  Jerry James  <james@xemacs.org>

	* window-xemacs.el (display-buffer-function): Change doc to
	reflect new arg.
	* window-xemacs.el (pre-display-buffer-function): Ditto.
	* window-xemacs.el (display-buffer): New arg, shrink-to-fit.  If
	non-nil, make the new window just big enough for its contents.
	* frame.el (get-frame-for-buffer): Accept new arg, due to above.
	* frame.el (show-temp-buffer-in-current-frame): Remove broken
	temp-buffer-shrink-to-fit code.  Tell display-buffer instead.

2002-06-06  Andy Piper  <andy@xemacs.org>

	* custom.el (custom-theme-set-variables): sync :set-after from FSF.
	(defcustom): ditto.
	(custom-handle-keyword): ditto.

2002-07-12  Stephen J. Turnbull  <stephen@xemacs.org>

	* gutter-items.el (buffers-tab-selection-function): Improve doc.
	Make obsolete.  Default to nil.
	(buffers-tab-filter-functions): Improve doc.  Use literal default.
	Inspired by a patch by John Palmieri.

2002-07-01  Mike Alexander  <mta@arbortext.com>

	* process.el (shell-command-on-region): Don't delete the region
	before giving it to call-process-region

2002-06-04  Jerry James <james@eecs.ku.edu>

	* find-paths.el (paths-find-architecture-directory): Search in
	`system-configuration'/`base', not `base'`system-configuration'.

2002-06-23  Ville Skyttä  <ville.skytta@xemacs.org>

	* info.el (Info-index): Add missing \ in [ t].

2002-06-11  Stephen J. Turnbull  <stephen@xemacs.org>

	* gutter-items.el (gutter-buffers-tab-visible-p,
	buffers-tab-omit-function, buffers-tab-selection-function,
	buffers-tab-filter-functions):
	Doc improvements.

2002-06-09  Stephen J. Turnbull  <stephen@xemacs.org>

	* toolbar.el (toolbar-icon-directory): Document trailing separator.

	* toolbar-items.el (toolbar-news): Fix typo in message string.

2002-06-08  Stephen J. Turnbull  <stephen@xemacs.org>

	* dialog.el (yes-or-no-p-dialog-box): 
	* cmdloop.el (y-or-n-p-minibuf):
	(yes-or-no-p-minibuf):
	(yes-or-no-p):
	(y-or-n-p): 
	Specify negative answers in docstrings.

2002-05-25  Steve Youngs  <youngs@xemacs.org>

	* package-ui.el (pui-help-echo): Display both installed and author
	version.  Use a balloon-help window to display extra info like
	package requires.

2002-05-30  Andy Piper  <andy@xemacs.org>

	* files.el (revert-buffer-internal): don't visit
	revert-buffer. Kill buffer when not used. Suggested by Mike
	Alexander <mta@arbortext.com>

2002-05-20  Stephen J. Turnbull  <stephen@xemacs.org>

	* files.el (revert-buffer): More docstring fiddling.

2002-05-19  Stephen J. Turnbull  <stephen@xemacs.org>

	* files.el (revert-buffer):
	(revert-buffer-internal):
	(revert-buffer-insert-file-contents-function):
	Improve docstrings and comments.

2002-05-08  Andy Piper  <andy@xemacs.org>

	* files.el (revert-buffer): observe noconfirm behavior.

2002-04-09  Andy Piper  <andy@xemacs.org>

	* files.el (revert-buffer): use revert-buffer-internal if it looks
	like doing so will not result in any user-visible changes.
	(revert-buffer-internal): new function. Do the actual process of
	reversion and then see whether the result is any different to what
	we have already. If it is not then do nothing.

2001-12-11  Andy Piper  <andy@xemacs.org>

	* menubar.el (get-popup-menu-response): re-order so that it works
	on more sane/facist window systems.

2001-12-03  Andy Piper  <andy@xemacs.org>

	* faces.el (frob-face-property): don't infloop in face frobbing
	from Jan Vroonhof <jan@xemacs.org>.

2001-11-30  Jan Vroonhof  <jan@xemacs.org>

	* faces.el (frob-face-property): Follow face fall-back hierarchy
	properly for face properties without an instance. Only do manual
	copy form 'default in last resort. This handles in particular
	the case where 'default itself has only a fall-back (which is
	the case by default on windows).

2001-11-24  Andy Piper  <andy@xemacs.org>

	* printer.el (generic-print-region): set default-frame-plist to
	nil while creating the printer frame so that sizes reflect the
	printed page.

	* faces.el (face-complain-about-font): Don't complain on printers.

2002-05-10  Stephen J. Turnbull  <stephen@xemacs.org>
	
	* package-net.el: Andy synch.
	
2001-12-16  Andy Piper  <andy@xemacs.org>

	* package-get.el (package-get-update-all): Make sure installed.db
	gets updated after updating packages.

2002-03-28  Ben Wing  <ben@xemacs.org>

	* msw-glyphs.el: Set glyph-contrib-p to nil on hscroll,
	continuation, truncation so that we don't get line jumpiness from
	them being larger than the line height.

	* msw-font-menu.el (mswindows-font-menu-font-data): Fix bug.

2001-11-30  Jan Vroonhof  <jan@xemacs.org>

	* font.el (font-window-system-mappings): Add mapping for Gtk
	(assume identical to X) 

2002-02-04  Andy Piper  <andy@xemacs.org>

	* files.el (convert-standard-filename): Fix for short filename
	Peter Arius <pas@methodpark.de>

2001-12-10  Christoph Wedler  <Christoph.Wedler@sap.com>

	* list-mode.el (default-choose-completion): completion-base-size
	should refer to local value in the completion list buffer.

2001-12-03  Didier Verna  <didier@xemacs.org>

	* rect.el: autoload `replace-rectangle'.
	* keydefs.el (global-map): bind it to `C-x r p'.

2002-05-09  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.4.8 "Honest Recruiter" is released.

2002-05-09  Stephen J. Turnbull  <stephen@xemacs.org>

	This patch is based on Jerry James's patch and analysis.

	* select.el (get-clipboard):
	(get-selection):
	Update docstrings.
	(get-clipboard-foreign):
	(get-selection-foreign):
	New function for use as `interprogram-paste-function's.

	* simple.el (interprogram-paste-function): Change default to
	`get-clipboard-foreign'; improve docstring.
	(interprogram-cut-function): Improve dosctring.

2002-05-04  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.4.7 "Economic Science" is released.

2002-03-18  Adrian Aichner  <adrian@xemacs.org>

	* cus-edit.el (customize-save-variable): Fix typo in prompt.

2002-03-26  John Paul Wallington  <jpw@xemacs.org>

	* obsolete.el (assq-delete-all): New compatibility alias for 
	remassq.

2002-01-09  Simon Josefsson  <jas@extundo.com>

	* files.el (auto-mode-alist): Support Sieve (*.siv, *.sieve).

2002-01-04  Adrian Aichner  <adrian@xemacs.org>

	* info.el (Info-auto-generate-directory): Default
	Info-auto-generate-directory to 'if-outdated.

2002-03-28  Stephen J. Turnbull  <stephen@xemacs.org>

	* startup.el (normal-top-level): Prevent migration code from
	trashing .emacs on an error in loading the init files.

2002-03-14  Ville Skyttä  <ville.skytta@xemacs.org>

	* files.el (auto-mode-alist): GNUmakefile is a Makefile,
	"system default" Xdefaults and friends get xrdb-mode.

2002-03-05  Mats Lidell  <matsl@contactor.se>
 
 	* help-nomule.el (tutorial-supported-languages): Added Swedish
 	tutorial. Sorted languages.

2002-02-11  Mike Sperber <mike@xemacs.org>

	* info.el (Info-maybe-update-dir): Regenerate dir if we're
	regenerating outdated dir files and dir is non-existent.

2002-01-27  Stephen J. Turnbull  <stephen@xemacs.org>

	* code-files.el (convert-mbox-coding-system): Improve comment.
	(write-region): Improve docstring.  Reformat to 80 columns.  Add
	coding-system argument to `write-region-pre-hook' call.
	(write-region-pre-hook): Fix docstring to mention lockname argument.

2002-01-18  Stephen J. Turnbull  <stephen@xemacs.org>

	* minibuf.el (completing-read): Remove redundant wrong arg list.

	* help.el (with-displaying-help-buffer): Put usage advice in docstring.

2001-12-27  John Paul Wallington  <jpw@shootybangbang.com>

	* obsolete.el (interactive-form): new compatibility alias for 
	function-interactive.

2001-11-29  Adrian Aichner  <adrian@xemacs.org>

	* menubar-items.el (Menubar-items-truncate-list): Removed.
	* menubar-items.el (Menubar-items-truncate-history): New.
	* menubar-items.el (default-menubar): Use
	Menubar-items-truncate-history.

2002-02-03  Adrian Aichner  <adrian@xemacs.org>

	* printer.el (generic-print-region): Pass correct arguments to
	lpr-region.  Thanks to Nevin Kapur <nevin@jhu.edu> and Björn
	Torkelsson <torkel@acc.umu.se>.

2002-01-09  John Paul Wallington  <jpw@shootybangbang.com>

	* help.el (describe-mode): synched with FSF 19.34; handle nil
	minor mode indicators.

2001-12-03  Christoph Wedler  <Christoph.Wedler@sap.com>

	* minibuf.el (completing-read): Update docstring.

2001-12-17  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.4.6 "Common Lisp" is released.

2001-11-21  Stephen J. Turnbull  <stephen@xemacs.org>

	* package-net.el: Inadvertant synch with Windows branch.  From
	Andy's log:
	(package-net-kit-version): new variable.
	(package-net-generate-bin-ini): use it. Remove unwanted functions.

2001-11-28  Steve Youngs  <youngs@xemacs.org>

	* package-get.el (package-get-locate-index-file): Also search the
	core etc/ directory for the package index file if it can't be
	found in ~/.xemacs/.

2001-12-13  William Perry  <wmperry@gnu.org>

	* dialog-gtk.el (popup-builtin-question-dialog):
	Conform to API in gui.c.
	
2001-11-12  Andy Piper  <andy@xemacs.org>

	* cus-edit.el (custom-save-face-internal): make sure we save
	non-themed faces.
	(custom-save-variables): ditto variables.

2001-11-20  Stephen J. Turnbull  <stephen@xemacs.og>

	* faces.el (make-face-family):
	(make-face-size):
	New face-modifying functions per Jan Vroonhof.

	cus-face.el (custom-set-face-font-family):
	(custom-set-face-font-size):
	Use them.

	* font.el (font-window-system-mappings): More precise docstring.

	(font-create-name):
	(font-create-object):
	(tty-font-create-object):
	(tty-font-create-plist):
	(x-font-create-object):
	(x-font-create-name):
	(ns-font-create-name):
	(mswindows-font-create-object):
	(mswindows-font-create-name):
	Add doctrings.

2001-11-14  John Paul Wallington <jpw@shootybangbang.com>

	* gtk-faces.el (gtk-init-device-faces): removed spurious
	quote before let* expression.

2001-10-29  Andy Piper  <andy@xemacs.org>

	* code-files.el (toggle-buffer-file-coding-system): mark buffer as
	modified when changing coding system.

	* toolbar-items.el (toolbar-dired): Use interactive "D" spec so
	that we invoke the GUI directory selector.

2001-10-25  Andy Piper  <andy@xemacs.org>

	* dialog.el (make-dialog-box): use new directory dialog support.
	* minibuf.el (read-file-name-1): ditto.
	(read-file-name): ditto.
	(read-directory-name): ditto.

2001-10-23  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.4.5 "Civil Service" is released.

2001-04-23  Didier Verna  <didier@xemacs.org>

	* cus-edit.el (custom-variable-pre-save): New.
	* cus-edit.el (custom-variable-post-save): New.
	* cus-edit.el (custom-variable-save): use them.
	* cus-edit.el (custom-face-pre-save): New.
	* cus-edit.el (custom-face-post-save): New.
	* cus-edit.el (custom-face-save): use them.
	* cus-edit.el (custom-group-pre-save): New.
	* cus-edit.el (custom-group-post-save): New.
	* cus-edit.el (custom-group-save): use them.
	* cus-edit.el (Custom-save): use the pre/post functions above,
	call `custom-save-all' only once.
	* cus-edit.el (custom-variable-pre-reset-standard): New.
	* cus-edit.el (custom-variable-post-reset-standard): New.
	* cus-edit.el (custom-variable-reset-standard): use them.
	* cus-edit.el (custom-face-pre-reset-standard): New.
	* cus-edit.el (custom-face-post-reset-standard): New.
	* cus-edit.el (custom-face-reset-standard): use them.
	* cus-edit.el (custom-group-pre-reset-standard): New.
	* cus-edit.el (custom-group-post-reset-standard): New.
	* cus-edit.el (Custom-reset-standard): use them.
	* cus-edit.el (custom-face-reset-saved): use the pre/post
	functions above, call `custom-save-all' only once.

2001-04-08  Danny Colascione  <qtmstr@optonline.net>

	* gutter-items.el (buffers-tab face): Derive from the modeline
	face by default.  Many people use white-on-black for the default
	font, and the tabs look hideous with that color combination.  The
	modeline usually has the correct colors.

2001-09-28  Robert Pluim  <rpluim@bigfoot.com>

	* etags.el (find-tag): Doc fix, point users at pop-tag-mark.
	(tag-mark-stack-max): Typo fix.

2001-09-28  Ben Wing  <ben@xemacs.org>

	* font-lock.el:
	* font-lock.el (font-lock-after-change-function):
	fix problem with last patch, reported by Katsumi Yamaoka.

2001-09-17  Ben Wing  <ben@xemacs.org>

	* font-lock.el (font-lock-after-change-function):
	fix problem when you insert a comment on the line before a line of
	code: if we use the following char, then when you hit backspace,
	the following line of code turns the comment color.

2001-06-08  Ben Wing  <ben@xemacs.org>

	* process.el: comment about shell-command-switch.
	* process.el (shell-quote-argument): Need to quote a null
	argument, too.  From Dan Holmsand.
	
	* startup.el (normal-top-level): Delete some unused FSF junk.
	* startup.el (command-line-early):
	
	* startup.el (command-line): Call MS Windows init function.
	
	* win32-native.el:
	* win32-native.el (mswindows-system-shells): New.
	* win32-native.el (mswindows-system-shell-p): New.
	* win32-native.el (init-mswindows-at-startup): New.
	* win32-native.el (mswindows-quote-one-vc-runtime-arg):
	* win32-native.el (mswindows-quote-one-simple-arg):
	* win32-native.el (mswindows-quote-one-command-arg):
	* win32-native.el (mswindows-construct-process-command-line-alist):
	Correct comments at top.  Correctly handle passing arguments
	to Cygwin programs and to bash.  Fix quoting of zero-length
	arguments (from Dan Holmsand).  Set shell-command-switch based
	on shell-file-name, which in turn comes from env var SHELL.

2001-07-18  Alexey Mahotkin  <alexm@hsys.msk.ru>

	* toolbar.el (toolbar-visible-p, toolbar-captioned-p,
	default-toolbar-position): Fill docstrings for balloon-help.

2001-03-15  Stephen J. Turnbull  <stephen@xemacs.org>

	* faces.el: Reenable specifications over 'gtk domain.

2001-08-08  Didier Verna  <didier@xemacs.org>

	* autoload.el (update-autoload-files): make defdir a file name,
	not directory name.

2001-08-06  Steve Youngs  <youngs@xemacs.org>

	* menubar-items.el (default-menubar): Use 'report-xemacs-bug'.

	* lisp-mnt.el (lm-report-bug): Use 'report-xemacs-bug-beta-address'.

2001-08-01  Edward M. Lee  <tailbert@yahoo.com>

	* font-menu.el (font-menu-set-font): Default to current font-family.
	(font-menu-preferred-resolution):
	(font-menu-size-scaling):
	Provide gtk defaults, too.

2001-07-29  Mike Alexander  <mta@arbortext.com>

	* cus-face.el (custom-set-face-font-size): Last arg to apply is a
	list
	(custom-set-face-font-family): ditto

2001-07-26  Mike Sperber <mike@xemacs.org>

	* files.el (auto-mode-alist): .9 files are man pages, too.

2001-07-23  Edwin Steiner <esteiner@net4you.at>

	* process.el (call-process-internal): bind
	coding-system-for-write to 'binary when calling
	start-process-internal, so the process receives 
	the literal contents of INFILE.

2001-09-15  Edward M. Lee  <tailbert@yahoo.com>

	* files.el (auto-mode-alist): Add configure.ac support.

2001-07-19  Adrian Aichner  <adrian@xemacs.org>

	* buff-menu.el:
	mouse.el:
	Adrian's mouse-track patch.  See <y9plq0nc.fsf@ecf.teradyne.com>.

2001-07-28  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.4.4 "Artificial Intelligence" is released.

2001-07-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mule/kinsoku.el (kinsoku-bol-p): Work with ascii and non-ascii
	mixed text.
	(kinsoku-eol-p): Ditto.

2001-07-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mule/kinsoku.el (kinsoku-ascii-eol, kinsoku-gb-bol,
	kinsoku-gb-eol, kinsoku-big5-bol, kinsoku-big5-eol): Assign
	characters as the category `s' or `e' correctly.

2001-06-06  Alexey Mahotkin  <alexm@hsys.msk.ru>

	* mule/cyrillic.el: Uncomment definition of ccl-encode-koi8-r-font.

2001-06-14  Alexey Mahotkin  <alexm@hsys.msk.ru>

	* mule/cyrillic.el:  Set up case table.

2001-06-08  Mike Sperber <mike@xemacs.org>

	* files.el (save-some-buffers-1): Don't zap the help window right
	after `map-y-or-n-p' has popped it up.

2001-06-15  Nick Pakoulin  <npak@ispras.ru>

	* help.el (frob-help-extents): Require 'hyper-apropos for faces.

2001-07-18  Stephen J. Turnbull  <stephen@xemacs.org>

	* specifier.el: define-specifier-tag 'gtk.

2001-05-12  Ben Wing  <ben@xemacs.org>

	* find-paths.el (paths-find-recursive-path):
	fix error with null EXCLUDE-REGEXP.
	
	* font-lock.el (font-lock-mode):
	fix problem reported by hrvoje with buffers starting with a space.
	
2001-05-06  Ben Wing  <ben@xemacs.org>

	* dialog.el (make-dialog-box):
	* menubar-items.el (default-menubar):
	* printer.el (generic-print-buffer):
	* printer.el (generic-print-region):
	implement printing the selection when it's selected.

2001-04-18  Didier Verna  <didier@xemacs.org>

	* cus-edit.el (Custom-reset-standard): reset to standard settings
	not only when the buffer's :custom-state is 'modified, but also
	when it is 'set or 'saved.

2001-04-17  Didier Verna  <didier@xemacs.org>

	* startup.el (load-user-init-file): define `custom-file' before
	loading the user's init file.

2001-04-09  Danny Colascione  <qtmstr@optonline.net>

	* menubar.el (popup-mode-menu): Make it work with
	popup-menu-titles turned off.
	
2001-04-24  Hrvoje Niksic  <hniksic@arsdigita.com>

	* about.el (about-mailto-link): Use compose-mail for sending mail.

2001-07-14  Sean MacLennan  <seanm@storm.ca>

	* package-admin.el (package-install-hook): New.
	(package-delete-hook): New.
	(package-admin-add-single-file-package): Use package-delete-hook.

	* package-get.el (package-get): Use package-install-hook.

2001-06-26  Robert Pluim  <rpluim@bigfoot.com>

	* package-ui.el (pui-install-selected-packages): reverse the lists
	of packages so that they get handled in the same order as they
	were selected.

2001-06-26  Robert Pluim  <rpluim@bigfoot.com>

	* packages.el (locate-library): Use read-library-name for completion.

2001-05-21  Martin Buchholz  <martin@xemacs.org>

	* byte-optimize.el (=): `=' is not a binary predicate!
	Fix incorrect optimization: (= 0 0 (random 2)) ==> 0 or 1.
	Use byte-optimize-predicate, not byte-optimize-binary-predicate,

2001-05-20  Martin Buchholz  <martin@xemacs.org>

	* bytecomp.el (byte-compile-arithcompare):
	Only optimize (= x) ==> t if byte-compile-delete-errors is not nil.

2001-06-03  William M. Perry  <wmperry@gnu.org>

	* dialog-gtk.el (popup-builtin-open-dialog): Don't forget to
	return the filename selected by the user!

2001-05-31  William M. Perry  <wmperry@gnu.org>

	* font-menu.el: Avoid arithmetic with 'nil' when using the font menu
	in XEmacs/GTK.

2001-05-29  Alexey Mahotkin  <alexm@hsys.msk.ru>

	* coding.el: Tiny typo fixed.

2001-05-17  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.4.3 "Academic Rigor" is released.

2001-05-17  Stephen J. Turnbull  <stephen@xemacs.org>

	* config.values.sh:  lisp/utils?/config.el -> lisp/config.el.

2001-05-10  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.4.2 "Developer-Friendly Unix APIs" is released.

2001-05-04  Ben Wing  <ben@xemacs.org>

	* printer.el (generic-print-buffer):
	* printer.el (generic-print-region):
	Enable dialog boxes.  Apply workaround recommended by Kirill.
	fix (fboundp 'lpr-buffer) -> (fboundp 'lpr-region).
	
	* simple.el (kill-whole-line):
	* simple.el (kill-line-1):
	* simple.el (kill-entire-line):
	* simple.el (kill-line):
	* simple.el (backward-kill-line):
	Take out interactive dependence of kill-whole-line.

2001-04-22  Ben Wing  <ben@xemacs.org>

	* dialog.el (make-dialog-box):
	Put dialog titles back in -- this time correctly.  Fix various
	other problems with leaks and such.

	* simple.el (region-exists-p):
	* simple.el (region-active-p):
	Add comment about which one is correct to use in menu specs.

2001-05-05  Ben Wing  <ben@xemacs.org>

	* dialog.el (make-dialog-box): fix doc string.
	* menubar-items.el (default-menubar): Add Page Setup for Windows,
	take out Pretty Print.
	* printer.el:
	* printer.el (printer-current-device): New.
	* printer.el (Printer-get-device): New.
	* printer.el (Printer-clear-device): New.
	* printer.el (generic-page-setup): New.
	* printer.el (generic-print-buffer):
	* printer.el (generic-print-region):
	Implement Page Setup.  Handle errors properly.

2001-05-05  Ben Wing  <ben@xemacs.org>

	* subr.el (error): Complete list of errors in doc string.
	
2001-04-22  Ben Wing  <ben@xemacs.org>

	* bytecomp-runtime.el (byte-compiler-options): Correct doc string.
	
2001-05-03  Adrian Aichner  <adrian@xemacs.org>

	* build-report.el: Remove CVS keywords since this file has been in
	core lisp for a while now.
	* build-report.el (build-report-make-output-files): Fix typo.

2001-04-24  Hrvoje Niksic  <hniksic@arsdigita.com>

	* about.el (about-finish-buffer): Make sure the last change works
	even if EVENT is nil.

2001-04-24  Hrvoje Niksic  <hniksic@arsdigita.com>

	* about.el (about-finish-buffer): Kill/bury the buffer where the user
	clicked, not the one that happens to be the current buffer at the
	time.

2001-03-19  Karl M. Hegbloom  <karlheg@microsharp.com>

	* cus-edit.el (custom-display): Support the GTK Window System also.

2001-04-30  Ben Wing  <ben@xemacs.org>

	* printer.el:
	* printer.el (printer-page-header):
	* printer.el (Print-context): New.
	* printer.el (printer-page-footer):
	* printer.el (generate-header-element): New.
	* printer.el (generate-header-line): New.
	* printer.el (print-context-property):
	* printer.el (generic-print-buffer):
	* printer.el (generic-print-region):
	Implement headers and footers.  Implement calling Print dialog box
	(#### but it doesn't quite work yet).

2001-04-25  Ben Wing  <ben@xemacs.org>

	* about.el (xemacs-hackers):
	* about.el (about-url-alist):
	* about.el (about-personal-info):
	* about.el (about-hacker-contribution):
	More contributions.
	
	* simple.el (handle-post-motion-command):
	Fix spurious setting of zmacs-region-stays to t after a non-shift
	motion command.

2001-04-24  Hrvoje Niksic  <hniksic@arsdigita.com>

	* about.el (about-personal-info): Update my bio.
	(about-hacker-contribution): Ditto.

2001-04-23  Stephen J. Turnbull  <turnbull@sk.tsukuba.ac.jp>

	* startup.el (splash-frame-body): Update copyright notices: Ben, FSF.

2001-04-19  Andy Piper  <andy@xemacs.org>

	* package-net.el (package-net-cygwin32-binary-size): new size.
	(package-net-win32-binary-size): new size.
	(package-net-convert-index-to-ini): Use new arch.
	(package-net-batch-convert-index-to-ini): Removed.
	(package-net-generate-bin-ini): New.
	(package-net-batch-generate-bin-ini): New.

2001-04-19  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.4.1 "Copyleft" is released.

2001-04-19  Stephen J. Turnbull  <stephen@xemacs.org>

	* x-compose.el (xlib-input-method-bug-workaround):
	(alias-colon-to-double-quote):
	Force sort in map-keymap to work around rehash bug.

2001-04-17  Ben Wing  <ben@xemacs.org>

	* about.el: Finish overhaul, add a few new hackers, update a
	couple old ones.

2001-04-16  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.4.0 "Solid Vapor" is released.

2001-04-15  Ben Wing  <ben@xemacs.org>

	* about.el:
	* about.el (about-headline-face): New.
	* about.el (about-link-face): New.
	* about.el (about-current-release-maintainers): New.
	* about.el (about-other-current-hackers): New.
	* about.el (about-url-alist):
	* about.el (about-once-and-future-hackers): New.
	* about.el (about-mailto-link): New.
	* about.el (about-get-buffer):
	* about.el (about-finish-buffer):
	* about.el (about-xemacs):
	* about.el (about-features): Removed.
	* about.el (about-advantages): New.
	* about.el (about-maintainer-info): Removed.
	* about.el (about-personal-info): New.
	* about.el (about-hacker-contribution): New.
	* about.el (about-maintainer):
	* about.el (about-show-linked-info):
	* about.el (about-hackers):
	Major revamping.  Rewriting of most of the text, improve the
	link handling, separate info on contributors into personal
	and contribution info, add new contributors, update personal
	info, etc. etc.
	
	* menubar-items.el (default-menubar):
	Help menubar entry for News now says more accurately
	"What's New in XEmacs".
	
	* mouse.el:
	* mouse.el (mouse-track-cleanup-hook):
	* mouse.el (mouse-track):
	Don't set-buffer to a dead buffer when calling mouse-track
	cleanup hooks.

2001-04-14  Stephen J. Turnbull  <stephen@xemacs.org>

	* XEmacs 21.2.47 "Zephir" is released.

2001-04-02  Jan Vroonhof  <jan.vroonhof@ntlworld.com>

	* dialog.el (make-dialog-box): Disable dialog box titles until
	we get them working.

2001-03-30  Ben Wing  <ben@xemacs.org>

	* help.el:
	* help.el (Help-princ-face):
	* help.el (Help-prin1-face):
	* help.el (frob-help-extents):
	* help.el (describe-function-1):
	* help.el (describe-variable):
	Avoid using font-lock faces, which may not be defined.
	Instead, use hyper-apropos faces, and make sure they're
	defined as necessary by using `require'. (It's not so safe
	to do this for font-lock.) In any case, we will eventually
	be merging this functionality into hyper-apropos.

	* loaddefs.el (completion-ignored-extensions):
	Fix documentation.
	
	* menubar-items.el (menu-truncate-list): Removed.
	* menubar-items.el (Menubar-items-truncate-list): New.
	* menubar-items.el (default-menubar):
	Fix errors if grep or compile command is too long.  Rename helper
	function to be less visible.

2001-03-23  Martin Buchholz  <martin@xemacs.org>

	* byte-optimize.el (byte-optimize-minus):
	Fix mis-byte-compilation of (- 0 x) --> (- (- x))

2001-03-26  Hrvoje Niksic  <hniksic@arsdigita.com>

	* dumped-lisp.el (preloaded-file-list): Load mule/latin.el when
	Mule is available.

	* mule/latin.el: New file.

2001-03-11  Ben Wing  <ben@xemacs.org>

	* auto-save.el:
	* auto-save.el (auto-save-directory):
	* auto-save.el (make-auto-save-file-name):
	* auto-save.el (auto-save-file-name-p): New.

	Merge in improvements from other definition of
	make-auto-save-file-name in files.el.
	
	* auto-save.el (auto-save-original-name):
	* auto-save.el (auto-save-name-in-fixed-directory):
	* auto-save.el (auto-save-unslashify-name): Removed.
	* auto-save.el (auto-save-slashify-name): Removed.
	* auto-save.el (auto-save-reserved-chars): New.
	* auto-save.el (auto-save-escape-name): New.
	* auto-save.el (auto-save-unhex): New.
	* auto-save.el (auto-save-unescape-name): New.

	Change algorithm for encoding filenames in auto-save names to be
	entirely safe with all filesystems and all possible characters in
	a filename, and 100% reversible. (Essentially, uses
	quoted-printable as the encoding.)
	
	* auto-save.el (recover-all-files):

	Use insert-directory rather than calling ls directly -- fixes
	things under Windows.

	* files.el:
	* files.el (convert-standard-filename): Substitute FSF's
	definition for this (we had nothing here before).
	
	* files.el (backup-buffer): Warning fix.
	
	* files.el (make-backup-file-name):
	* files.el (find-backup-file-name):
	Fix error in calling sequence to auto-save-file-name-p.
	
	* files.el (recover-file):
	Use insert-directory rather than calling ls directly -- fixes
	things under Windows.

	* files.el (make-auto-save-file-name): Removed.
	* files.el (auto-save-file-name-p): Removed.
	auto-save is always dumped so no sense in having a definition
	that will always be overwritten with another.
	
	* files.el (insert-directory):
	* win32-native.el:
	* win32-native.el (debug-mswindows-process-command-lines):
	* win32-native.el (original-make-auto-save-file-name): Removed.
	* win32-native.el (make-auto-save-file-name): Removed.


2001-03-21  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.46 "Urania" is released.

2001-03-16  Stephen J. Turnbull  <stephen@xemacs.org>

	* menubar-items.el (default-menubar): Update sample.emacs to
	sample.init.el and adjust accelerators.

2001-02-02  Stephen J. Turnbull  <stephen@xemacs.org>

	* build-report.el (build-report): Improve docstring.

2001-03-15  Stephen J. Turnbull  <stephen@xemacs.org>

	* ChangeLog: Log GTK merge.

	* gutter-items.el:
	* mwheel.el:
	* sound.el:
	* startup.el:
	Revert gratuitous whitespace changes.

2001-03-07  Ben Wing  <ben@xemacs.org>

	* help.el:
	* help.el (key-or-menu-binding):
	* help.el (Help-find-file): New.
	* help.el (describe-beta):
	* help.el (describe-copying):
	* help.el (describe-project):
	* help.el (view-emacs-news):
	* help.el (view-sample-init-el): New.
	* help.el (Help-princ-face): New.
	* help.el (Help-prin1-face): New.
	* help.el (help-symbol-function-context-menu):
	* help.el (help-symbol-variable-context-menu):
	* help.el (help-symbol-function-and-variable-context-menu):
	* help.el (frob-help-extents):
	* help.el (describe-function-1):
	* help.el (describe-variable):

	Add coloring in Help buffers, correspondent with hyperlinks.
	View files in view-mode rather than Fundamental.
	Remove separators from context menus -- now handled in generic code.
	Add `Find Tag' to context menu.
	
	* menubar.el (popup-mode-menu):

	Rewrite code that outputs the popup menu to (a) put more specific
	entries first, (b) be more robust, (c) output the proper context
	menu separators automatically (the context menu functionality is
	new and currently used only by Help).

2001-03-10  William M. Perry  <wmperry@aventail.com>

	* dialog-gtk.el (gtk-make-dialog-box-internal): Forgot to rewrite
	this function when converting from the 21.1 GTK branch.  Now
	supports file, password, question, and color built-in dialogs.

2001-03-06  Ben Wing  <ben@xemacs.org>

	* keydefs.el:
	* keydefs.el (global-map):
	Add commented-out change of M-k (for 21.5).
	
	* menubar-items.el (default-menubar):
	Fix items to control kill-line behavior; add items for
	shifted motion.
	
	* simple.el:
	* simple.el (kill-whole-line):
	* simple.el (historical-kill-line): Removed.
	* simple.el (kill-line): Removed.
	* simple.el (kill-entire-line): New.
	* simple.el (kill-line-1): New.
	* simple.el (backward-kill-line):
	Undo kill-whole-line == always changes.  Add new function
	kill-entire-line to unconditionally delete the current line.
	Add comments describing the lamentable state of affairs of
	the kill-line functions and variables.

2001-03-02  Ben Wing  <ben@xemacs.org>

	* simple.el:
	* simple.el (beginning-of-buffer):
	* simple.el (end-of-buffer):
	* simple.el (mark-ring-unrecorded-commands):
	* simple.el (signal-error-on-buffer-boundary):
	* simple.el (shifted-motion-keys-select-region):
	* simple.el (unshifted-motion-keys-deselect-region):
	* simple.el (motion-keys-for-shifted-motion): New.
	* simple.el (handle-pre-motion-command):
	* simple.el (handle-post-motion-command):
	* simple.el (forward-char-command):
	* simple.el (backward-char-command):
	* simple.el (scroll-up-command):
	* simple.el (scroll-down-command):
	* simple.el (next-line):
	* simple.el (previous-line):
	* simple.el (backward-block-of-lines):
	* simple.el (forward-block-of-lines):
	* simple.el (backward-word):
	* simple.el (mark-word):

	Augment documentation of the most common motion commands to make
	note of the shifted-motion support.  Improve the support to (a)
	properly document how it works and why it's done in the fashion it
	is, and (b) allow the keystrokes that trigger it to be customized.

	Correct error in the customize specification of
	mark-ring-unrecorded-commands.

2001-03-02  Ben Wing  <ben@xemacs.org>

	* font-lock.el:
	* font-lock.el (font-lock-pending-extent-table): Removed.
	* font-lock.el (font-lock-pending-buffer-table): New.
	* font-lock.el (font-lock-pre-idle-hook):
	* font-lock.el (font-lock-after-change-function):
	* font-lock.el (font-lock-fontify-pending-extents):
	* font-lock.el (font-lock-lisp-like):

	Fix handling of pending extents to avoid excessive slowness (N^2
	behavior) when making lots of buffer changes between redisplays,
	such as when saving the Options.

2001-03-09  William M. Perry  <wmperry@aventail.com>

	* device.el:
	* dragdrop.el:
	* dumped-lisp.el:
	* faces.el:
	* frame.el:
	* gnuserv.el:
	* loadup.el:
	* menubar-items.el:
	* minibuf.el:
	The Great GTK Merge.

	* ChangeLog.GTK:
	* dialog-gtk.el:
	* gdk.el:
	* generic-widgets.el:
	* glade.el:
	* gnome-widgets.el:
	* gnome.el:
	* gtk-compose.el:
	* gtk-extra.el:
	* gtk-faces.el:
	* gtk-ffi.el:
	* gtk-file-dialog.el:
	* gtk-font-menu.el:
	* gtk-glyphs.el:
	* gtk-init.el:
	* gtk-iso8859-1.el:
	* gtk-marshal.el:
	* gtk-mouse.el:
	* gtk-package.el:
	* gtk-password-dialog.el:
	* gtk-select.el:
	* gtk-widget-accessors.el:
	* gtk-widgets.el:
	* gtk.el:
	widgets-gtk.el:
	The Great GTK Merge: new files.

2001-03-05  Stephen J. Turnbull  <stephen@xemacs.org>

	* generic-widgets.el: Don't require gtk (a built-in feature) at
	top level.  Don't execute the last sexp unless (featurep 'gtk).

2001-02-28  Stephen J. Turnbull  <stephen@xemacs.org>

	* mule/mule-init.el (auto-language-alist): Split zh into GB and BIG5.

2001-02-23  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.45 "Thelxepeia" is released.

2001-01-25  Jason R. Mastaler  <jason@xemacs.org> 
 
        * about.el (xemacs-hackers): update my entry. 
        * about.el (about-maintainer-info): ditto. 
        * about.el (about-hackers): ditto. 

2001-02-20  Jan Vroonhof  <jan@xemacs.org>

	* about.el (about-maintainer-info): More vanity info about
	yours truly.

2001-02-20  Adrian Aichner  <adrian@xemacs.org>

	* build-report.el (build-report-destination): xemacs-build-reports
	has moved to SourceForge, where mailing list name length is
	restricted, hence the name change to
	xemacs-buildreports@xemacs.org.
	* build-report.el (build-report-keep-regexp): Update default.
	* build-report.el (build-report-delete-regexp): Ditto.
	* build-report.el (build-report-make-output-files): Ditto.

2001-02-19  Craig Lanning  <lanning@scra.org>

	* lisp-mode.el: Add indentation specifications for following
	Common Lisp forms: handler-case, handler-bind, with-slots,
	with-open-file, with-open-stream, print-unreadable-object.

2001-02-18  Matt Tucker  <tuck@whistlingfish.net>

	* font-lock.el (font-lock-set-defaults-1):
	Move initialization of `font-lock-cache-position' so that it's set
	even if font-lock-keywords is already defined.

2001-02-17  Matt Tucker  <tuck@whistlingfish.net>

	* autoload.el (generate-file-autoloads-1):
	Use `emacs-lisp-mode-syntax-table' instead of
	`lisp-mode-syntax-table'.
	* lisp-mode.el (lisp-mode-syntax-table):
	Get rid of old checks for `parse-partial-sexp' version.
	Make `|' (pipe) string delimiter instead of punctuation.

2001-02-16  Martin Buchholz  <martin@xemacs.org>

	* window.el (save-selected-window):
	Use gensym for better macro hygiene.

2001-02-06  Mike Sperber <mike@xemacs.org>

	* dump-paths.el:
	* startup.el (startup-setup-paths): Set and use
	`mule-lisp-directory'.
	(startup-setup-paths-warning): Ditto.

	* setup-paths.el (paths-find-mule-lisp-directory): Added.
	(paths-construct-load-path): Consider `mule-lisp-directory'.

2001-02-07  Matt Tucker  <tuck@whistlingfish.net>

	* font-lock.el: Syntax table improvements used.  A few random
	changes are not specified below.
	(font-lock-fontify-string-delimiters):
	(font-lock-syntactic-keywords):
	(font-lock-cache-state nil):
	(font-lock-cache-position):
	New variables.
	(font-lock-set-syntax):
	(font-lock-apply-syntactic-highlight):
	(font-lock-fontify-syntactic-anchored-keywords):
	(font-lock-fontify-syntactic-keywords-region):
	(font-lock-eval-keywords):
	New functions.
	(font-lock-remove-face):
	(font-lock-fontify-syntactically-region):
	Use syntax properties.

2001-02-08  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.44 "Thalia" is released.

2001-01-16  Mike Sperber <mike@xemacs.org>

	* startup.el (normal-top-level): Work even if no installation root
	is found.

2001-01-30  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (progress-abort-glyph): remove instantiator.
	(set-progress-abort-instantiator): new function.
	(abort-progress-feedback): use it.

	* gutter.el (set-gutter-dirty-p): new function.

2001-01-30  Didier Verna  <didier@xemacs.org>

	* mwheel.el (mwheel-scroll): unwind-protect the selected window.

2001-01-24  Didier Verna  <didier@xemacs.org>

	* sound.el (sound-extension-list): give a better default value.
	* sound.el (load-sound-file): improve the doc string, also find
	files given by absolute names, pass a real extension list to
	`locate-file'.

2001-01-26  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.43 "Terspichore" is released.

2001-01-20  Klaus Frank <klausf@i3.informatik.rwth-aachen.de>

	* gnuserv.el (gnuserv-process-filter): Robuster handling of error
	messages from gnuserv.

2001-01-20  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.42 "Poseidon" is released.

2001-01-12  Nick V. Pakoulin  <npak@ispras.ru>

	* cl-macs.el (cl-upcase-arg): New function.
	(cl-function-arglist): New function.
	(cl-transform-lambda): Automatically add CL-style lambda list to
	documentation string using functions above.

2001-01-12  Andy Piper  <andy@xemacs.org>

	* package-get.el (package-get-custom): call
	package-net-update-installed-db.

	* package-ui.el (pui-install-selected-packages): call
	package-net-update-installed-db.

	* package-net.el (package-net-update-installed-db): use
	packages-package-list so that we reflect reality.

	* packages.el (packages-package-list): Make docstring reflect
	reality.

	* package-net.el (package-net-convert-index-to-ini): exclude mule entries.

	* postinstall.cc (do_postinstall): don't pick up shells if cygwin
	isn't installed.

2001-01-17  Andy Piper  <andy@xemacs.org>

	* wid-edit.el (widget-activation-glyph-mapper): activate or
	deactivate native widgets.
	(widget-glyph-insert-glyph): record instantiator.
	(widget-push-button-value-create): use it.

	* gui.el (gui-button-action): new function. Make button's domain
	buffer current when calling.
	(make-gui-button): update to use gui-button-action.

2001-01-16  Didier Verna  <didier@xemacs.org>

	* menubar-items.el (default-menubar): add an entry for modeline
	horizontal scrolling in Options -> Display.

2001-01-17  Steve Youngs  <youngs@xemacs.org>

	* package-get.el (package-get-require-signed-base): Set to nil
	by default.

2001-01-17  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.41 "Polyhymnia" is released.

2001-01-16  Mike Sperber <mike@xemacs.org>

	* setup-paths.el (paths-core-load-path-depth): Stopgap bump to
	catch lisp/mule/.

2001-01-14  Mike Sperber <mike@xemacs.org>

	* startup.el (maybe-create-compatibility-dot-emacs):
	(maybe-unmigrate-user-init-file):
	(unmigrate-user-init-file): Created.
	(maybe-migrate-user-init-file): Offer creation of compatibility
	.emacs.
	Some doc fixes wrt init file location.

2001-01-15  Golubev I. N.  <gin@mo.msk.ru>

	* faces.el (face-frob-from-locale-first): new variable.
	(frob-face-font-2): Honor tags arg while trying to use
	standard-face-mapping.  When face-frob-from-locale-first is set,
	first try to set face inheriting from frobbed-face.

2001-01-15  Didier Verna  <didier@xemacs.org>

	* about.el (xemacs-hackers): update my entry.
	* about.el (about-url-alist): ditto.
	* about.el (about-maintainer-info): ditto.
	* about.el (about-hackers): ditto.

2001-01-15  Martin Buchholz  <martin@xemacs.org>

	The byte compiler has been badly broken for a year,
	by the patch of 1999-12-06.
	* byte-optimize.el (byte-optimize-form-code-walker):
	Bug was: the byte compiler was making this erroneous optimization:
	(progn (or (foo)) (bar)) ==> (bar)

2000-11-20  Mike Sperber <mike@xemacs.org>

	* setup-paths.el (paths-core-load-path-depth): Split
	`paths-load-path-depth' in two for site and core lisp.  Don't
	recurse into core.
	* setup-paths.el (paths-construct-load-path): Use.

2001-01-10  Andy Piper  <andy@xemacs.org>

	* package-net.el (package-net-cygwin32-binary-size): new variable
	(package-net-win32-binary-size): ditto.  add much needed
	commentary.

	* gutter-items.el (buffers-tab-items): correct off-by-one error
	for buffers-tab-max-size.

2001-01-08  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.40 is released.

2001-01-06  Stephen J. Turnbull  <stephen@xemacs.org>

	* mule/hebrew.el: Fix comments and typos.
	mule/japanese.el: Fix comments, typos, and 8-bit character encoding.

2001-01-06  Stephen J. Turnbull  <stephen@xemacs.org>

	* ChangeLog.1: move ancient log from fill.el.

	* dump-paths.el:
	paragraphs.el:
	mule/mule-category.el:
	Miscellaneous typo fixes and slight doc clarifications.

	* mule/mule-ccl.el:  Correct file name in header.

2000-12-31  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.39 is released.

2000-12-27  Martin Buchholz  <martin@xemacs.org>

	* byte-optimize.el (byte-optimize-cond):
	(byte-optimize-cond-1): New.
	Rewrite `cond' in terms of `if' and `or', which are easier to optimize.
	Optimizes (cond (x nil)) ==> nil.
	Provide better diagnostic on malformed expr like (cond foo).

2000-12-20  Stephen J. Turnbull  <stephen@xemacs.org>

	* mule/mule-coding.el:
	mule/mule-cmds.el (reset-language-environment,
	set-language-environment-coding-systems):
	Safer default coding-priority-list, corresponding to src/file-coding.h.

2000-12-03  Jorma Laaksonen <jorma.laaksonen@hut.fi>

	* package-admin.el: Allow package removal from
	early-package-load-path.

2000-12-15  Andreas Jaeger  <aj@suse.de>

	* about.el (about-maintainer-info): Update my entry.

2000-12-11  Matt Tucker  <tuck@whistlingfish.net>

	* packages.el (locate-library): Add support for bzip2
	compressed .el files.

2000-12-12  Andy Piper  <andy@xemacs.org>

	* package-net.el: new file.

2000-12-01  Enrico Scholz  <enrico.scholz@informatik.tu-chemnitz.de>

	* font-lock.el: Add missing C++ keywords.

2000-12-08  Adrian Aichner  <adrian@xemacs.org>

	* simple.el (indent-for-comment): Preserve indentation of comments
	starting in column 0, as documented in (Info-goto-node
	"(xemacs)Comments").  Update docstring accordingly.

2000-12-05  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.38 is released.

2000-12-04  Didier Verna  <didier@xemacs.org>

	* mouse.el (default-mouse-track-set-point-in-window): remove
	spurious '+' operation detected by Martin.


2000-12-01  Martin Buchholz  <martin@xemacs.org>

	* cl-extra.el (coerce):
	Implement char to integer coercion.
	Remove extraneous (numberp) test.

	* byte-optimize.el (byte-compile-splice-in-already-compiled-code):
	Perform lapcode inlining if the value of `byte-optimize' is 'byte.
	(byte-optimize-predicate):
	Warn if evaluating constant expression signals an error.
	(byte-optimize-form): Small simplification.

	* cl-macs.el (cl-do-proclaim): small efficiency improvement.

2000-11-30  Martin Buchholz  <martin@xemacs.org>

	* byte-optimize.el:
	(byte-optimize-minus):
	(byte-optimize-plus):
	(byte-optimize-mult):
	(byte-optimize-quo):
	Use (car (last x)) instead of (last x) to get last elt!
	Use `byte-optimize-predicate' to optimize `%'.
	Move optimizations for special numeric args to bytecomp.el.
	* bytecomp.el (byte-compile-associative): Remove.
	(byte-compile-max): New.
	(byte-compile-min): New.
	Properly handle erroneous calls: (max) (min).
	(byte-compile-plus): New.
	(byte-compile-minus):
	It's easiest to handle 0, +1 and -1 args here.
	(byte-compile-mult): New.
	It's easiest to handle 1, -1 and 2 args here.
	(byte-compile-quo):
	It's easiest to handle 0, +1 and -1 args here.
	Issue byte-compiler warning when dividing by zero.

	Byte-compiler arithmetic improvements.
	Better optimize these expressions in the obvious way:
	(+ x y 1)   -->  varref x varref y add add1
	(+ x y -1)  -->  varref x varref y add sub1
	(- x y 0)   -->  (- x y)
	(- 0 x y)   -->  (- (- x) y)
	(% 42 19)   --> compile-time constant
	(/ 42 19)   --> compile-time constant
	(* (foo) 2) --> foo call dup plus

	Optimize away arithmetic operations (+ x) (* x) (/ x 1)
	unless (declaim (optimize (safety 3)))
	or (setq byte-compile-delete-errors nil).

2000-11-28  Stephen J. Turnbull  <stephen@xemacs.org>

	* paragraphs.el (paragraph-separate, forward-sentence):  Clarify
	docstrings.

2000-11-08  Stephen J. Turnbull  <stephen@xemacs.org>

	* startup.el (command-line-do-help):  Add documentation of
	portable dumper switches.

2000-11-22  Andy Piper  <andy@xemacs.org>

	* x-mouse.el (x-init-pointer-shape): use cursor-font explicitly.

	* glyphs.el (init-glyphs): don't use autodetect for strings.

2000-11-28  Martin Buchholz  <martin@xemacs.org>

	* byte-optimize.el (byte-optimize-char-before):
	(byte-optimize-backward-char):
	(byte-optimize-backward-word):
	Fix incorrect optimizations for these sorts of expressions:
	(let ((x nil)) (backward-char x))

2000-11-21  Martin Buchholz  <martin@xemacs.org>

	* byte-optimize.el:
	* byte-optimize.el (byte-optimize-backward-char): New.
	* byte-optimize.el (byte-optimize-backward-word): New.
	Make backward-word and backward-char as efficient as forward versions.

	* bytecomp.el (byte-compile-no-args-with-one-extra):
	* bytecomp.el (byte-compile-one-arg-with-one-extra):
	* bytecomp.el (byte-compile-two-args-with-one-extra):
	* bytecomp.el (byte-compile-zero-or-one-arg-with-one-extra):
	* bytecomp.el (byte-compile-one-or-two-args-with-one-extra):
	* bytecomp.el (byte-compile-two-or-three-args-with-one-extra):
	Check if extra arg is constant nil, and if so, use byte-coded call.

	* simple.el (backward-word):
	* simple.el (mark-word):
	* simple.el (kill-word):
	* simple.el (backward-kill-word):
	Make COUNT argument optional, for consistency with forward-char et al.

	* abbrev.el (abbrev-string-to-be-defined):
	* abbrev.el (inverse-abbrev-string-to-be-defined):
	* abbrev.el (inverse-add-abbrev):
	* abbrev.el (expand-region-abbrevs):
	* buff-menu.el (Buffer-menu-execute):
	* indent.el (move-to-left-margin):
	* indent.el (indent-relative):
	* indent.el (move-to-tab-stop):
	* info.el (Info-reannotate-node):
	* lisp-mode.el (lisp-indent-line):
	* lisp.el (end-of-defun):
	* lisp.el (move-past-close-and-reindent):
	* misc.el (copy-from-above-command):
	* mouse.el (default-mouse-track-scroll-and-set-point):
	* page.el (forward-page):
	* paragraphs.el (forward-paragraph):
	* paragraphs.el (end-of-paragraph-text):
	* picture.el (picture-forward-column):
	* picture.el (picture-self-insert):
	* rect.el (extract-rectangle-line):
	* simple.el (newline):
	* simple.el (fixup-whitespace):
	* simple.el (backward-delete-char-untabify):
	* simple.el (transpose-chars):
	* simple.el (transpose-preceding-chars):
	* simple.el (do-auto-fill):
	* simple.el (indent-new-comment-line):
	* simple.el (blink-matching-open):
	* view-less.el (cleanup-backspaces):
	* wid-edit.el (widget-transpose-chars):
	* term/bg-mouse.el (bg-insert-moused-sexp):
	Use more readable (backward-FOO n) instead of (forward-FOO -n).

	* info.el (Info-fontify-node):
	* simple.el (backward-delete-function):
	Use canonical delete-backward-char instead of backward-delete-char.

2000-11-20  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (update-tab-in-gutter): don't barf if there are
	no buffers.

2000-11-20  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (update-tab-in-gutter): don't give popup frames
	buffer tabs.

2000-11-18  Martin Buchholz  <martin@xemacs.org>

	* cl-macs.el: Correctly optimize plusp minusp oddp evenp.
	(proclaim inline...) was shadowing compiler-macros.

2000-11-17  Martin Buchholz  <martin@xemacs.org>

	* bytecomp.el (byte-compile-eval): New.
	(byte-compile-initial-macro-environment): Use byte-compile-eval.
	Keeps this promise made in Lispref:
	"If a file being compiled contains a `defmacro' form, the macro is
	defined temporarily for the rest of the compilation of that file."

2000-11-09  Martin Buchholz  <martin@xemacs.org>

	* cl.el (floatp-safe):
	(plusp):
	(minusp):
	(oddp):
	(evenp):
	(cl-abs):
	Use a better parameter name than `x'.

	* cl-macs.el (check-type): Make continuable.  Change documentation
	to require PLACE, but accept any form for compatibility.

	* abbrev.el (define-abbrev): Use check-type.
	* font-menu.el (font-menu-change-face): Use check-type.
	* menubar.el (relabel-menu-item): Use check-type.
	* itimer.el: Fix typo.

2000-11-10  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* info.el (Info-extract-menu-node-name): Comma is a delimiter.

2000-11-14  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.37 is released.

2000-11-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* code-cmds.el: Provide the feature.

2000-07-21  Jan Vroonhof  <jan@xemacs.org>

	* dumped-lisp.el (preloaded-file-list): Load code-cmds.el

	* code-cmds.el: New file
	* mule/mule-cmds.el:
	* mule/mule-misc.el
	(coding-keymap): New keymap. Define coding system keyboard
	commands on file-coding builds too.
	(coding-system-change-eol-conversion):
	(universal-coding-system-argument):
	(set-default-coding-systems):
	(prefer-coding-system): Moved from mule-cmds.el
	(set-buffer-process-coding-system): Moved from mule-misc.el

2000-09-15  Stephen Carney <carney@scubadoo.com>

	* etags.el (buffer-tag-table-files): Use append instead of nconc.

2000-11-09  Steve Youngs  <youngs@xemacs.org>

	* package-get.el (package-get-download-sites): Add a pre-release
	site for experimental packages.

	* auto-autoloads.el: Regenerated.

2000-08-01  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (buffers-tab-omit-function): reference
	buffers-tab-select-visible-buffers.
	(buffers-tab-filter-functions): new variable, by default uses
	buffers-tab-selection-function and buffers-tab-omit-function.
	(select-buffers-tab-buffers-by-mode): invert arguments.
	(buffers-tab-select-visible-buffers): new function. Invert calling
	of buffers-menu-omit-invisible-buffers.
	(buffers-tab-items): rewrite to use
	buffers-tab-filter-functions. Rewrite docstring.
	(gutter-buffers-tab-extent): delete.
	(add-tab-to-gutter): always build a new extent when adding the
	tabs.
	(update-tab-in-gutter): make gutter dirty when orientation
	changes.

2000-11-07  Martin Buchholz  <martin@xemacs.org>

	* bytecomp.el (byte-compile-defvar-or-defconst):
	Only do loadhist recording if defvar form includes a value.

2000-11-02  Martin Buchholz  <martin@xemacs.org>

	* bytecomp.el (byte-compile-initial-macro-environment):
	`eval-when-compile' should not compile its body.

2000-11-02  Stephen J. Turnbull  <stephen@xemacs.org>

	* mule/cyrillic.el: Add Windows 1251 code page encoding (by
	Sergey Groznyh <gsm@fct.ru> in <863diqaygu.fsf@fct.ru>).  Fix
	some Japanese English.	Remove some ancient FSF comments, and
	improve docstrings.  Use symbols not vectors for tables.

2000-11-03  Martin Buchholz  <martin@xemacs.org>

	* keymap.el:
	(local-key-binding):
	(global-key-binding):
	Add an optional `accept-defaults' parameter, just like `lookup-key'.

	* lisp.el:
	(backward-sexp): Slightly simpler code.
	(mark-sexp): Make arg optional, like FSF Emacs.
	(forward-list): Slightly simpler code.
	(backward-list): Slightly simpler code.
	(down-list):  Make arg optional, like FSF Emacs.
	(up-list):  Make arg optional, like FSF Emacs.
	(backward-up-list):  Make arg optional, like FSF Emacs.
	(kill-sexp):  Make arg optional, like FSF Emacs.
	(backward-kill-sexp):  Make arg optional, like FSF Emacs.

	* font-menu.el (font-menu-change-face):
	Take continuable errors into account.

	* abbrev.el:
	* abbrev.el (clear-abbrev-table):
	* abbrev.el (define-abbrev-table):
	* abbrev.el (define-abbrev):
	* abbrev.el (insert-abbrev-table-description):
	* apropos.el (apropos-documentation-check-doc-file):
	* apropos.el (apropos-documentation-check-elc-file):
	* buff-menu.el (list-buffers):
	* buff-menu.el (list-buffers-noselect):
	* bytecomp.el (byte-recompile-directory):
	* bytecomp.el (batch-byte-compile):
	* cl-macs.el (typep):
	* code-files.el (find-coding-system-magic-cookie):
	* code-files.el (insert-file-contents):
	* cus-edit.el (customize-set-variable):
	* cus-edit.el (customize-save-variable):
	* cus-face.el (custom-set-face-font-size):
	* cus-face.el (custom-set-face-update-spec):
	* cus-face.el (custom-reset-faces):
	* custom.el (custom-check-theme):
	* custom.el (copy-upto-last):
	* fill.el (canonically-space-region):
	* fill.el (fill-paragraph):
	* fill.el (fill-region):
	* fill.el (find-space-insertable-point):
	* fill.el (justify-current-line):
	* faces.el (face-spec-update-all-matching):
	* faces.el (set-face-stipple):
	* files-nomule.el (insert-file-contents):
	* files.el (insert-file-contents-literally):
	* files.el (hack-local-variables-last-page):
	* files.el (basic-save-buffer):
	* files.el (insert-directory):
	* font-menu.el (font-menu-change-face):
	* font.el (font-spatial-to-canonical):
	* format.el (format-encode-region):
	* format.el (format-insert-file):
	* format.el (format-replace-strings):
	* gutter.el (set-gutter-element):
	* help.el (key-or-menu-binding):
	* help.el (describe-bindings):
	* help.el (with-syntax-table):
	* indent.el (indent-rigidly):
	* indent.el (delete-to-left-margin):
	* info.el:
	* info.el (Info-extract-dir-entry-from):
	* info.el (Info-build-dir-anew):
	* info.el (Info-rebuild-dir):
	* info.el (Info-batch-rebuild-dir):
	* info.el (Info-read-subfile):
	* info.el (Info-build-node-completions):
	* info.el (Info-extract-menu-node-name):
	* isearch-mode.el (isearch-range-invisible):
	* isearch-mode.el (isearch-restore-invisible-extents):
	* itimer.el (itimerp):
	* itimer.el (itimer-live-p):
	* keymap.el:
	* keymap.el (substitute-key-definition):
	* keymap.el (read-command-or-command-sexp):
	* keymap.el (local-key-binding):
	* keymap.el (global-key-binding):
	* keymap.el (global-set-key):
	* keymap.el (local-set-key):
	* ldap.el:
	* ldap.el (ldap-add-entries):
	* ldap.el (ldap-delete-entries):
	* lisp.el (backward-sexp):
	* lisp.el (mark-sexp):
	* lisp.el (forward-list):
	* lisp.el (backward-list):
	* lisp.el (down-list):
	* lisp.el (backward-up-list):
	* lisp.el (up-list):
	* lisp.el (kill-sexp):
	* lisp.el (backward-kill-sexp):
	* menubar.el (add-menu-button):
	* menubar.el (add-submenu):
	* menubar.el (delete-menu-item):
	* menubar.el (relabel-menu-item):
	* mouse.el (narrow-window-to-region):
	* obsolete.el (define-obsolete-variable-alias):
	* obsolete.el (store-substring):
	* package-admin.el:
	* package-admin.el (package-admin-install-function):
	* package-admin.el (package-admin-install-function-mswindows):
	* package-admin.el (package-admin-default-install-function):
	* package-get.el (package-get-update-base-entries):
	* packages.el (packages-load-package-dumped-lisps):
	* packages.el (packages-collect-package-dumped-lisps):
	* printer.el (generic-print-buffer):
	* printer.el (generic-print-region):
	* replace.el (occur-mode-mouse-goto):
	* replace.el (perform-replace):
	* select.el (get-selection-no-error):
	* simple.el:
	* simple.el (newline):
	* simple.el (open-line):
	* simple.el (edit-and-eval-command):
	* simple.el (goto-line):
	* simple.el (undo):
	* simple.el (kill-region):
	* simple.el (copy-region-as-kill):
	* simple.el (kill-ring-save):
	* simple.el (set-mark):
	* simple.el (next-line):
	* simple.el (previous-line):
	* simple.el (line-move):
	* simple.el (set-goal-column):
	* simple.el (comment-region):
	* subr.el:
	* subr.el (putf):
	* syntax.el (modify-syntax-entry):
	* syntax.el (map-syntax-table):
	* view-less.el (view-file):
	* view-less.el (view-buffer):
	* view-less.el (view-file-other-window):
	* window-xemacs.el (backward-other-window):
	* window.el:
	* window.el (one-window-p):
	* window.el (walk-windows):
	* window.el (window-list):
	* x-mouse.el (x-mouse-kill):
	* x-select.el (x-get-cutbuffer):
	* x-select.el (x-store-cutbuffer):
	* term/bg-mouse.el (bg-mouse-line-to-center):
	* term/sun-mouse.el (window-line-end):
	* term/sun-mouse.el (sun-select-region):
	* term/sun.el (kill-region-and-unmark):
	* mule/mule-category.el:
	* mule/mule-category.el (modify-category-entry):
	* mule/mule-category.el (char-category-list):
	* mule/mule-coding.el (coding-system-force-on-output):
	* mule/mule-misc.el (coding-system-put):
	Docstring arglist/Texinfo fixes.  See man/ChangeLog for details.

2000-11-02  Stephen J. Turnbull  <stephen@xemacs.org>

	* cus-face.el: Typo fixes and tiny clarifications.
	* custom.el: ditto

2000-10-27  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* startup.el (auto-save-list-file-prefix): Moved to fileio.c.
	* startup.el (normal-top-level): Setup auto-save-list-file-name
	if auto-save-list-file-prefix is non-nil.

2000-10-25  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* files.el (auto-mode-alist): Allow mixed case suffix for idlwave-mode.

2000-01-05  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* hyper-apropos.el (hyper-apropos-this-symbol): Don't always
	get symbol at point-min.

2000-10-24  Didier Verna  <didier@xemacs.org>

	* info.el (Info-emacs-info-file-name): defconst it.
	* info.el (Info-footnote-tag): defcustom it.
	* info.el (Info-no-description-string): ditto.
	* info.el (Info-find-node): adapt to new semantics of
	'Info-suffixed-file (don't do the case variants stuff).
	* info.el (Info-insert-dir): rewrite the dir file variants code.
	* info.el (Info-directory-files): New. Return the list of info
	files in a directory.
	* info.el (Info-dir-outdated-p): use it.
	* info.el (Info-parse-dir-entries): ditto.
	* info.el (Info-build-dir-anew): don't restrict to files ending
	with a ".info.*" extension.
	* info.el (Info-set-mode-line): ditto.
	* info.el (Info-read-subfile): adapt to new semantics of
	'Info-suffixed-file (append 'exact argument).
	* info.el (Info-all-case-regexp): New. Return a regexp matching a
	string independently of the case.
	* info.el (Info-suffixed-file): use it (match all possible case
	for the file name).
	* info.el (Info-insert-file-contents): code cleanup.
	* info.el (Info-rebuild-dir): cosmetics only. Fit code in 80
	columns.
	* info.el (Info-batch-rebuild-dir): ditto.
	* info.el (Info-read-node-name-1): ditto.
	* info.el (Info-search): ditto.
	* info.el (Info-fontify-node): ditto.


2000-10-24  Didier Verna  <didier@xemacs.org>

	* process.el (shell-command): when called from a program, avoid
	'push-mark's "mark-set" message.

2000-10-15  MIYASHITA Hisashi  <himi@m17n.org>

	* mule/thai-xtis.el (tis-620): Specify coding-system's ccl-program
	by a symbol, not by a vector.
	* mule/vietnamese.el (vscii): Likewise.
	(viscii): Likewise.
	* mule/cyrillic.el (koi8-r): Likewise.

	* mule/chinese.el (chinese-big5-1): Specify charset's ccl-program
	by a symbol, not by a vector.
	(chinese-big5-2): Likewise.
	* mule/ethiopic.el (ethiopic): Likewise.
	* mule/vietnamese.el (vietnamese-viscii-lower): Likewise.
	(vietnamese-viscii-upper): Likewise.

2000-10-12  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* files.el (auto-mode-alist): Remove obsolete entry for html3-mode.

2000-10-13  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* byte-optimize.el (byte-optimize-car): New function.
	(byte-optimize-cdr): Ditto.

2000-10-12  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* byte-optimize.el: Partial synch with FSF 20.7.
	Optimize constant concatenation.
	Add keymapp as a side effect free function.  It is a built-in.
	(byte-after-unbind-pos): Remove byte-equal.

2000-10-13  Gunnar Evermann  <ge204@eng.cam.ac.uk>

	* update-elc-2.el: Quote regexps correctly.

2000-10-05  MIYASHITA Hisashi  <himi@m17n.org>

	* mule/mule-ccl.el: Sync up with Emacs 21.0.90.
	(ccl-compile): Apply integerp, not integer-or-char-p to
	check the type of the buffer magnification
	(ccl-compile-write-string): Encode a string with binary
	coding system.
	(ccl-compile-write-repeat): Likewise.

2000-09-25  Robert Pluim  <rpluim@bigfoot.com>

	* buff-menu.el:
	* bytecomp.el:
	* coding.el:
	* faces.el:
	* files.el:
	* fill.el:
	* float-sup.el:
	* font-lock.el:
	* help.el:
	* iso8859-1.el:
	* loaddefs.el:
	* menubar-items.el:
	* menubar.el:
	* modeline.el:
	* msw-font-menu.el:
	* paragraphs.el:
	* paths.el:
	* replace.el:
	* simple.el:
	* sound.el:
	* startup.el:
	* version.el:
	* x-faces.el:
	* x-font-menu.el:
	Remove purecopy.

2000-10-03  Daniel Pittman  <daniel@rimspace.net>

	* simple.el (do-auto-fill): Use the function pointer to by
	`comment-line-break-function', not `indent-new-comment-line'. This
	fixes an issue with cc-mode comment continuation.

2000-10-11  Martin Buchholz  <martin@xemacs.org>

	* simple.el (turn-on-auto-fill):  Add (interactive).
	* mwheel.el (mwheel-install): Add (interactive).
	* font-lock.el (turn-on-font-lock): Add (interactive).
	(turn-off-font-lock): Add (interactive).

2000-10-03  Karl M. Hegbloom  <karlheg@bittersweet.inetarena.com>

	* packages.el (packages-special-base-regexp): Add `man'.

2000-10-08  Adrian Aichner  <adrian@xemacs.org>

	* wid-edit.el (widget-specify-active): map over extents in current
	buffer like `widget-specify-inactive' does.  Mapping over the
	inactive extent object does not work since the current extent is
	ignored by `map-extents'.

2000-10-04  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.36 is released.

2000-09-22  Martin Buchholz  <martin@xemacs.org>

	* byte-optimize.el (byte-optimize-lapcode): Add an optimizer pass.
	Optimize the compiled-function-constants vector by byte-code
	reference counts.

2000-09-25  Robert Pluim  <rpluim@bigfoot.com>

	* build-report.el (build-report-delete-regexp): quote value in
	defcustom

2000-09-24  Adrian Aichner  <aichner@ecf.teradyne.com>

	* build-report.el (build-report): Don't bind srcdir which we don't
	use in `multiple-value-bind' to avoid the only byte-compiler
	warning.

2000-09-23  Adrian Aichner  <aichner@ecf.teradyne.com>

	* build-report.el: Requires cl and custom now.
	build-report-version is determined by XEmacs version -- remove
	build-report-version*.
	* build-report.el (build-report-version): Removed.
	* build-report.el (build-report-installation-version-regexp): New.
	* build-report.el (build-report-version-file-regexp): New.
	* build-report.el (build-report-installation-srcdir-regexp): New.
	* build-report.el (build-report-destination): Offer
	xemacs-build-reports and xemacs-beta.
	* build-report.el (build-report-keep-regexp): Adjusted.
	* build-report.el (build-report-delete-regexp): Adjusted.
	* build-report.el (build-report-make-output-dir): New.
	* build-report.el (build-report-installation-file): Replace use of
	`concat' with `expand-file-name'.
	* build-report.el (build-report-make-output-file): Removed.
	* build-report.el (build-report-make-output-files): New.
	* build-report.el (build-report-subject): Identify as
	user-variable with "*...".
	* build-report.el (build-report-prompts): Ditto.
	* build-report.el (build-report-version-file): New.
	* build-report.el (build-report-file-encoding): Identify as
	user-variable with "*...".
	* build-report.el (build-report-make-output-get): New.
	* build-report.el (build-report-insert-header): Report
	emacs-version and system-configuration instead of
	build-report-version.
	* build-report.el (build-report-insert-make-output): Add file
	argument.
	* build-report.el (build-report-insert-installation-file):
	Re-indent.
	* build-report.el (build-report-keep): Change docstring,
	re-indent.
	* build-report.el (build-report-delete): Ditto.
	* build-report.el (build-report-installation-data): New.
	* build-report.el (build-report-version-file-data): New.

2000-09-20  Martin Buchholz  <martin@xemacs.org>

	* byte-optimize.el (byte-optimize-lapcode):
	Fix the optimization of using the first 5 elements of the
	constants vector for variables.
	(byte-optimize-lapcode): Fix another ancient broken optimization.

2000-09-19  Martin Buchholz  <martin@xemacs.org>

	* *: Spelling mega-patch

2000-09-19  Martin Buchholz  <martin@xemacs.org>

	* easymenu.el: doc fixes.
	(easy-menu-do-define): Use backquote.
	(easy-menu-change):
	(easy-menu-add):
	`when' seems much clearer than `if' here.
	(easy-menu-remove):
	(easy-menu-add-item):
	(easy-menu-item-present-p):
	(easy-menu-remove-item):
	Wrap using (when (featurep 'menubar) ...)

2000-09-16  Martin Buchholz  <martin@xemacs.org>

	* bytecomp.el (displaying-byte-compile-warnings):
	Revert Ben's change to this function below so that the compile log
	is displayed properly for users of the "popper" package.

2000-09-12  Martin Buchholz  <martin@xemacs.org>

	* window.el (save-selected-window): Use backquote.

	* bytecomp.el (byte-compile-file-form-defvar-or-defconst):
	Renamed from `byte-compile-file-form-defvar'.
	* bytecomp.el (byte-compile-defvar-or-defconst):
	Only cons onto current-load-list in top-level forms.
	Else this leaks a cons cell every time a defun is called.
	Renamed from `byte-compile-defvar', for clarity.
	Warn when docstring of defvar is not a string.
	Use consistent error messages.
	Better comments.

2000-09-11  Martin Buchholz  <martin@xemacs.org>

	* simple.el (set-variable):
	Remove unneeded defvar by rearranging order of let* forms.

	* mule/mule-ccl.el (ccl-get-next-code):
	* menubar-items.el (bookmark-menu-filter):
	(language-environment-menu-filter):
	(tutorials-menu-filter):
	* toolbar-items.el (toolbar-compile):
	* byte-optimize.el (disassemble-offset):
	Use (declare (special ...)) instead of `defvar'.

	* cl-macs.el (cl-do-proclaim):
	Fix (declare (special ...)) warning suppression syntax.

2000-07-22  Golubev I. N. <gin@mo.msk.ru>

	* info.el (Info-tag-table-marker):
	(Info-tag-table-buffer):
	(Info-find-file-node):
	(Info-read-subfile):
	(Info-build-node-completions):
	(Info-search):
	(Info-mode):
	Multiple info buffer support.

2000-08-28  Oscar Figueiredo  <oscar@cpe.fr>

	* ldap.el (ldap-decode-entry): New defun
	(ldap-search-entries): Use it in order to decode DN-prefixed
	entries properly

2000-08-23  Daniel Pittman <daniel@danann.net>

	* mule/mule-cmds.el (coding-system-change-eol-conversion):
	Use `eq', not `=', to compare symbols.

2000-07-30  Ben Wing  <ben@xemacs.org>

	* bytecomp.el (byte-compile-report-error):
	* bytecomp.el (displaying-byte-compile-warnings):
	if stack-trace-on-error is set, send out a backtrace when
	an error is encountered that stops byte compilation.  this
	should make it much much easier to track down those curious
	problems.  also undo the kludge of using a separate "*Show*"
	buffer for display when there's a temp-buffer-show-function;
	we can avoid this by just being a little smarter.

	* dialog-items.el:
	* dialog-items.el (search-dialog-regexp): New.
	* dialog-items.el (search-dialog-callback):
	* dialog-items.el (make-search-dialog):
	add a regexp option to the dialog and clean up a bit.

	* dialog.el:
	* dialog.el (yes-or-no-p-dialog-box):
	* dialog.el (get-dialog-box-response):
	* dialog.el (make-dialog-box):
	* dialog.el (dialog-box-finish): New.
	* dialog.el (dialog-box-cancel): New.
	* dialog.el (internal-make-dialog-box-exit): New.
	implement [properly!] the :modal property of the new dialog box
	interface.  this is the first time xemacs has ever had *proper*
	modal dialog boxes, giving the standard window-system feedback.
	(e.g. under windows, clicking on a disabled frame causes a beep
	and makes the dialog box flash three times.)

	* dragdrop.el: header keyword frobbing.

	* dumped-lisp.el (preloaded-file-list):
	renamed winnt.el to win32-native.el.

	* faces.el (face-property):
	* faces.el (set-face-property):
	* faces.el (frob-face-property):
	* faces.el (frob-face-font-2):
	* faces.el (make-face-bold):
	* faces.el (make-face-italic):
	* faces.el (make-face-bold-italic):
	* faces.el (make-face-unbold):
	* faces.el (make-face-unitalic):
	* faces.el (make-face-smaller):
	* faces.el (make-face-larger):
	clean up the implementation of these so that window-system-specific
	methods are called only on objects belonging to that window system.
	previously, you could have [e.g.] mswindows-make-face-bold called
	on font object of device type `stream', which is not good and
	explains the subtle errors Adrian was getting when byte-compiling
	something that required 'term. (Adrian, now you can use stack-trace-
	on-error to find the exact place where things are going wrong instead
	of having to laboriously binary-search your way through.)

	* finder.el (finder-known-keywords):
	cleaned up -- properly sorted, clarified the meanings of many of
	the keywords, and added a few -- mswin, gui, content, build, www,
	user, services.  the last two try to distinguish between a package
	that's used directly by the user, and a package that provides
	support services to other packages.

	* font-lock.el (lisp-font-lock-keywords-2):
	update list of lisp control structures to include everything,
	including new ones i introduced.

	* gutter.el: header keyword frobbing.

	* isearch-mode.el (isearch-ring-adjust1): M-p to recall the most
	recent isearch element was not doing so!  you got the second-most-
	recent instead.

	* lisp-mode.el (construct-lisp-mode-menu):
	more menubar cleanups.
	* lisp-mode.el (with-selected-window):
	make it indent properly.

	* menubar-items.el (default-menubar): lots of menubar cleanups.
	rearranged the options menu the most, e.g. splitting up the
	Keyboard/Mouse menu into a new Editing menu and combining the
	separate Scrollbar/Gutter/Toolbar submenus into Display.
	Got rid of General, moved items to Editing or new Troubleshooting.
	Moved Packages to Tools; doesn't seem to belong under Options.
	Added stuff to the Cmds menu, e.g. Change Case.

	NB please don't complain about these periodic menubar changes.
	Anything like this is necessarily incremental in its construction
	-- By constant use you gradually become more and more aware of
	better and better ways to group menu items.  When we eventually
	move the options menu to a property sheet, the existing structure
	will probably be preserved fairly well.

	* minibuf.el (next-history-element): fix problems with pressing
	down arrow in repeat-complex-command.

	* modeline.el:
	* modeline.el (modeline-3d-p): New.
	added custom variable for controlling the 3d modeline.  the
	corresponding Options item has been present for a long time,
	but commented out with "fix me!" comments.  it's fixed now.

	* obsolete.el (add-menu):
	remove bogus gettexts.

	* process.el (shell-quote-argument):
	handle this correctly under Windows native with COMMAND.COM/CMD.EXE.
	For bash under Windows native, see below.

	* simple.el:
	* simple.el (display-warning-buffer):
	Fixed the handling of warning display to eliminate the annoying
	*Show* buffer, like was done for byte-compiler output above.

	* simple.el (debug-print): New.
	Simple function for sending debug messages to the console and/or
	other debug places.

	* subr.el (replace-in-string):
	Rewrite this function to avoid N^2 behavior with large strings --
	catastrophic with the new Windows selection code! (Apparently the
	author of this function didn't realize there was a fun
	replace-match that could make his life much easier, because we
	duplicated the entire logic.  The new version is smaller, easier
	to understand, much more robust, and has extended features --
	those of replace-match.)

	* window.el:
	* window.el (with-selected-window): New.
	An obvious complement to the existing `with-selected-frame' and
	`with-current-buffer'.

	* win32-native.el: Renamed from winnt.el.
	Added a great deal of stuff for properly handling process quoting,
	somewhat modeled on Kirill's original model (which i later threw
	away).  We should now finally have correctly working process arg
	quoting/dequoting so that the final app gets exactly what we
	intended.  Because the mechanism is in Lisp, it's easily
	extendible. (For those running bash and running the native
	version, I tried hard to do what I thought was correct.  But more
	thought is needed, and ideally the volunteer work of people with
	these configurations that they generally run on.)

	* x-font-menu.el (x-font-menu-font-data):
	Put in defvar's to fix byte-compiler warnings.

2000-08-01 Alastair J. Houghton <ajhoughton@lineone.net>

	* select.el (selection-coercion-alist): Initialise.
	* select.el (select-coerce-to-text): New.
	* select.el (select-coerce): New.
	New functions to perform type and value coercion.

	* select.el (select-buffer-killed-default): Keep data if it was
	on the clipboard.

2000-08-02  Martin Buchholz  <martin@xemacs.org>

	* menubar-items.el (default-menubar): Fix typo.
	(default-menubar): `lambda' was mispelled as `lamda'.

2000-07-31  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* window.el (shrink-window-if-larger-than-buffer): Remove
	edge checking code.

2000-07-31  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* paths.el (gnus-local-domain): Removed.
	(gnus-local-organization): Ditto.
	(gnus-startup-file): Ditto.

2000-07-13  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* files.el (auto-mode-alist): Add .spec for RPM.

2000-07-31  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (update-tab-in-gutter): deprecate :properties.

2000-07-31  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* dragdrop.el (experimental-dragdrop-drop-url-default): Use function
	browse-url.
	* help.el (xemacs-www-page): Ditto.
	(xemacs-www-faq): Ditto.
	* menubar-items.el (default-menubar): Ditto.

	* wid-edit.el (widget-url-link-action): Ditto.
	From: Kenichi OKADA <okada@opaopa.org>.

2000-07-31  Martin Buchholz  <martin@xemacs.org>

	* finder.el (finder-commentary): Add autoload cookie.

2000-07-28  Adrian Aichner  <aichner@ecf.teradyne.com>

	* files.el (insert-file-contents-literally): Fix second let
	binding for `coding-system-for-read' to `coding-system-for-write'
	as suggested by Dan Holmsand <dan@innehallsbolaget.com>.

1999-06-15  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* files.el (insert-file-contents-literally): Use binary coding
	system (from Morioka san).
	(insert-file-contents-literally): Make file-name-handler method.

2000-07-26  Martin Buchholz  <martin@xemacs.org>

	* cl-macs.el (get-selection): Add defsetf.

2000-07-25  Steve Youngs  <youngs_s@ozlinx.com.au>

	* x-init.el (x-activate-region-as-selection): replace obsolete
	function x-own-selection with own-selection.
	(ow-find): replace obsolete functions x-get-selection and
	x-get-clipboard with get-selection and get-clipboard.
	(init-post-x-win): replace obsolete function x-disown-selection
	with disown-selection.

2000-07-20  Mike Sperber  <mike@xemacs.org>

	* startup.el (load-user-init-file): Only try to load init file if
	it exists.

2000-07-10  Andy Piper  <andy@xemacs.org>

	* dialog-items.el: sync with Ben's patch.

	* gutter-items.el (buffers-tab-switch-to-buffer): remove now-bogus
	comment.
	(progress-text-glyph): deleted.
	(progress-layout-glyph): make completely minimal.
	(progress-gauge-glyph): ditto.
	(progress-display-style): fix to handle dynamic instantiator
	changes.
	(progress-text-instantiator): new.
	(progress-layout-instantiator): new.
	(progress-gauge-instantiator): new.
	(set-progress-display-instantiator): renamed and changed from
	set-progress-display-style.
	(progress-abort-glyph): use instantiator not glyph.
	(append-progress-display): use set-progress-display-instantiator
	and set-glyph-image.
	(abort-progress-display): ditto.
	(raw-append-progress-display): ditto.

2000-07-20  Ben Wing  <ben@xemacs.org>

	* code-files.el: Move Mule-specific code to mule-coding.el.

2000-07-15  Ben Wing  <ben@xemacs.org>

        * autoload.el:
        Fixed comments.

        * cmdloop.el:
        * cmdloop.el (yes-or-no-p):
        * cmdloop.el (y-or-n-p):
        Make these functions use should-use-dialog-box-p and not be
        overridden in dialog.el.

        * cus-dep.el:
        * cus-dep.el (Custom-make-dependencies): Removed.
        * cus-dep.el (Custom-make-dependencies-1): New.
        * cus-dep.el (Custom-make-one-dependency): New.
        New entry point for use in Makefiles, to avoid excessive
        invocations.

        * cus-edit.el (custom-variable-reset-saved):
        * cus-edit.el (custom-variable-reset-standard):
        * cus-edit.el (custom-save-resets):
        Fix bytecompiler warnings.

        * dialog.el:
        * dialog.el (yes-or-no-p-dialog-box):
        * dialog.el (yes-or-no-p-maybe-dialog-box): Removed.
        * dialog.el (y-or-n-p-maybe-dialog-box): Removed.
        * dialog.el (get-dialog-box-response):
        * dialog.el (message-or-box):
        * dialog.el (make-dialog-box):
        * dialog.el (popup-dialog-box): New.
        Avoid yes-or-no-p bogosities.
        Create a general function `make-dialog-box' to encapsulate all
        dialog box methods; easily extendible.  popup-dialog-box now obsolete.

        * dumped-lisp.el (preloaded-file-list):
        Add dialog-items.  Clean up.  Group files by types.

        * easymenu.el (easy-menu-add):
        * easymenu.el (easy-menu-remove):
        Account for accelerators.

        * extents.el:
        * extents.el (extent-list): New args, like in map-extents.
        * extents.el (extent-at-event): New.
        * extents.el (extents-at-event): New.

        * font-lock.el:
        * font-lock.el (font-lock-mode):
        * font-lock.el (font-lock-default-fontify-buffer):
        * font-lock.el (font-lock-default-unfontify-region):
        * font-lock.el (font-lock-fontify-syntactically-region):
        * font-lock.el (font-lock-fontify-keywords-region):
        Use new progress-feedback names.

        * font-lock.el (java-font-lock-identifier-regexp):
        * font-lock.el (java-font-lock-class-name-regexp):
        Fix bytecompiler warnings.

        * gutter-items.el:
        * gutter-items.el (progress-display-use-echo-area): Removed.
        * gutter-items.el (progress-feedback-use-echo-area): New.
        * gutter-items.el (progress-display-popup-period): Removed.
        * gutter-items.el (progress-feedback-popup-period): New.
        * gutter-items.el (set-progress-display-style): Removed.
        * gutter-items.el (set-progress-feedback-style): New.
        * gutter-items.el (progress-display-style): Removed.
        * gutter-items.el (progress-feedback-style): New.
        * gutter-items.el (progress-stack):
        * gutter-items.el (progress-displayed-p): Removed.
        * gutter-items.el (progress-feedbacked-p): New.
        * gutter-items.el (clear-progress-display): Removed.
        * gutter-items.el (clear-progress-feedback): New.
        * gutter-items.el (progress-display-clear-when-idle): Removed.
        * gutter-items.el (progress-feedback-clear-when-idle): New.
        * gutter-items.el (remove-progress-display): Removed.
        * gutter-items.el (remove-progress-feedback): New.
        * gutter-items.el (progress-display-dispatch-non-command-events): Removed.
        * gutter-items.el (progress-feedback-dispatch-non-command-events): New.
        * gutter-items.el (append-progress-display): Removed.
        * gutter-items.el (append-progress-feedback): New.
        * gutter-items.el (abort-progress-display): Removed.
        * gutter-items.el (abort-progress-feedback): New.
        * gutter-items.el (raw-append-progress-display): Removed.
        * gutter-items.el (raw-append-progress-feedback): New.
        * gutter-items.el (display-progress-display): Removed.
        * gutter-items.el (display-progress-feedback): New.
        * gutter-items.el (current-progress-display): Removed.
        * gutter-items.el (current-progress-feedback): New.
        * gutter-items.el (current-progress-display-label): Removed.
        * gutter-items.el (current-progress-feedback-label): New.
        * gutter-items.el (progress-display): Removed.
        * gutter-items.el (progress-feedback): New.
        Replace "progress-display" with "progress-feedback" globally.

        * gutter-items.el (lprogress-display): Removed.
        * gutter-items.el (progress-feedback-with-label): New.
        Rename lprogress-display ==> progress-feedback-with-label.

        * gutter-items.el (search-dialog-direction): Removed.
        * gutter-items.el (search-dialog-text): Removed.
        * gutter-items.el (search-dialog-callback): Removed.
        * gutter-items.el (make-search-dialog): Removed.
        Move to dialog-items.el.

        * help.el:
        * help.el (help-mode-quit):
        * help.el (mode-for-help): New.
        * help.el (help-sticky-window): New.
        * help.el (help-window-config): New.
        * help.el (with-displaying-help-buffer):
        * help.el (function-at-event): New.
        * help.el (help-symbol-regexp): New.
        * help.el (help-symbol-run-function-1): New.
        * help.el (help-symbol-run-function): New.
        * help.el (help-symbol-function-context-menu): New.
        * help.el (help-symbol-variable-context-menu): New.
        * help.el (help-symbol-function-and-variable-context-menu): New.
        * help.el (frob-help-extents): New.
        * help.el (describe-function-1):
        * help.el (variable-at-point):
        * help.el (variable-at-event): New.
        * help.el (describe-variable):
        Major overhaul.
        - Make functions and variables be mousable.
        - Middle button hyperlinks.
        - New context-menu entries.

        * keydefs.el:
        * keydefs.el (global-map):
        New key bindings to move lines up and down.

        * lisp-mode.el:
        * lisp-mode.el (construct-lisp-mode-menu): New.
        * lisp-mode.el (emacs-lisp-mode-popup-menu):
        * lisp-mode.el (lisp-interaction-mode-menubar-menu):
        * lisp-mode.el (emacs-lisp-mode-menubar-menu):
        * lisp-mode.el (lisp-indent-function): Indent "flet" entries better.
        Make popup and menubar menus be different.  Popup menu uses
        clicked location and automatically assumes symbol under the mouse
        for various commands.

        * menubar-items.el:
        * menubar-items.el (bookmark-menu-filter): Add accelerators.
        * menubar-items.el (buffers-menu-omit-chars-list): Include 'd'.

        * menubar-items.el (global-popup-menu): Removed.
        * menubar-items.el (mode-popup-menu): Removed.
        * menubar-items.el (activate-popup-menu-hook): Removed.
        * menubar-items.el (popup-mode-menu): Removed.
        * menubar-items.el (popup-buffer-menu): Removed.
        * menubar-items.el (popup-menubar-menu): Removed.
        Move to menubar.el.

        * menubar.el:
        * menubar.el (global-popup-menu): New.
        * menubar.el (mode-popup-menu): New.
        * menubar.el (activate-popup-menu-hook): New.
        * menubar.el (last-popup-menu-event): New.
        * menubar.el (popup-mode-menu): New.
        * menubar.el (popup-buffer-menu): New.
        * menubar.el (popup-menubar-menu): New.
        * menubar.el (menu-call-at-event): New.
        Move non-content functions here.  Add support for context menu
        items on extents.

        * minibuf.el (minibuffer-history-uniquify):
        Typo fix.

        * minibuf.el (read-file-name-1):
        Call new file dialog box if it exists.

        * minibuf.el (mouse-rfn-setup-vars):
        Clean up "chop" action.

        * mouse.el:
        * mouse.el (button2): Now bound to mouse-track.
        * mouse.el (click-inside-extent-p):
        * mouse.el (point-inside-extent-p):
        * mouse.el (point-inside-selection-p):
        * mouse.el (mouse-drag-or-yank): Removed.
        * mouse.el (mouse-begin-drag-n-drop): New.
        * mouse.el (mouse-eval-sexp):
        * mouse.el (mouse-track-activate-strokes): New.
        * mouse.el (mouse-track-do-activate): New.
        * mouse.el (mouse-track):
        * mouse.el (default-mouse-track-event-is-with-button): New.
        * mouse.el (default-mouse-track-cleanup-hook):
        * mouse.el (default-mouse-track-drag-hook):
        * mouse.el (default-mouse-track-drag-up-hook):
        * mouse.el (default-mouse-track-click-hook):
        Merge drag-n-drop into mouse-track.
        Add general "activate" support to replace specific button2 kludges.
        Use "button modifier" support in mouse-track.

        * package-get.el (package-get-dependencies): Fix bytecompiler warnings.

        * package-ui.el:
        * package-ui.el (pui-menu):
        * package-ui.el (pui-popup-context-sensitive): Removed.
        Fix bytecompiler warnings.
        Clean up popup code a bit.

        * select.el (get-selection-no-error): Fix bytecompiler warnings.

        * simple.el:
        * simple.el (transpose-lines):
        * simple.el (transpose-line-up): New.
        * simple.el (transpose-line-down): New.
        * simple.el (transpose-subr):
        * simple.el (transpose-subr-1): Removed.
        Clean up, add functions to move lines up and down.

        * startup.el (mail-host-address):
        * startup.el (user-mail-address):
        Customize.

        * subr.el:
        * subr.el (set-symbol-value-in-buffer): New.
        * subr.el (error):
        * subr.el (check-argument-type):
        * subr.el (defined-error-p): New.
        Add structured error support.

        * toolbar-items.el (toolbar-compile):
        Use new make-dialog-box.

        * update-elc.el:

        * userlock.el (ask-user-about-lock-dbox):
        * userlock.el (ask-user-about-supersession-threat-dbox):
        * userlock.el (ask-user-about-lock):
        * userlock.el (ask-user-about-supersession-threat):
        Use new make-dialog-box.
        Add safety checks; use should use-dialog-box-p.

        * window-xemacs.el:
        * window-xemacs.el (__buffer-dedicated-frame):
        * window-xemacs.el (buffer-dedicated-frame): New.
        * window-xemacs.el (set-buffer-dedicated-frame): New.
        Move dedicated-frame stuff into lisp.

2000-07-18  Kirill 'Big K' Katsnelson  <kkm@dtmx.com>

	* printer.el (generic-print-region): Do not require that
	`printer-name' be set.
	(printer-name): Commentary clarification.

2000-07-19  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.35 is released.

2000-07-18 Alastair J. Houghton <ajhoughton@lineone.net>

	* select.el (selection-coercible-types): Initialise.

2000-07-18 Alastair J. Houghton <ajhoughton@lineone.net>

	* select.el (own-clipboard): Bug fix.

2000-07-17  Mike Sperber  <mike@xemacs.org>

	* cus-edit.el (custom-migrate-custom-file): Save init file before
	continuing.

2000-07-16  Mike Sperber  <mike@xemacs.org>

	* startup.el (load-init-file): Remove silly call to
	`load-user-custom-file`.
	(maybe-migrate-user-init-file): Minor fixes.

2000-07-16  Martin Buchholz  <martin@xemacs.org>

	* apropos.el (apropos-documentation-check-doc-file):
	`doc' variable should be let-bound, as was presumably intended.

	* cus-edit.el (custom-variable-reset-saved):
	(custom-variable-reset-standard):
	Remove unused variable comment-widget.  Twice.

	* toolbar.el (toolbar-blank-press-function):
	Add a real defvar with initial value nil and proper docstring.
	(press-toolbar-button): No need to check for boundp-ness anymore.

	* rect.el (open-rectangle-line): Remove useless (let) form.
	Add defvar for pending-delete-mode.

	* info.el (Info-find-node): This function needs an autoload cookie.

	* mule/mule-x-init.el (x-use-halfwidth-roman-font):
	Use let* since the second form referred to the first.

2000-07-16  Adrian Aichner  <aichner@ecf.teradyne.com>

	* msw-select.el (mswindows-paste-clipboard): Use `get-clipboard'
	instead of removed `mswindows-get-clipboard'.


2000-07-15 Alastair J. Houghton <ajhoughton@lineone.net>

	* select.el (select-convert-from-text): New.
	* select.el (select-convert-from-length): New.
	* select.el (select-convert-from-integer): New.
	* select.el (select-convert-from-identity): New.
	* select.el (select-convert-from-filename): New.
	* select.el (selection-converter-in-alist): Use them.
	New converter functions for X.

	* select.el (get-selection): Removed comment.

	* select.el (own-selection): Removed append code - I thought
	I'd already done this, but apparently not...

	* select.el: Changed comment about TIMESTAMP.

	* select.el (select-convert-in): New.
	* select.el (select-convert-out): New.
	New functions that get used by select.c.

	* select.el (select-buffer-killed-default): New.
	* select.el (select-buffer-killed-text): New.
	* select.el (selection-buffer-killed-alist): New.
	New list and functions that get called if a relevant selection
	exists and a buffer gets killed.

	* select.el (select-convert-to-targets):
	* select.el (select-convert-to-identity): Removed.
	* select.el (select-convert-from-identity): Removed.
	* select.el (select-converter-out-alist):
	Removed _EMACS_INTERNAL selection type.

	* x-select.el (xselect-kill-buffer-hook): Removed.
	* x-select.el (xselect-kill-buffer-hook-1): Removed.
	Removed this X-specific nonesense. Use the generic support
	in select.el instead.

2000-07-15  Martin Buchholz  <martin@xemacs.org>

	* mule/mule-category.el (defined-category-hashtable):
	Use make-hash-table instead of make-hashtable

	* buff-menu.el: Byte-compiler warning fix.

	* isearch-mode.el (isearch-highlight-all-cleanup):
	Remove unused variable `isearch-highlight-all-start'.

	* etags.el (add-to-tag-completion-table): Byte-compiler warning fix.

	* itimer.el (itimer-edit-mode): Byte-compiler warning fixes.

	* cus-dep.el (Custom-make-dependencies):
	Add autoload cookie for custom-add-loads to generated custom-load.el.

	* autoload.el (autoload-package-name): Warning suppression.
	Move defvar prior to first use.

	* custom.el: Add autoload for custom-declare-face.
	Allow `xemacs -no-autoloads -l bytecomp -f batch-byte-compile ...'
	* cl.el (cl-hack-byte-compiler):
	Allow `xemacs -no-autoloads -l bytecomp -f batch-byte-compile ...'
	to work properly.

2000-07-08  Mike Sperber  <mike@xemacs.org>

	* startup.el (load-home-init-file): Added variable.
	(maybe-migrate-user-init-file): Added.
	(load-user-init-file): Load custom file if different from init
	file.

	* dumped-lisp.el (preloaded-file-list): Added "cus-file" before
	"startup."

	* cus-edit.el (custom-migrate-custom-file): Added for migration.
	Moved `custom-file'-related code to cus-file.el.

	* cus-file.el: New file.

2000-04-01  Mike Sperber  <mike@xemacs.org>

	* packages.el (packages-find-package-directories): Added support
	for external package hierarchies with in-place installations.

	* find-paths.el (paths-root-in-place-p): Added.
	(paths-find-emacs-directory): Added support for external
	directories with in-place installations.
	(paths-find-site-directory): Ditto.

	* startup.el (find-user-init-file): Also look for
	~/.xemacs/init.elc? in preference to ~/.emacs.

2000-07-12 Alastair J. Houghton <ajhoughton@lineone.net>

	* select.el (own-selection):
	* select.el (own-clipboard): Changed `append' parameter to
	`how-to-use' parameter.
	* select.el (own-selection): Removed icky append code.
	* select.el (own-selection, get-selection): Removed extra type
	checking.
	* select.el (selection-appender-alist):
	* select.el (selection-converter-{in|out}-alist): Initialise.
	* select.el (select-append-to-*): New.
	* select.el (select-convert-from-*): New.  New functions to append
	data and convert data from external type.

2000-07-12  Stef Epardaud  <stef@lunatech.com>

	* font-lock.el: Javadoc enhancements.

2000-07-06  Kirill 'Big K' Katsnelson  <kkm@dtmx.com>

	* printer.el (generic-print-region): Compose job name from buffer
	name.

2000-07-06  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* font-lock.el (font-lock-fontify-pending-extents): Call
	font-lock-fontify-region instead of font-lock-fontify-buffer
	to avoid unnecessary progress gauges.

2000-07-06  Craig Lanning  <lanning@scra.org>

	* custom-load.el (faces):

        * finder.el (finder-compile-keywords): from Dan Holmsand, make sure
        dir is a regex.

        * process.el (call-process-internal): from Dan Holmsand, use binary
        coding systems so that jka-compr works.

2000-07-07  Ben Wing  <ben@xemacs.org>

	* font-lock.el: Undo previous change.  Unfortunately, some
	files actually use the variables directly in their init code
	without quoting them.

2000-07-07  Ben Wing  <ben@xemacs.org>

	* font-lock.el (defvar font-lock-*-face): Removed.

	* font-lock.el (font-lock-apply-highlight): Bind these face vars
	only when necessary.

2000-06-30  Charles G Waldman  <cgw@alum.mit.edu>

	* cl-macs.el: fix cl-transform-function-property kludge
	so that it does not require a random feature.

2000-06-09  Karl M. Hegbloom  <karlheg@bittersweet.inetarena.com>

	* files.el (auto-mode-alist): allow .make extension for Makefiles,
	as in Linux kernel "Rules.make".

2000-06-29  Gunnar Evermann  <ge204@eng.cam.ac.uk>

	* build-report.el (build-report): Add autoload cookie.

2000-06-21  Charles G Waldman  <cgw@alum.mit.edu>

	* package-ui.el (defgroup pui):  Correct a misspelling
	(pui-toggle-package-delete):  Change `seleted' to `selected'

2000-06-12  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* package-get.el (package-get-update-base):
	(package-get): Use insert-file-contents-literally always.
	(package-get-maybe-save-index):
	Force coding system for writing to binary.

2000-06-08  Mike Alexander  <mta@arbortext.com>

	* code-process.el (call-process-region): If there is no coding
	system for the process on process-coding-system-alist use the
	coding system of the buffer containing the region.

2000-06-10  Ben Wing  <ben@xemacs.org>

	* cmdloop.el (command-error):
	If debug-on-error and noninteractive, output backtrace.

	* files.el (file-relative-name):
	Remove MSDOS references.

	* simple.el (line-number): New function, due to non-obvious
	behavior/usage of count-lines.

	* simple.el (count-lines): document non-obvious usage to get
	line number.

2000-06-11  Ben Wing  <ben@xemacs.org>

	* faces.el ((featurep 'xpm)):
	* x-faces.el (x-init-face-from-resources):
	* x-faces.el (x-init-frame-faces):
	* x-misc.el (x-init-specifier-from-resources):
	* x-misc.el (x-get-resource-and-bogosity-check):
	* x-misc.el (x-get-resource-and-maybe-bogosity-check):
	* x-mouse.el (x-init-pointer-shape):
	* x-scrollbar.el (x-init-scrollbar-from-resources):
	Add sixth argument to x-get-resource calls so as to issue warnings
	rather than errors on bogus arguments.

2000-06-05  Ben Wing  <ben@xemacs.org>

	* compat.el: new file.  provides a clean, non-intrusive way to
	define compatibility functions.

	* process.el (shell-quote-argument): temporary fix for lack
	of nt-quote-process-args.  #### I need to put back the overall
	structure of that mechanism but redo the guts of it using the
	extra intelligence in the C code.

2000-05-28  Adrian Aichner  <aichner@ecf.teradyne.com>

	* package-info.el (pi-md5sum): Calculate MD5 sum just like
	`package-get' does in package-get.el, instead of using external
	"md5sum" program.

	* package-get.el (package-get): Insert package file literally to
	make checksum calculation work.

2000-04-18  Hrvoje Niksic  <hniksic@iskon.hr>

	* code-files.el (convert-mbox-coding-system): Deleted.
	(file-coding-system-alist): Removed reference to
	convert-mbox-coding-system.

2000-05-28  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.34 is released.

2000-05-20  Karl M. Hegbloom  <karlheg@bittersweet.inetarena.com>

	* font-lock.el (font-lock-keywords): Rewrote docstring

2000-05-22  Karl M. Hegbloom  <karlheg@debian.org>

	* loadhist.el (unload-feature): handle case where x is both boundp
	and fboundp

2000-05-22  Karl M. Hegbloom  <karlheg@debian.org>

	* packages.el: It's ok to use built-in macros, but not lisp
	defined ones.

2000-05-20  Ben Wing  <ben@xemacs.org>

	* font-lock.el:
	* font-lock.el (font-lock-message-threshold):
	* font-lock.el (font-lock-mode):
	* font-lock.el (font-lock-default-fontify-buffer):
	* font-lock.el (font-lock-always-fontify-immediately):
	* font-lock.el (font-lock-old-extent): Removed.
	* font-lock.el (font-lock-old-len): Removed.
	* font-lock.el (font-lock-fontify-glumped-region): Removed.
	* font-lock.el (font-lock-pending-extent-table): New.
	* font-lock.el (font-lock-range-table): New.
	* font-lock.el (font-lock-after-change-function):
	* font-lock.el (font-lock-after-change-function-1): Removed.
	* font-lock.el (font-lock-fontify-pending-extents): New.
	* font-lock.el ('font-lock-revert-cleanup): Removed.
	* font-lock.el ('font-lock-revert-setup): Removed.
	Rewrite deferral code to handle any number of changes, merging
	them properly.  Remove hacked-up code for revert-buffer, now
	unnecessary.

	* menubar-items.el (default-menubar):
	In Options->Edit Init File, don't switch to emacs-lisp-mode
	unless necessary; doing this turns off font-lock.

2000-05-15  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* keydefs.el: Define C-x BS to backward-kill-sentence.

2000-05-15  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* files.el (hack-local-variables-prop-line): Use non-greedy
	matching to process -*-texinfo-*- -*-.

2000-05-11  Jonathan Marten <jonathan.marten@uk.sun.com>

	* minibuf.el (minibuf-directory-files): new function.
	(read-file-name-activate-callback): use minibuf-directory-files.
	(read-directory-name-internal): ditto.
	(mouse-file-display-completion-list): ditto.
	(mouse-directory-display-completion-list): ditto.
	(read-file-name-internal): remove "./" from completion list unless
	explicitly matched, for consistency.

2000-05-11  Ben Wing  <ben@xemacs.org>

	* gutter-items.el (gutter-buffers-tab):
	* gutter-items.el (add-tab-to-gutter):
	* gutter-items.el (update-tab-in-gutter):
	* gutter-items.el (remove-buffer-from-gutter-tab): Removed.
	* gutter-items.el (append-progress-display):
	* gutter-items.el (abort-progress-display):
	* gutter-items.el (raw-append-progress-display):
	Further fixes.  Use set-glyph-image not set-image-instance-property,
	to fix problems with multiple windows in a frame.

	* menubar-items.el (tutorials-menu-filter):
	Fix typo.

	* startup.el (early-error-handler):
	Display message box under windows; otherwise, message will disappear
	before it can be viewed.

	* update-elc.el:
	Fix bug in NEEDTODUMP processing.

2000-05-08  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* startup.el (lock-directory): Removed.
	(superlock-file): Ditto.
	(startup-set-paths): Remove lockdir.
	(startup-setup-paths-warning): Remove lock-directory.

	* setup-paths.el (paths-find-lock-directory): Removed.
	(paths-find-superlock-file): Ditto.

2000-05-09  Ben Wing  <ben@xemacs.org>

	* faces.el (set-face-property):
	* faces.el (set-face-font):
	* faces.el (set-face-foreground):
	* faces.el (set-face-background):
	* faces.el (set-face-background-pixmap):
	* faces.el (set-face-underline-p):
	* faces.el (set-face-strikethru-p):
	* faces.el (set-face-highlight-p):
	* faces.el (set-face-dim-p):
	* faces.el (set-face-blinking-p):
	* faces.el (set-face-reverse-p):
	doc string changes.

	* glyphs.el:
	* glyphs.el (make-image-specifier):
	* glyphs.el (glyph-property):
	* glyphs.el (set-glyph-image):
	* glyphs.el (make-glyph):
	* glyphs.el (make-pointer-glyph):
	* glyphs.el (make-icon-glyph):
	* glyphs.el (widget-image-instance-p): New.
	authorship info, lots of doc changes.  New predicate, inadvertently
	omitted.  the general principle with specifier docs is now that
	the description of instantiators should go with the make-foo-specifier
	fun's doc string, rather than in foo-specifier-p.  this follows
	conventions elsewhere in XEmacs and in general is a lot more obvious
	of a place to look.  sometimes the make-foo-specifier function needs
	to be created in the process.

	* gutter.el:
	* gutter.el (make-gutter-specifier): New.
	* gutter.el (make-gutter-size-specifier): New.
	* gutter.el (make-gutter-visible-specifier): New.
	specifier doc updates according to the conventions specified before.

	* objects.el:
	* objects.el (make-font-specifier):
	* objects.el (make-color-specifier):
	* objects.el (make-face-boolean-specifier): New.
	specifier doc updates according to the conventions specified before.

	* specifier.el:
	* specifier.el (set-specifier):
	* specifier.el (make-integer-specifier): New.
	* specifier.el (make-boolean-specifier): New.
	* specifier.el (make-natnum-specifier): New.
	* specifier.el (make-generic-specifier): New.
	* specifier.el (make-display-table-specifier): New.
	specifier doc updates according to the conventions specified before.

	* toolbar.el:
	* toolbar.el (make-toolbar-specifier): New.
	specifier doc updates according to the conventions specified before.

2000-05-09  Ben Wing  <ben@xemacs.org>

	* process.el (call-process-internal): Revert to previous version
	because Mike's change clashed with a change I did not long before.
	Changed progn to prog1 to fix the bug pointed out by Mike Alexander.
	Thanks very much Mike for pointing out the bug and submitting a
	patch!

2000-04-13  Mike Alexander  <mta@arbortext.com>

	* process.el (call-process-internal): Send the correct input buffer
	(call-process-internal): Return the exit status of the process

2000-05-07  Ben Wing  <ben@xemacs.org>

	* winnt.el:
	* winnt.el (nt-quote-args-verbatim): Removed.
	* winnt.el (nt-quote-args-prefix-quote): Removed.
	* winnt.el (nt-quote-args-backslash-quote): Removed.
	* winnt.el (nt-quote-args-double-quote): Removed.
	* winnt.el (nt-quote-args-functions-alist): Removed.
	* winnt.el (nt-quote-process-args): Removed.
	Remove all stuff for argument quoting.  We borrow the code instead
	from Emacs 20.6, which is much more careful in its quoting
	(e.g. in handling runs of the escape character) and avoids most of
	the need for this Lisp mechanism by checking to see whether we're
	running a Cygwin or normal program and doing the appropriate
	quoting.  If we end up needing such a mechanism, we should add
	it by extending the variable `mswindows-quote-process-args' so it
	can take an alist of regexps.

2000-05-07  Ben Wing  <ben@xemacs.org>

	* keydefs.el:
	Restore M-up, M-down to 21.1 state.  Put *ward-sentence on
	C-M-left, C-M-right instead.  Define C-M-up, C-M-down to scroll
	the window without moving point.

	* simple.el:
	* simple.el (scroll-up-one): New.
	* simple.el (scroll-down-one): New.
	Functions for use with C-M-up/down.

2000-05-01  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.33 is released.

2000-04-29  Martin Buchholz  <martin@xemacs.org>

	* dialog.el (yes-or-no-p-dialog-box):
	Fix docstring.
	Fix following horrible bug in X11 mode with focus-follows-mouse:
	  1. Visit two files in two different frames.
	  2. do File->Revert Buffer in one of those frames.
	  3. Dialog box appears.
	  4. Arrange things so that the mouse passes over the *other*
	     frame, then to the dialog box, and click on "Yes".
	  5. The file contents end up in the *wrong* buffer!
	Add TODO comment.

2000-04-28  Ben Wing  <ben@xemacs.org>

	* help.el (describe-installation): correct typo introduced
	in last patch: boundp -> fboundp.

	* etags.el (buffer-tag-table-list):
	canonicalize filenames to Unix format so that tag-table-alist
	searching works under Windows.

	* autoload.el:
	Bowdlerize the supposedly objectionable words
	"who couldn't quite manage to cleanly modify batch-update-autoloads".

	* gutter-items.el (set-progress-display-style):
	* gutter-items.el (search-dialog-callback):
	* gutter-items.el (make-search-dialog):
	Change to new callback-ex api.

2000-04-26  Bjrn Torkelsson  <torkel@hpc2n.umu.se>

	* help.el: (describe-installation): decode-coding-string is not
	defined in a non MULE environment.

2000-04-28  Ben Wing  <ben@xemacs.org>

	* gutter-items.el (buffer-list-changed-hook):
	use it, not record-buffer-hook.

	* subr.el (record-buffer-hook): Removed.

2000-04-27  Ben Wing  <ben@xemacs.org>

	* gutter-items.el (buffers-tab-switch-to-buffer): do not
	use NORECORD option.  Andy will not like this, but the existing
	gutter behavior is just wrong, as per this comment:

	;; this used to add the norecord flag to both calls below.
        ;; this is bogus because it is a pervasive assumption in XEmacs
        ;; that the current buffer is at the front of the buffers list.
        ;; for example, select an item and then do M-C-l
        ;; (switch-to-other-buffer).  Things get way confused.
        ;;
        ;; Andy, if you want to maintain the current look, you must
        ;;  *uncouple* the gutter order and buffers order.

	* loaddefs.el (completion-ignored-extensions): unfuckify.

	* bytecomp.el (batch-byte-compile-one-file): new function, used in
	xemacs.mak.

	* autoload.el (batch-update-one-directory): new function, used in
	xemacs.mak.

	* loadup.el: set gc-cons-threshold very high unless dumping --
	loadup during update-elc is much much much faster.  also do this
	when quick-building.

	add commented-out code for profiling loadup.


	* update-elc.el (preloaded-file-list): add bytecomp.el, since it
	is required in order to build xemacs.

2000-04-26  Ben Wing  <ben@xemacs.org>

	* loadup.el: don't garbage collect during loadup if quick-build
	compile-time option is set.

2000-04-23  Ben Wing  <ben@xemacs.org>

	* update-elc.el: compute whether any dumped .el or .elc files
	are newer than the dumped exe, and touch the file ../src/NEEDTODUMP
	if so.

	* update-elc.el (update-elc-files-to-compile): always change
	NOBYTECOMPILE in the src directory rather than current dir,
	so it will work under NT.

	* autoload.el (autoload-trim-file-name): canonicalize to slashes so
	the form of this file is identical between Unix and Windows.
	(autoload-target-directory): Fixed to be lisp/ not lisp/prim/.
	Added comment.
	(update-autoloads-from-directory): updated doc string.
	updated doc strings in a few other places.

2000-04-18  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* bytecomp.el (byte-force-recompile): Fix argument to
	byte-recompile-directory.

2000-04-17  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* gutter-items.el (progress-display-clear-when-idle): Use
	add-one-shot-hook.
	* gutter-items.el (clear-progress-display): Adjust number of
	arguments.

2000-04-13  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* dumped-lisp.el (preloaded-file-list): Always dump select.el.

2000-04-16  Ben Wing  <ben@xemacs.org>

	* printer.el: New file.

	* dumped-lisp.el (preloaded-file-list): Declare printer.el.

	* help.el (describe-installation): Fix decoding for Windows.

	* menubar-items.el:
	* menubar-items.el (default-menubar):
	* menubar-items.el (tutorials-menu-filter): New.
	* menubar-items.el (popup-menubar-menu):
	Add authorship.  Redo Help menu and Tutorials filter.

	* menubar.el: Correct comment.

	* modeline.el (modeline-buffer-identification): Correct doc string.

	* simple.el:
	* simple.el (printing): Removed.
	* simple.el (printer-name): Removed.
	* simple.el (generic-print-buffer): Removed.
	* simple.el (generic-print-region): Removed.
	Move generic print code to printer.el.

2000-04-15  Ben Wing  <ben@xemacs.org>

	* simple.el (generic-print-region): New.
	make this function actually work.
	(generic-print-buffer): call generic-print-region.

2000-04-14  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (make-search-dialog): avoid unnecessary futzing
	by using the new widget-callback-current-channel.
	(search-dialog-callback): ditto.

2000-04-12  Andy Piper  <andy@xemacs.org>

	* gutter.el (default-gutter-position): moved from gutter-items.el.
	(default-gutter-position-changed-hook): ditto.
	(gutter-element-visibility-changed-hook): ditto.
	(set-gutter-element): ditto.
	(remove-gutter-element): ditto.
	(set-gutter-element-visible-p): ditto.
	(gutter-element-visible-p): ditto.
	(init-gutter): ditto.

	* dialog.el (make-dialog-box): renamed and moved from
	gutter-items.el

	* gutter-items.el: move various functions elsewhere.

2000-04-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* menubar-items.el: Fixed place of parenthesis.

2000-04-12  Ben Wing  <ben@xemacs.org>

	* etags.el (find-tag-at-point): New.  Lets you do find-tag
		without constantly being prompted for the tag.
	* simple.el: Added a number of section headings, to clarify the
		organization of this file.
	* simple.el (activate-region):
	* simple.el (region-exists-p):
	* simple.el (region-active-p):
		Moved these three function down to the other side of
		the case-changing functions, so they join the rest of
		the region code.
	* simple.el (printing): New.
	* simple.el (printer-name): New.
	* simple.el (generic-print-buffer): New.
		New functions, a very simple prototype for a unified
		printing interface.

	* process.el (call-process-internal): Real fix for null BUFFER,
		other problems with BUFFER specs.

	* menubar-items.el:
		Fixed up File->Print to use new printing functions.
		Various corrections and expansions to Grep/Compile menus.
		New options for Printing.
		New options for SMTP Mail, the way to send mail under
		  MS Windows. (There's also a package patch to make SMTP
		  Mail be the default under MSWin.)

2000-04-09  Jeff Miller <jmiller@cablespeed.com>

	* menubar-items.el: Selecting Rectangle Mousing from menubar
	did not work.  Needed to quote mouse-track-rectangle-p.

2000-04-06  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* cl-compat.el (keywordp): Removed.

2000-04-05  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (progress-layout-glyph): don't initialize here.
	(progress-gauge-glyph): use dynamic sizing.
	(set-progress-display-style): new function. Set progress glyphs
	appropriately depending on the style.
	(progress-display-style): new variable. Custom version of
	set-progress-display-style.
	(progress-abort-glyph): switch to dynamic sizes.
	(search-dialog-text): make the edit field active.

2000-04-04  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (make-search-dialog): need to make the search
	dialog visible after creation.

	* menubar-items.el (default-menubar): use the search dialog for
	searching. Remove some extraneous search menu items.

	* gutter-items.el (set-gutter-element): allow glyphs to be used as
	well as strings.
	(make-gutter-only-dialog-frame): allow the user to create the
	frame unmapped. Allow the gutter spec to be given as a glyph.
	(search-dialog-direction): new variable.
	(search-dialog-text): new variable.
	(search-dialog-callback): new function. Callback for the search
	dialog action.
	(make-search-dialog): new function. Create a user-friendly search
	dialog.

2000-04-04  Hrvoje Niksic  <hniksic@iskon.hr>

	* faces.el (set-face-stipple): Use mswindows-bitmap-file-path
	under Windows.

2000-04-01  Andy Piper  <andy@xemacs.org>

	* font-lock.el (font-lock-fontify-keywords-region): Calculate
	progress more accurately.

2000-02-02  Hirokazu FUKUI  <hfukui@sannet.ne.jp>

	* finder.el (finder-compile-keywords): Process readable files only.
	Because error in process of .#finder-inf.el when compile xemacs
	with --with-clash-detection option.

2000-03-31  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (append-progress-display): don't delay after a
	successful font-lock.
	(make-gutter-only-dialog-frame): new function. Allow users to
	create gutter-only dialogs.

2000-03-27  Mike Alexander  <mta@arbortext.com>

	* process.el (call-process-internal): Handle a null BUFFER
	parameter correctly.

2000-03-28  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (abort-progress-display): put strings in the
	gutter not extents.
	(progress-layout-glyph): signal special 'quit callback.
	(progress-display-quit-function): deleted.
	(progress-display-stop-callback): deleted.
	(progress-display-dispatch-command-events): deleted.
	(append-progress-display): remove calls to
	progress-display-dispatch-command-events.
	(raw-append-progress-display): ditto.

2000-03-23  Hrvoje Niksic  <hniksic@iskon.hr>

	* faces.el (set-face-stipple): Rewrite to correctly handle PIXMAP
	being a list.  Actually define `stipple-pixmap-p' which is used as
	an error predicate.  Correctly handle PIXMAP being either relative
	or absolute file name.

2000-03-24  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (add-tab-to-gutter): use copy-sequence.
	(abort-progress-display): ditto. Don't delete the created extent.
	(raw-append-progress-display): ditto.
	(progress-display-dispatch-non-command-events): new
	function. Encapsulates what we want to do when no command input is
	required.
	(progress-display-dispatch-command-events): likewise, but disable
	for now since it causes too many problems.
	(append-progress-display): use them.
	(raw-append-progress-display): ditto.
	(default-gutter-position-changed-hook): set this rather than
	default-gutter-position-changed.
	(default-gutter-position-changed-hook): lambda with zero arguments
	rather than one.
	(raw-append-progress-display): trap errors in pending input since
	allowing them to signal will hose the gauge well and
	truly. Ideally we would like to delay these until we are more able
	to cope.
	(append-progress-display): ditto.

2000-03-20  Jeff Miller <jmiller@cablespeed.com>

	* lisp/make-docfile.el: call-process-internal is now implemented
	in process.el.

2000-03-21  Ben Wing  <ben@xemacs.org>

	* mule\mule-cmds.el (set-language-info-alist):
	Fix to correspond to new menu arrangement.

2000-03-21  Ben Wing  <ben@xemacs.org>

	* process.el:
	* process.el (call-process-internal): New.
	New implementation of call-process.  Only enabled under NT, so far.
	stderr handling not implemented yet in CVS'd C code.

2000-03-20  Ben Wing  <ben@xemacs.org>

	* lisp-mode.el:
	* lisp-mode.el (lisp-interaction-mode-menubar-menu): New.
	* lisp-mode.el (lisp-interaction-mode):
	Put back Lisp Interaction menubar for Jan V's sake.

	* simple.el:
	* simple.el (mark-ring):
	* simple.el (dont-record-current-mark): New.
	* simple.el (in-shifted-motion-command): New.
	* simple.el (mark-ring-unrecorded-commands): New.
	* simple.el (mark-ring-max):
	* simple.el (set-mark-command):
	* simple.el (push-mark):
	* simple.el (handle-pre-motion-command):
	Implement scheme for not recording unimportant marks.

	* subr.el:
	* subr.el (function-allows-args): New.
	New function function-allows-args.

2000-03-20  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.32 is released.

2000-03-20  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (update-tab-in-gutter): force selection of the
	selected-window if required to do so.
	(buffers-tab-items): ditto.
	(add-tab-to-gutter): ditto.
	(create-frame-hook): use force-selection.
	(default-gutter-position-changed): lambdify.
	(update-tab-hook): deleted since it was only used in one place.

2000-03-18  Andy Piper  <andy@xemacs.org>

	* files.el (find-file-noselect): undo change that shouldn't have
	gone in.

2000-03-17  Andy Piper  <andy@xemacs.org>

	* buffer.el (switch-to-buffer): use last-nonminibuf-window instead
	of selected-window trickery.

	* gutter-items.el (update-tab-in-gutter): don't give dedicated
	frames tabs.
	(progress-display-stop-callback): progress -> progress-display
	(progress-display-quit-function): ditto.
	(clear-progress-display): ditto.
	(remove-progress-display): ditto.
	(append-progress-display): ditto.
	(abort-progress-display): ditto.
	(raw-append-progress-display): ditto.
	(display-progress-display): ditto.
	(current-progress-display-label): ditto.
	(current-progress-display): ditto.
	(lprogress-display): ditto and save the buffer
	(progress-display): ditto. Otherwise the buffer sometimes gets
	changed which confuses font-lock.

	* font-lock.el (font-lock-default-fontify-buffer): catch all
	errors, not just quit.
	(font-lock-mode): progress -> display-progress
	(font-lock-default-fontify-buffer): ditto.
	(font-lock-fontify-syntactically-region): ditto.
	(font-lock-fontify-keywords-region): ditto.

2000-03-14  Hrvoje Niksic  <hniksic@iskon.hr>

	* cl.el (gensym): Move to here from cl-macs.el.
	(gentemp): Ditto.

2000-03-16  Andy Piper  <andy@xemacs.org>

	* font-lock.el (font-lock-mode): use lprogress and friends for
	progress management.
	(font-lock-default-fontify-buffer): ditto.
	(font-lock-fontify-syntactically-region): ditto.
	(font-lock-fontify-keywords-region): ditto.
	(font-lock-revert-cleanup): fix reverting.
	(font-lock-revert-setup): ditto.

	* gutter-items.el (progress-use-echo-area): new variable. Use the
	echo area for progress gauges if non-nil.
	(clear-progress): remove echo area stuff and defer to
	clear-message.
	(append-progress): dispatch non-command events after each progress
	increment. Remove echo area stuff.
	(abort-progress): remove echo area stuff and defer to
	display-message.
	(raw-append-progress): ditto. Dispatch non-command events after
	gutter redisplay.
	(display-progress): defer echo area stuff to display-message.

	* gutter-items.el (clear-progress):
	(abort-progress): indentation changes.
	(display-progress): don't clear progress.
	(append-progress): compare messages with equal.
	(raw-append-progress): use dispatch-non-command-events to flush
	widget creation events.

2000-03-13  Ben Wing  <ben@xemacs.org>

	* abbrev.el:
	* abbrev.el (abbrev-string-to-be-defined): New.
	* abbrev.el (inverse-abbrev-string-to-be-defined): New.
	Changes for use with the menubar.

2000-03-12  Ben Wing  <ben@xemacs.org>

	* alist.el (vassoc): moved here from font-menu.el.

	* custom.el (defface): typo fix.

        * dialog.el (yes-or-no-p-dialog-box):
        * dialog.el (message-box):
        * files.el (save-some-buffers-1):
        Put accelerators in the button names.

        * font-lock.el (font-lock-comment-face):
        * font-lock.el (font-lock-keyword-face):
        * font-lock.el (font-lock-function-name-face):
        Fixed some of the colors under MS Windows because the existing
        default colors were hardly different from black and needed to be
        made lighter.

	* font-menu.el:
	* font-menu.el (font-menu-split-long-menu):
	* font-menu.el (font-menu-family-constructor):
	* font-menu.el (font-menu-size-constructor):
	* font-menu.el (font-menu-weight-constructor):
	* font-menu.el (font-menu-set-font):
	vassoc moved to alist.el.
	Accelerators added to all menus.
	Unused bound var new-props removed.

        * keydefs.el: I did a whole lot of rearranging to put things in a
        more consistent order and fixed a number of cases where key
        combinations involving up, down, left, right and so on were
        defined but the corresponding keypad combinations were not
        defined.

	* lisp-mode.el:
	* lisp-mode.el (lisp-interaction-mode-popup-menu):
	* lisp-mode.el (emacs-lisp-mode):
	* lisp-mode.el (lisp-interaction-mode):
	* lisp-mode.el (flet):
        Added accelerators onto the menus.
	Made all the different versions of the let function be indented
	the same way.
	Undid Steve's easy-menu-ification, because it makes it impossible
	to have the menubar and popup menus different.
	Cleaned up the menu; added items for find-function &c and some
	indenting, and removed debug-on-*.

	* list-mode.el (list-mode-hook):
	* list-mode.el (list-mode):
	* list-mode.el (completion-setup-hook):
	* list-mode.el (display-completion-list):
        Added support for the :window-height keyword, which is required
        because of other changes that I made for the file dialog box.  I
        also made the hook variables list-mode-hook and
        completion-setup-hook and also minibuffer-setup-hook in
        minibuf.el be permanent-local; see comment in list-mode.el.

	* map-ynp.el (map-y-or-n-p):
        Added accelerators to the dialog buttons.

	* menubar-items.el (menu-truncate-list):
	New internal function.
	* menubar-items.el (submenu-generate-accelerator-spec):
	* menubar-items.el (menu-item-strip-accelerator-spec):
	* menubar-items.el (menu-item-generate-accelerator-spec):
	New exported functions, for use in auto-generating accelerator specs.

	* menubar-items.el:
	* menubar-items.el (default-menubar):
	* menubar-items.el (maybe-add-init-button):
	* menubar-items.el (bookmark-menu-filter):
	* menubar-items.el (slow-format-buffers-menu-line):
	* menubar-items.el (build-buffers-menu-internal):
	* menubar-items.el (language-environment-menu-filter):
	* menubar-items.el (default-popup-menu):
	* menubar-items.el (popup-buffer-menu):
	* menubar-items.el (popup-menubar-menu):
        Did a major overhaul on this file, and in fact I'm nowhere near
        done working on the menubar, and there will be more patches to
        come.  A basic summary of what I've done:

        a) I added accelerators to all of the menu items.  For menus that
	are auto-generated, such as the buffers menu, the accelerators are
	automatically added to the beginning of each line using the
	numbers 1 through 9, then zero, and then letters starting with A,
	but omitting the letters that are already in use for the fixed
	menu items at the top of the buffers menu.  To facilitate adding
	accelerators of this kind, I created some new functions
	(*-accelerator-spec), which are also being used by other filters
	that auto generate lists of things such as ftp sites to download
	packages.  If people really don't like these accelerators
	appearing at the beginning of the menu items, a variable can be
	added to optionally turn them off, but I think this is rather
	pointless because other menu items have accelerators and many or
	most of the menu users will use the accelerators if the support is
	there.

        b) I combined the top level Tools and Apps menus into a single
        Tools menu, because the distinction between the two is not
        obvious, and the items on the menus are not used often enough that
        putting some of them onto submenus is a problem.

        c) I created two new top level menus called View and Cmds because
        there were too many items on the File and Edit menus, and I'm going
        to be adding more items to these menus.  In contrast to the Tools
        menu, the items on these menus may be used quite often during an
        editing session, and so should be available with fewer
        keystrokes.

        d) I added a number of options to the options menu, including one
        for controlling whether the alt key can be used to traverse to
        menu items using the accelerators, one for controlling behavior of
        control-k, one for controlling how the kill and yank functions
        interact with the clipboard, a few additional buffers-menu
        options, and various other things.  I also did a bit of
        rearranging, for example, combining the keyboard and mouse options
        into a single keyboard and mouse submenu to facilitate the
        accelerators on that level.

        e) I changed the variable buffers-menu-format-buffer-line-function
        to take two arguments instead of one, the second argument being
        the line number for use in creating an accelerator.  I added a
        hack to support existing functions with one argument (although I
        doubt that very many of these exist), for backward compatibility.

        f) I moved the top level mule menu to be a submenu of the edit
        menu.  I think that most of the items on this menu are fairly
        useless and there are certainly not enough frequently used items
        to justify this being its own top level menu.

	g) I combined most of the items in big-menubar.el into the main menu.
	If people think the main menu is too big, it would be possible to
	create different configurations, some smaller.

	* menubar.el (check-menu-syntax):
        Deleted some syntax checks that were no longer valid, partly
        because of changes that were already made a long time ago, and
        partly because of a change I made where I allow the name of the
        menu item to be an evaluated expression rather than just a string,
        similar to all of the other parameters of a menu item.

	* minibuf.el:
	* minibuf.el (read-file-name-1):
	* minibuf.el (mouse-read-file-name-1):
	I made a number of changes to improve the appearance
        and functioning of the file dialog box.  They include:

        a) Fixing the problem where closing the dialog box by clicking on
        the close button of the window didn't properly exit the
        minibuffer.

        b) Fixing the problem that if you typed part of a file name, and
        then clicked on a completion with the mouse, the file was not
        correctly selected.

        c) Changing the title of the dialog box to reflect the operation
        being done in accordance with user interface conventions, rather
        than the name of the dialog box buffer, which is rather useless.

        d) Remove the words "possible completions are" which didn't
        belong.

        e) Fix things so that the completions scroll off the end of the
        completions windows only to the right, rather than both to the
        right and down, which is in accordance with Windows user interface
        conventions.

	* msw-init.el (init-post-mswindows-win):
        Added a binding for meta-F4, which is the standard windows binding
        for exiting a program.

	* select.el (get-selection-no-error):
	* select.el (own-selection):
	* select.el (own-clipboard):
        Added an optional argument called append to the functions
        own-selection and own-clipboard.  This adds support for appending
        text to the existing selection and allows the function
        own-clipboard to be used as the value of the variable
        interprogram- cut-function.

	Fixed a bug in own-selection in handling zmacs-region-stays.

	* simple.el (historical-kill-line): New.

	* simple.el (kill-line):
	* simple.el (interprogram-cut-function):
	* simple.el (interprogram-paste-function):
	* simple.el (handle-pre-motion-command):
	* simple.el (next-line):
	* simple.el (previous-line):
        a) Expanded the variable kill-whole-line, so that function
        kill-line can be set to delete the entire line always, not just
        when cursor is at the beginning of the line.  This is controlled
        by setting the variable kill-whole-line to the symbol 'always.
        This behavior, as well as the existing kill-whole-line behavior,
        now only take effect when kill-line is called interactively,
        although this is a departure from a previous behavior in the case
        of setting this variable kill-whole-line to t.  It is almost
        certainly what has always been intended, and most likely the old
        way of doing things introduced bugs.  I also created a function
        called historical-kill-line, which ignores the kill-whole-line
        setting and always gives the historical behavior of only killing
        to the end of the line.  I bound this function to shift- control-k
        so that the kill to end of line behavior is available, even when
        kill-whole-line has been set to change control-k into the simple
        delete-whole-line behavior. (This can be set using the options
        menu.)

        b) I changed things so that kill and yank now interact with the
        clipboard by default under windows.  This was done by changing the
        default value of interprogram-cut- function and
        interprogram-paste-function.  You can get the old behavior by
        setting these to nil, and there is an option on the options menu
        to do this.

        c) I added support for selecting text using shifted motion keys.
        This support is on by default and can be controlled by the
        variable shifted-motion-keys-select-region.  There is also a
        variable called unshifted-motion-keys-deselect-region that
        controls more specifically how the shifted motion key behavior
        works.  I did not put an option on the options menu to turn this
        off, because I can't imagine why this would be useful.

	* simple.el (forward-block-of-lines):
	* simple.el (backward-block-of-lines):
	* simple.el (block-movement-size):
	New.

	* simple.el (uncapitalized-title-words):
	* simple.el (uncapitalized-title-word-regexp):
	* simple.el (capitalize-string-as-title):
	* simple.el (capitalize-region-as-title):
	New.


        * subr.el (add-hook):
        * subr.el (make-local-hook): New.
        * subr.el (remove-local-hook): New.
        * subr.el (add-one-shot-hook): New.
        * subr.el (add-local-one-shot-hook): New.
        Added some functions to make using hooks easier.
        These include:

        a) Functions add-local-hook and remove-local-hook to make it easy
        to use local hooks.

        b) Functions add-one-shot-hook and add-local-one-shot-hook, which
        make it possible to add a "one-shot" hook, which is to say a hook
        that runs only once, and automatically removes itself after the
        first time it has run.

2000-03-09  Andy Piper  <andy@xemacs.org>

	* files.el (auto-mode-alist): pick up jsp, jhtml and xml files.

2000-03-09  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* buff-menu.el (buffers-menu-omit-invisible-buffers):
	Moved from menubar-items.el.
	* dumped-lisp.el: Dump gutter-items regardless of menubar.

2000-03-08  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (build-buffers-tab-internal): add selected field
	to buffers tab spec.

2000-03-07  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* minibuf.el (last-exact-completion): Initialize to nil.

2000-03-07  Didier Verna  <didier@xemacs.org>

	* startup.el (command-line-1): remove unused variable
	`first-file-buffer'.

2000-02-29  Hrvoje Niksic  <hniksic@iskon.hr>

	* loaddefs.el (completion-ignored-extensions): Removed ".log",
	which is also used for Web server log files.

2000-02-03  IKEYAMA Tomonori <tomonori@suiyokai.org>

	* mule/mule-charset.el: Setup auto-fill-chars.

2000-03-02  SL Baur  <steve@beopen.com>

	* subr.el (with-string-as-buffer-contents): Reimplement using
	`with-temp-buffer'.  Fixes non-unique buffer name problem, fixes
	non-deletion of buffer after execution problem.
	(with-output-to-string): Use unique buffer name.

2000-02-29  Stephen J. Turnbull  <stephen@xemacs.org>

	* gutter-items.el (buffers-tab-sort-function):  New variable.
	(buffers-tab-items):  Funcall it to sort the buffer tab list.

2000-02-29  Stephen J. Turnbull  <stephen@xemacs.org>

	* startup.el (load-user-init-file):  Merge two `if's to one `or'.

2000-02-28  Martin Buchholz  <martin@xemacs.org>

	* menubar-items.el (maybe-add-init-button): Remove the "Load
	.emacs" button from all menubars.

2000-03-01  Didier Verna  <didier@xemacs.org>

	* rect.el (string-rectangle): depend on `pending-delete-mode' for
	region rectangle replacement (from Jan Vroonhof).
	(replace-rectangle): new function.

2000-01-05  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* mule/mule-cmds.el (set-default-coding-systems): Use
	set-terminal-coding-system and set-keyboard-coding-system.
	* coding.el (set-terminal-coding-system): Use
	set-console-tty-output-coding-system.
	(set-keyboard-coding-system): Use
	set-console-tty-input-coding-system.

2000-02-21  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* minibuf.el (read-variable): Allow symbol to default argument.

2000-02-27  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (update-tab-hook): new function to be used for
	hooks.
	(create-frame-hook): add update-tab-hook.
	(record-buffer-hook): ditto.
	(default-gutter-position-changed): ditto.
	(default-gutter-position): updating the buffers tab is now handled
	by a hook.
	(default-gutter-position-changed-hook): new variable.
	(gutter-element-visibility-changed-hook): ditto.
	(set-gutter-element-visible-p): call it.
	(set-gutter-element): use modify-specifier-instances. Set extents
	as duplicable before using.
	(remove-gutter-element): ditto.
	(set-gutter-element-visible-p): ditto.
	(init-gutter): new function.
	(add-tab-to-gutter): use new gutter-element functions rather than
	setting specifiers directly.
	(clear-progress): ditto.
	(abort-progress): ditto.
	(gutter-buffers-tab-visible-p): renamed from
	default-gutter-visible-p

	* specifier.el (modify-specifier-instances): new function from Jan
	Vroonhof.

	* x-init.el (init-post-x-win): call init-gutter.

	* msw-init.el (init-post-mswindows-win): call init-gutter.

	* menubar-items.el (default-menubar): Update to reflect new gutter
	variables.

2000-02-26  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (set-gutter-element): new function. Add gutter
	elements to the specified gutter.
	(remove-gutter-element): new function. Remove gutter elements from
	the specified gutter.
	(set-gutter-element-visible-p): new function. Set gutter element
	visibility for the provided gutter-visible specifier.

2000-02-23  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (add-tab-to-gutter): specify dimensions
	dynamically.

2000-02-24  Martin Buchholz  <martin@xemacs.org>

	* gutter-items.el (add-tab-to-gutter):
	* package-get.el (package-get-interactive-package-query):
	* package-ui.el (pui-directory-exists):
	(pui-install-selected-packages):
	(pui-list-packages):
	Use #'(lambda ...)  instead of '(lambda ...).

2000-02-21  Gregory Neil Shapiro <gshapiro@gshapiro.net>

	* startup.el (load-user-init-file): Check to make sure user
	  has an init-file before calling load().

2000-02-20  Kirill 'Big K' Katsnelson  <kkm@dtmx.com>

	* msw-glyphs.el (msgdi-device-p): Added this and 'msgdi specifier tag.

2000-02-23  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.31 is released.

2000-02-21  Mike Sperber <mike@xemacs.org>

	* loadup.el (really-early-error-handler):
	* update-elc.el:
	* make-docfile.el:
	Remove dependency on EMACSBOOTSTRAP... environment variables.

2000-02-21  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.30 is released.

2000-02-19  Martin Buchholz  <martin@xemacs.org>

	* byte-optimize.el (byte-optimize-plus):
	(byte-optimize-minus):
	(byte-optimize-multiply):
	Optimize (- 0) to 0, not (-)
	Optimize (+ 5 3.0) to 8.0
        Optimize (* 5 3.0) to 15.0
	Improve readability.

2000-02-21  Jonathan Harris  <jhar@tardis.ed.ac.uk>

	* modeline.el: (modeline-scrolling-method): change modeline
	mswindows cursor appearance according to the value.

	* msw-faces.el: (mswindows-init-device-faces): Initialise 'default
	and 'gui-element face colors and 'gui-element face font to Windows
	defaults.

2000-02-09 Stef Epardaud  <stef@lunatech.com>

	* font-lock.el: Javadoc enhancements

1999-11-27  Oscar Figueiredo  <Oscar.Figueiredo@di.epfl.ch>

	* ldap.el (toplevel): Test if LDAP support has been compiled in
	(ldap-verbose): New option
	(ldap-search-entries): Renamed from the previous ldap-search
	Conditionalize message display on ldap-verbose
	(ldap-add-entries, ldap-modify-entries, ldap-delete-entries): New
	defuns
	(ldap-search): Is now defined as an obsolete wrapper calling
	ldap-search-basic or ldap-search-entries


1999-12-06  Hirokazu FUKUI  <hfukui@sannet.ne.jp>
            Shuhei KOBAYASHI <shuhei@aqua.ocn.ne.jp>
	    Jan Vroonhof  <jan@xemacs.org>

        * byte-optimize.el (byte-optimize-form-code-walker): Fixed.
        When for-effect is true, didn't call `byte-optimize-form'
        in and/or subforms without last.

1999-12-07  Jan Vroonhof  <vroonhof@math.ethz.ch>

        * package-get.el (package-get-download-sites): Use correct custom
        type.

2000-02-15  Kirill 'Big K' Katsnelson  <kkm@dtmx.com>

	* files.el (write-file): Ask for coding system when compiled with
	file-coding.

2000-02-16  Andy Piper  <andy@xemacs.org>

	* buffer.el (switch-to-buffer): give norecord argument to
	set-window-buffer instead of explicitly recording.

	* gutter-items.el (buffers-tab-switch-to-buffer): don't record if
	we have to pick a window.

1999-12-24  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* mule/mule-cmds.el (describe-language-support): Don't add
	unexist function to help-map.
	(describe-coding-system): Don't use already assigend `C'.

2000-01-23  Bjrn Torkelsson  <torkel@hpc2n.umu.se>

	* info.el (Info-save-auto-generated-dir): nil -> 'never to make it
	work in custom.

2000-02-04  Kazuyuki IENAGA <kazz@imasy.or.jp>

	* about.el: Ienaga's e-mail address change.

2000-02-16  Samuel Mikes  <smikes@alumni.hmc.edu>

        * etags.el (find-tag): force new window -- even if buf already
        visible -- when other-window is t

2000-02-16  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.29 is released.

2000-02-09  Martin Buchholz  <martin@xemacs.org>

	* cl-extra.el (getf): This is now identical to `plist-get', so
	just defalias it.
	* cl-macs.el: Make getf an alias to plist-get, at the
	byte-compiler level, using define-compiler-macro.

2000-02-08  Martin Buchholz  <martin@xemacs.org>

	* cl-extra.el (cl-remprop): Remove. remprop is now in C.

2000-02-07  Kyle Jones  <kyle_jones@wonderworks.com>

	* lisp/etags.el (find-tag-internal): set exact-tagname to
	  a regular expression that matches against the tagname
	  part of the tag entry first instead of only looking in
	  the context area.

2000-01-23  Bjrn Torkelsson  <torkel@hpc2n.umu.se>

	* gutter-items.el: fixed typo(s) in customizing default-gutter-position
	* toobar.el: fixed typo(s) in customizing default-toolbar-position

2000-02-07  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.28 is released.

2000-02-07  Martin Buchholz  <martin@xemacs.org>

	* cl-extra.el (getf): Just call `get', never `get*'.
	Make arglist match docstring.
	Fix bug: (getf nil t t) ==> Lisp nesting exceeds `max-lisp-eval-depth'
	* cl-macs.el (get* compiler macro): Simply replace `get*' by `get'.
	* byte-optimize.el: remove references to `get*'.

2000-02-06  Martin Buchholz  <martin@xemacs.org>

	* mule/european.el: Add syntax information for Latin3 and Latin4.

2000-02-02  Martin Buchholz  <martin@xemacs.org>

	* byte-optimize.el: Byte-optimize (length "foo")

2000-02-03   Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* window.el (shrink-window-if-larger-than-buffer): Rewrite full
	width check using `window-leftmost-p' and `window-rightmost-p'.

2000-02-02  Per Abrahamsen  <abraham@dina.kvl.dk>

	* wid-edit.el (widget-match-inline): An atom never matches a
          list.

2000-01-29  Kirill 'Big K' Katsnelson  <kkm@dtmx.com>

	* modeline.el: Consolidated 'x and 'mswindows specification under
	'win tag.

2000-01-29  Andy Piper  <andy@xemacs.org>

	* gutter-items.el: (format-buffers-tab-line): Try and be
	intelligent about buffer naming when we have duplicates.

2000-01-29  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (gutter-visible-p): Make sure the gutter gets
	updated when it becomes visible.

2000-01-26  Kirill 'Big K' Katsnelson  <kkm@dtmx.com>

	* bytecomp.el (byte-compile-insert-header): Properly set coding
	system under MULE and file-coding.

2000-01-28  Martin Buchholz  <martin@xemacs.org>

	* coding.el (dontusethis-set-value-file-name-coding-system-handler):
	(dontusethis-set-value-terminal-coding-system-handler):
	(dontusethis-set-value-keyboard-coding-system-handler):
	Never undefine coding system aliases.  Emergency fix for gnus.

2000-01-26  Hrvoje Niksic  <hniksic@iskon.hr>

	* files.el (abbreviate-file-name): Use directory-sep-char instead
	of hard-coded "/".

2000-01-27  Hrvoje Niksic  <hniksic@iskon.hr>

	* startup.el (user-init-file-base-list): New variable, replacing
	user-init-file-base.
	(find-user-init-file): New function.
	(command-line-early): Use it.
	(load-user-init-file): Ditto.

2000-01-26  Kirill 'Big K' Katsnelson  <kkm@dtmx.com>

	* gutter-items.el (update-tab-in-gutter): Use proper locale when
	calling valid-image-instantiator-format-p

2000-01-26  Hrvoje Niksic  <hniksic@iskon.hr>

	* isearch-mode.el (isearch-mode): The variable is
	isearch-unhidden-extents, not isearch-opened-extents.

2000-01-26  Hrvoje Niksic  <hniksic@iskon.hr>

	* minibuf.el (next-history-element): Modify error message if a
	default value is available.

2000-01-26  Martin Buchholz  <martin@xemacs.org>

	* bytecomp.el (byte-compile-file): Don't unconditionally write
	.elc files in binary - might contain non-Latin1.

2000-01-24  Kirill 'Big K' Katsnelson  <kkm@dtmx.com>

	* process.el (shell-quote-argument): Use (nt-quote-process-args)
	for windows-nt.

	* version.el:
	* startup.el (user-init-file-base):
	* process.el (call-process-region):
	* files.el (make-backup-file-name):
	(backup-file-name-p):
	(file-relative-name):
	(abbreviate-file-name):
	(set-auto-mode):
	* code-process.el (call-process-region): Removed unnecessary
	branching on 'windows-nt and 'ms-dos system types. Phased 'ms-dos
	support out of the universe.

	* process.el:
	* code-process.el:
	* bytecomp.el (byte-compile-file): Removed reference to
	buffer-file-type, and commented usage of binary-process-output
	NTEmacs variables.

2000-01-24  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* help.el (function-arglist): Add case for macro.

2000-01-22  Kirill 'Big K' Katsnelson  <kkm@dtmx.com>

	* cus-edit.el (custom-display): Removed "MS-DOS" and added Windows
	printers.
	(custom-display): Added a menu for printer/display tags.

	* frame.el (frame-type):
	* device.el (device-type): Added 'msprinter to the doc string, and
	removed 'pc -- it is not going to be implemented ever.
	(call-device-method): Fixed docstring typo.
	Defined specifier tags 'printer and 'display.

2000-01-22  Kyle Jones  <kyle_jones@wonderworks.com>

	* lisp/itimer.el (itimer-run-expired-timers): (consp
	  last-command-event-time) instead of (consp
	  'last-command-event-time).

2000-01-21  Kirill 'Big K' Katsnelson  <kkm@dtmx.com>

	* msw-glyphs.el: Removed obsolete commentary.

2000-01-21  Hrvoje Niksic  <hniksic@iskon.hr>

	* minibuf.el (read-file-name): Use abbreviate-file-name to produce
	better default value.

2000-01-21  Hrvoje Niksic  <hniksic@iskon.hr>

	* minibuf.el (read-expression): Add a DEFAULT-VALUE argument.
	(read-string): Ditto.
	(eval-minibuffer): Ditto.
	(read-command): Ditto.
	(read-function): Ditto.
	(read-variable): Ditto.
	(read-number): Ditto.
	(read-shell-command): Ditto.
	(read-number): Record history.

2000-01-20  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* etags.el (find-tag-tag): Use DEFAULT of completing-read.

2000-01-20  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* faces.el (startup-initialize-custom-faces): New function.
	Reset all faces created during auto-autoloads loading time
	by defface.
	* startup.el (command-line): Call it.

2000-01-19  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* about.el (about-hackers): Add myself to contributors list.

2000-01-12  Kirill 'Big K' Katsnelson  <kkm@dtmx.com>

	* menubar-items.el (maybe-add-init-button): Removed an argument in
	a call to load-user-init-file, as the function managed to lose its
	formal parameter a few betas ago.

2000-01-18  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.27 is released.

2000-01-18  Martin Buchholz  <martin@xemacs.org>

	* process.el (shell-command-to-string): Use the FSF docstring.
	Make shell-command-to-string the standard function, and
	exec-to-string the (deprecated) alias.

	* startup.el: typo fix.

2000-01-16  Martin Buchholz  <martin@xemacs.org>

	* mule/mule-misc.el (char-octet): Move back into mule-charset.c.

2000-01-14  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* menubar-items.el (sort-buffers-menu-alphabetically): Put invisible
	buffers	after visible buffers.
	(sort-buffers-menu-by-mode-then-alphabetically): Ditto.

2000-01-17  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* info.el (Info-extract-menu-node-name): Stop at a dot
	followed by whitespace or right parenthesis.

2000-01-15  Hrvoje Niksic  <hniksic@iskon.hr>

	* info.el (Info-directory-list): Warn against using Customize with
	Info-directory-list.

2000-01-15  Adrian Aichner  <aichner@ecf.teradyne.com>

	* minibuf.el (read-file-name): doc fix.

	* autoload.el (update-file-autoloads): doc fix.

	* about.el (about-hackers): Change my E-mail address.

2000-01-13  Martin Buchholz  <martin@xemacs.org>

	* info.el (Info-visit-file): Just use the `f' interactive spec to
	read a filename in the standard way.

2000-01-13  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (gutter-buffers-tab-orientation): new variable.
	(gutter-buffers-tab-extent): new variable.
	(update-tab-in-gutter): call add-tab-to-gutter again if the
	orientation has changed.
	(add-tab-to-gutter): cope with different orientations.

2000-01-11  Didier Verna  <didier@xemacs.org>

	* info.el (Info-following-node-name): backward-skip dots as well
	as spaces (dots at the end of a node name aren't part of it).
	(Info-extract-menu-node-name): don't skip dots. There could be
	some in the node name.
	(Info-index): allow dots to be part of a node name.

2000-01-12  Andreas Jaeger  <aj@suse.de>

	* files.el (auto-mode-alist): Added idlwave-mode.
	Patch by Carsten Dominik <dominik@astro.uva.nl>.

1999-12-22  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* info.el (Info-search): Show default value.

1999-12-20  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* info.el (Info-read-node-completion-table): New variable.
	(Info-read-node-name-1): New function.
	(Info-read-node-name): Use it.
	(Info-follow-reference): Use DEFAULT argument of completing-read.
	(Info-menu): Ditto.

1999-12-27  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* hyper-apropos.el (hyper-describe-key-briefly): Save
	window configuration.
	(hyper-describe-face): Use DEFAULT of completing-read.
	(hyper-apropos-read-variable-symbol): Ditto.
	(hyper-apropos-read-function-symbol): Ditto.

1999-12-27  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* mule/mule-cmds.el (set-default-coding-system): Set
	comint-exec-hook to use coding-system-for-read and
	coding-system-for-write so that C-x RET c works.

1999-12-27  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* minibuf.el (minibuffer-confirm-incomplete): Customize.
	(previous-matching-history-element): Increment
	minibuffer-max-depth by 1.
	(next-matching-history-element): Ditto.

2000-01-11  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (buffers-tab): Create a new face for the buffers
	tab.
	(buffers-tab-face): use it.

2000-01-10  Didier Verna  <didier@xemacs.org>

	* modeline.el (modeline-scrolling-method): change modeline X
	cursor appearance according to the value.

2000-01-07  Andreas Jaeger  <aj@suse.de>

	* about.el (about-hackers): Moved my entry to contributor list.
	(xemacs-hackers): Added myself.
	(about-maintainer-info): Added description of myself.


2000-01-07  Didier Verna  <didier@xemacs.org>

	* modeline.el (modeline-scrolling-method): new variable.
	(mouse-drag-modeline): add reference to it in the docstring.
	(mouse-drag-modeline): handle it.

2000-01-08  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (update-tab-in-gutter): remove resize-subwindow
	calls.
	(remove-buffer-from-gutter-tab): ditto.

2000-01-06  Per Abrahamsen  <abraham@dina.kvl.dk>

	* cus-edit.el (custom-hook-convert-widget): Fix comment.
	(custom-face-edit): Fix grammatical error in help message.

2000-01-03  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* movemail.el: Added.

	* dumped-lisp.el (preloaded-file-list): Added movemail.el.

2000-01-03  Didier Verna  <didier@xemacs.org>

	* modeline.el (mouse-drag-modeline): remove the code related to
	the modeline horizontal scrolling facility.

1999-12-31  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.26 is released.

1999-12-28  Andy Piper  <andy@xemacs.org>

	* wid-edit.el (widget-push-button-value-create): The gui cache
	does not agree with native widgets which can only be displayed
	once per window. The reasons for caching are diminished now that
	we don't hog resources when creating buttons.
	(widget-push-button-cache) deleted.

1999-12-24  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.25 is released.

1999-12-24  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* hyper-apropos.el (hyper-apropos): Toggle
	hyper-apropos-programming-apropos correctly.
	Set REGEXP when user accepts default value.

1999-12-22  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* minibuf.el (read-from-minibuffer): Bind minibuffer-default.
	(read-file-name-2): Use DEFAULT argument of read-from-minibuffer.

1999-12-22  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* mule/mule-category.el (undefined-category-designator):
	Return char instead of character.  Search for undefined one.
	(describe-category): Use with-displaying-help-buffer.

1999-12-21  Martin Buchholz  <martin@xemacs.org>

	* byte-optimize.el (byte-optimize-plus):
	Optimize (+ 1) to 1 instead of (1+ nil).

	* files.el (basic-save-buffer): Rewrite for clarity.  Use (char-before).

	* byte-optimize.el (byte-compile-butlast): Remove.  Use butlast instead.

	* byte-optimize.el (byte-optimize-char-before): New function.
	Remove performance penalty for using (char-before) instead of (char-after).

1999-12-20  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* mule/mule-category.el (char-category-list): Return character
	instead of integer.

1999-12-17  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* minibuf.el (read-buffer): Check default is buffer object.

1999-11-25  Andy Piper  <andy@xemacs.org>

	* cus-edit.el (custom-buffer-create-buttons): Use native widgets
	for buttons.

1999-12-16  Andreas Jaeger  <aj@suse.de>

	* package-get.el (package-get-maybe-save-index): Fixed typo.
	Patch by Jeff Miller <jmiller@smart.net>.

1999-12-13  Charles G Waldman  <cgw@alum.mit.edu>

	* gnuserv.el (gnuserv-process-filter):  don't call
	gnuserv-write-to-client when gnuserv-current-client is nil

1999-12-14  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.24 is released.

1999-12-12  Gunnar Evermann  <ge204@eng.cam.ac.uk>

	* about.el (about-hackers): Update my email address.

1999-12-07  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.23 is released.

1999-11-06  Jason R Mastaler  <jason@mastaler.com>

        * package-get.el (package-get-download-sites): Removed several
        defunct download sites, added many new ones, and corrected a few
        incorrect directory-on-site entries.  Added physical locations to
        site-description.

1999-11-30  Gunnar Evermann  <ge204@eng.cam.ac.uk>

	* finder.el (finder-commentary): add DOC string and fix
	interactive spec

1999-12-04  Hrvoje Niksic  <hniksic@iskon.hr>

	* help.el (describe-function): Don't forget to intern the string
	completing-read returns.
	(describe-variable): Ditto.

1999-11-16  Adrian Aichner  <adrian@xemacs.org>

	* hyper-apropos.el (hyper-apropos-this-symbol): Handle
	`hyper-apropos-help-mode' here to find symbol to customize
	irregardless of cursor position and simplify
	`hyper-apropos-set-variable', `hyper-apropos-find-function', and
	`hyper-apropos-popup-menu'.

1999-11-21  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* apropos.el (apropos-mode-map): Add return to call
	apropos-follow.
	(apropos-print): Call apropos-mode to have better
	command reference. Put keymap text-poperty to
	symbole name.

1999-11-22  Alastair Burt  <burt@dfki.de>

	* help.el: (describe-bindings-1): Added handling of keymaps for
	the extents at point.

1999-12-02  Mark Thomas  <mthomas@jprc.com>

	* gutter-items.el (buffers-tab-items): Wrap the function in a
	save-match-data

1999-12-04  Hrvoje Niksic  <hniksic@iskon.hr>

	* help.el (describe-function): Use the DEFAULT argument to
	completing-read.
	(describe-variable): Ditto.

1999-11-26  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* minibuf.el (read-from-minibuffer): Add optional argument
	DEFAULT to have better mini-buffer history support.
	(completing-read): Pass default to read-from-minibuffer.
	(read-buffer): Pass default to completing-read.

1999-12-04  Hrvoje Niksic  <hniksic@iskon.hr>

	* font-lock.el (font-lock-doc-string-face): Document the
	`font-lock-lisp-like' property.

1999-11-29  Hrvoje Niksic  <hniksic@iskon.hr>

	* lisp-mode.el: Specify `font-lock-lisp-like'.

	* font-lock.el (font-lock-lisp-like): New function.
	(font-lock-fontify-syntactically-region): Use it.

1999-11-29  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.22 is released

1999-11-28  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.21 is released.

1999-11-18  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* minibuf.el (read-coding-system): Accept symbol and
	coding-system object as	a default-coding-system.

1999-11-16  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* minibuf.el (read-coding-system): Accept symbol as
	a default-coding-system.

1999-10-06  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* apropos.el (apropos-documentation): Use insert instead
	of princ.

1999-11-07  William M. Perry  <wmperry@aventail.com>

	* gpm.el: New gpm-minor-mode to turn GPM mouse support on & off
	  for the linux console.

	* mouse.el (mouse-consolidated-yank): Allow the mouse-yanking
	  stuff to work when you are not on a window system, since the GPM
	  mouse support now allows pasting from outside of XEmacs.

1999-11-10  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.20 is released

1999-11-06  Hrvoje Niksic  <hniksic@iskon.hr>

	* setup-paths.el (paths-default-info-directories): Add
	/usr/share/info and /usr/local/share/info.

1999-10-30  Hrvoje Niksic  <hniksic@srce.hr>

	* about.el: Updated Vladimir Ivanovic's info.

11999-08-28  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* auto-show.el (auto-show-truncationp): Remove.

	* auto-show.el (auto-show-should-take-action-p): Use window-truncated-p

999-09-23  Gunnar Evermann  <ge204@eng.cam.ac.uk>

	* indent.el (indent-line-to): fix bug: spaces were not replaced
	with tab if column is multiple of tab-width
	From dhn@qedinc.com

1999-10-24  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* mule/mule-cmds.el (read-input-method-name): Accept symbols
	correctly. Patch from Mikio Nakajima <minakaji@osaka.email.ne.jp>

	* package-get.el (package-get-package-provider): Be verbose when
	interactive. Patch from Robert Pluim

1999-08-23  Mike McEwan  <mike@lotusland.demon.co.uk>

	* info.el (Info-suffix-list): Add ".info.bz2" to the recognised
	info file suffixes.

1999-08-19  Stephen Tse  <stephent@sfu.ca>

	* process.el (open-network-stream): Add a new optional parameter
 	PROTOCOL to support udp; fix a minor typo and add an explanation
 	in docstring for udp programming.

	* code-process.el (open-network-stream): Add a new optional
 	parameter PROTOCOL to support udp; fix a minor typo and add an
 	explanation in docstring for udp programming.

1999-10-18  Andy Piper  <andy@xemacs.org>

	* gui.el (make-gui-button): be more precise about how we call
 	callbacks.

	* wid-edit.el (widget-push-button-value-create): Use the new form
 	of native gui-button.

1999-10-14  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* info.el (Info-page-prev): Don't do (sit-for 0).

1999-10-13  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (progress-abort-glyph): new glyph for showing
 	abort status.
	(append-progress): dispatch-event rather than sit-for.
	(abort-progress): new function. Show the abort glyph with an
 	appropriate message.
	(raw-append-progress): dispatch-event rather than sit-for.
	(display-progress): cope with aborts.

	* gui.el (make-gui-button): Use native widgets for buttons
 	unconditionally.
	(insert-gui-button): ditto.
	(gui-button-p): ditto.

	* xbm-button.el: remove from core.

	* xpm-button.el: remove from core.

1999-10-07  Olivier Galibert  <galibert@pobox.com>

	* faces.el (init-device-faces): Don't initialize the random faces
 	on the stream device.

1999-10-06  Andy Piper  <andy@xemacs.org>

	* files.el (recover-file): Don't use ls under windows for revert buffer.

1999-09-25  Adrian Aichner  <adrian@xemacs.org>

	* package-get.el (package-get-download-menu): Make menu really
 	toggle download sites.
	(package-get-download-sites): Add autoload cookie.

1999-09-29  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* setup-paths.el (paths-find-module-directory): Ditto.

1999-09-29  Werner Fink  <werner@suse.de>

	* setup-paths.el (paths-find-exec-directory): Add missing nil
	parameter for environment.

1999-09-27  Martin Buchholz  <martin@xemacs.org>

	* modeline.el (modeline-format):
	Only purecopy the strings.  Else
	(nsublis '(("%p" . "%P")) (default-value 'modeline-format) :test 'equal)
	barfs.

1999-08-28  Mike Woolley  <mike@bulsara.com>

	* winnt.el: Removed nt-shell-mode-hook, which was preventing the
 	user setting comint-completion-addsuffix and
 	comint-process-echoes.

1999-09-22  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (update-tab-in-gutter): use
 	last-nonminibuf-window instead of selected-window.

1999-09-18  Andy Piper  <andy@xemacs.org>

	* gnuserv.el (gnuserv-edit-files): select frame we are going to
 	display on.

	* subr.el (record-buffer-hook): new variable so that the hook gets
 	some documentation.

1999-09-16  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (update-tab-in-gutter): only update when the
 	gutter is visible.
	(remove-buffer-from-gutter-tab): ditto.

1999-09-17  Hrvoje Niksic  <hniksic@srce.hr>

	* simple.el (do-auto-fill): Commented out part of Kinsoku
	processing.

1999-09-14  Hrvoje Niksic  <hniksic@srce.hr>

	* isearch-mode.el (isearch-highlightify-region): Give the
 	highlighting extents a high priority.
	(isearch-make-extent): Give the main highlighting extent an even
	higher priority.

1999-09-13  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* packages.el (packages-compute-package-locations): Fix typo from
	-u rationalization.

1999-09-11  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* setup-paths.el (paths-find-doc-directory): Respect value of
	`configure-doc-directory.'

	* find-paths.el (paths-find-architecture-directory): Give
 	precendence `default' argument (which typically comes from
 	configure).

1999-09-05  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* startup.el (command-line-early): Added options -user-init-file
	and -user-init-directory.

	* files.el (user-init-file): Default to NIL so we can recognize
	when it's set.

1999-08-30  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* obsolete.el (init-file-user):
	* startup.el:
	* packages.el (packages-compute-package-locations):
	* package-get.el (package-get-user-index-filename):
	* menubar-items.el (maybe-add-init-button):
	* info.el (Info-annotations-path):
	* dump-paths.el:
	Change `user-init-directory' to be an absolute path.
	Use `user-init-directory' where appropriate.
	Zap `init-file-user' and its uses.

1999-09-09  Hrvoje Niksic  <hniksic@srce.hr>

	* subr.el (copy-symbol): New function.

1999-09-08  Hrvoje Niksic  <hniksic@srce.hr>

	* isearch-mode.el (isearch-done): Be sure to restore invisible
 	extents in the proper buffer.
	(isearch-pre-command-hook): Set this-command to the correct value
 	in case the buffer has changed and old overriding-local-map was
 	used.
	(isearch-restore-extent): Use remprop instead of setting the
	property to nil.

1999-09-08  Hrvoje Niksic  <hniksic@srce.hr>

	* cmdloop.el (execute-extended-command): Update zmacs region
 	before the delay.
	(execute-extended-command): Make the message gettext-friendly.

1999-09-07  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (progress-gauge-glyph): renamed from
 	progress-glyph.
	(progress-text-glyph): new variable.
	(progress-layout-glyph): use layouts and text glyphs.
	(progress-area-buffer): removed.
	(progress-text-and-extent): new variable.
	(progress-displayed-p): dynamically create gutter area buffer.
	(clear-progress): ditto.
	(raw-append-progress): ditto.
	(append-progress): use new glyph names.
	(raw-append-progress): only create the extent when needed. set
 	properties more optimally.
	(progress): remove args.

1999-09-07  Hrvoje Niksic  <hniksic@srce.hr>

	* isearch-mode.el (isearch-range-invisible): Use mapc instead of
 	mapcar where the return value is unused.
	(isearch-restore-invisible-extents): Ditto.
	(isearch-highlight-all-cleanup): Ditto.
	(isearch-delete-extents-in-range): Traverse the extents only once.
	(isearch-highlight-all-update): Don't start over if the search
	string has changed and more input is pending.

1999-09-07  Hrvoje Niksic  <hniksic@srce.hr>

	* packages.el (packages-find-package-data-path): Ditto.

	* cl.el: Use mapcar at top-level -- mapc is no longer a subr.

	* subr.el (mapc-internal): Don't make obsolete.

	* cl-extra.el (mapc): Resurrect.

1999-09-03  Hrvoje Niksic  <hniksic@srce.hr>

	* obsolete.el (isearch-yank-x-clipboard): Define it as an obsolete
	alias.

	* isearch-mode.el (isearch-top-state): Restore isearch-word.
	(isearch-yank-clipboard): Renamed from isearch-yank-x-clipboard.
	(isearch-yank-clipboard): Use get-clipboard instead of
 	x-get-clipboard.
	(isearch-yank-selection): Fix docstring.

1999-09-02  Martin Buchholz  <martin@xemacs.org>

	* cl-extra.el: Obsolete hash-table-type in favor of hash-table-weakness.

1999-09-02  Hrvoje Niksic  <hniksic@srce.hr>

	* cl-macs.el (extent-start-position): Fix setf method.
	(extent-end-position): Ditto.

1999-09-02  Hrvoje Niksic  <hniksic@srce.hr>

	* isearch-mode.el: End merge with FSF 20.4.

	* isearch-mode.el (search-invisible): New variable.
	(isearch-hide-immediately): Ditto.
	(isearch-unhidden-extents): Ditto.
	(isearch-range-invisible): New function.
	(isearch-unhide-extent): Ditto.
	(isearch-restore-invisible-extents): Ditto.
	(isearch-restore-extent): Ditto.

	* isearch-mode.el (isearch-ring-advance-edit): Use FSF
 	implementation.
	(isearch-ring-retreat-edit): Ditto.
	(isearch-forward): New argument NO-RECURSIVE-EDIT.
	(isearch-forward-regexp): New arguments NOT-REGEXP and
 	NO-RECURSIVE-EDIT.
	(isearch-backward): New argument NO-RECURSIVE-EDIT.
	(isearch-backward-regexp): New arguments NOT-REGEXP and
 	NO-RECURSIVE-EDIT.
	(isearch-mode): Return isearch-success.
	(isearch-update): Use unread-command-events instead of
 	unread-command-event.
	(isearch-abort): If an invalid regexp is encountered, keep popping
 	states.
	(isearch-*-char): Use FSF implementation.
	(isearch-whitespace-chars): Use the more robust FSF's
 	implementation.
	(isearch-within-brackets): New variable.
	(isearch-mode): Initialize it.
	(isearch-edit-string): Bind it.
	(isearch-search-and-update): Set it.
	(isearch-push-state): Push it.
	(isearch-top-state): Pop it.
	(isearch-search): Set it.
	(isearch-printing-char): When called by isearch-whitespace-chars,
	handle M-SPC gracefully.
	(isearch-message-prefix): New argument ELLIPSIS.
	(isearch-message-suffix): Ditto.
	(isearch-message): Use the ELLIPSIS argument when calling
	isearch-message-prefix and isearch-message-suffix.
	(isearch-message-prefix): Distinguish between "wrapped" and
	"overwrapped" search, FWIW.

1999-09-01  Hrvoje Niksic  <hniksic@srce.hr>

	* isearch-mode.el (isearch-edit-string): Use the head of the
 	search ring instead of search-last-string and search-last-regexp.
	(search-highlight): Renamed from isearch-highlight.
	(isearch-exit): Use the new name.
	(isearch-highlight): Ditto.
	(isearch-dehighlight): Ditto.
	(isearch-update-ring): New function.
	(isearch-done): Call it.
	(isearch-done): New argument EDIT.
	(isearch-repeat): If search string is empty, look up at the car of
	the search ring; ignore the yank pointer.
	(isearch-abort): Call isearch-done with NOPUSH.
	(isearch-cancel): New function.
	(isearch-mode-map): Bind it to ESC ESC ESC.

	* isearch-mode.el: Begin merge with FSF 20.4.

1999-09-01  Andy Piper  <andy@xemacs.org>

	* x-select.el (x-get-clipboard): obsolete.
	(x-yank-clipboard-selection): obsolete

	* select.el (disown-selection): need to be careful to disown the
 	clipboard if we set it via selection.
	(get-clipboard): move from x-select.el
	(yank-clipboard-selection): ditto.

1999-09-01  Hrvoje Niksic  <hniksic@srce.hr>

	* isearch-mode.el (isearch-exit): Bind isearch-highlight and
	isearch-highlight-all-matches to nil.
	(isearch-fixed-case): New variable.
	(isearch-mode): Initialize it.
	(isearch-edit-string): Save it.
	(isearch-toggle-case-fold): Set it.
	(isearch-fix-case): Make sure isearch-toggle-case-fold works --
	need to check isearch-fixed-case.
	(isearch-toggle-case-fold): Update highlighting of all matches
	before the pause.
	(isearch-edit-string):

1999-09-01  Hrvoje Niksic  <hniksic@srce.hr>

	* isearch-mode.el (isearch-edit-string): Call isearch-message
 	before reading the event so that the prompt is displayed properly.
	(isearch-message): Use isearch-nonincremental when calling
 	isearch-message-prefix.
	(minibuffer-local-isearch-map): Bind up and down to do the same as
 	M-p and M-n respectively.
	(isearch-done): New arg NOPUSH.
	(isearch-edit-string): Use it.
	(isearch-edit-string): Don't bind isearch-string.
	(isearch-ring-adjust): Edit string, *then* push state.

1999-08-31  Hrvoje Niksic  <hniksic@srce.hr>

	* faces.el (isearch-secondary): Make isearch-secondary look
 	different than default.

1999-08-30  Hrvoje Niksic  <hniksic@srce.hr>

	* isearch-mode.el (isearch-yank): Use progn instead of the inner
 	save-excursion.
	(isearch-dehighlight): Remove TOTALLY.  Simplify.
	(isearch-update): Call isearch-dehighlight without arguments.
	(isearch-done): Ditto.

	* isearch-mode.el (isearch-fix-case): If the search string has no
 	upper-case letters, allow the folding to be reenabled.
  	Previously, once disabled, the folding would remain that way until
 	the end of isearch.
	(isearch-top-state): Call isearch-fix-case.

	* isearch-mode.el (isearch-yank): Use progn instead of the inner
 	save-excursion.
	(isearch-dehighlight): Remove TOTALLY.  Simplify.

1999-08-31  Jan Vroonhof  <jan@xemacs.org>

	* xpm-button.el:
	xbm-button.el: Need to exist in core because gui.el depends on
 	them.

1999-08-31  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (buffers-tab-face): new customizable variable.
	(buffers-tab-default-buffer-line-length): new specifier for
 	maximum viewable characters.
	(progress-stack): new variable for implementing widget-based
 	progress messages.
	(progress-area-buffer): ditto.
	(progress-glyph-height): ditto.
	(progress-stop-callback): ditto.
	(progress-quit-function): new function.
	(progress-glyph): new variable.
	(progress-layout-glyph): ditto.
	(progress-displayed-p): new function, see message-displayed-p for
 	details.
	(clear-progress): ditto.
	(remove-progress): ditto.
	(append-progress): ditto.
	(raw-append-progress): ditto.
	(display-progress): ditto.
	(current-progress): ditto.
	(current-progress-label): ditto.
	(progress): ditto.
	(lprogress): ditto.


1999-08-29  Hrvoje Niksic  <hniksic@srce.hr>

	* obsolete.el (isearch-yank-x-selection): Define obsolete alias.

	* isearch-mode.el (isearch-yank-x-selection): Renamed to
 	`isearch-yank-selection'.
	(isearch-mode-map): Use it.
	(isearch-yank-selection): Use `get-selection' instead of
 	`get-x-selection'.

1999-08-29  Hrvoje Niksic  <hniksic@srce.hr>

	* faces.el (isearch-secondary): Create face here.

	* isearch-mode.el: Rewrote the "lazy highlighting" code not to use
	timers.

1999-08-27  Hrvoje Niksic  <hniksic@srce.hr>

	* subr.el (buffer-string): More robust backward compatibility
	check, courtesy William Perry.

1999-08-26  Hrvoje Niksic  <hniksic@srce.hr>

	* replace.el (perform-replace): Stop the search after the search
	limit has been reached.

1999-08-23  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (update-tab-in-gutter): call add-tab-to-gutter
 	here if we don't have one.

1999-08-15  Oscar Figueiredo  <Oscar.Figueiredo@di.epfl.ch>

	* ldap.el (ldap-coding-system): Default to nil until we get
	efficient UTF8 support
	(ldap-decode-string): Guard against `decode-coding-string' not
	being defined
	(ldap-encode-string): Guard against `encode-coding-string' not
	being defined

1999-08-23  Didier Verna  <didier@xemacs.org>

	* rect.el: Cosmetics suggested by Dave Love <d.love@dl.ac.uk>.
	Some doc strings improvements, and add a star to the `interactive'
	calls.

1999-08-18  Stef Epardaud  <stef@lunatech.com>

	* font-lock.el (java-font-lock-keywords-3): introduced new
	keywords and regexpes for javadoc syntax 1.2.

1999-08-17  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (buffers-tab-format-buffer-line-function): use
 	format-buffers-tab-line.
	(buffers-tab-max-buffer-line-length): new variable.
	(format-buffers-tab-line): new function. truncate names if over
 	buffers-tab-max-buffer-line-length.

1999-08-13  Charles G Waldman  <cgw@fnal.gov>

	* cus-start.el: Customize the variable `bell-inhibit-time'.

1999-08-16  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (remove-buffer-from-gutter-tab): take a
 	brute-force approach to deleting the last buffer.
	(buffers-tab-grouping-regexp): new customizable variable.
	(select-buffers-tab-buffers-by-mode): use it.

1999-08-13  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (remove-buffer-from-gutter-tab): fix *scratch*
 	deletion problem.

1999-07-30  Didier Verna  <didier@xemacs.org>

	* cus-edit.el (custom-save-variables): I said, use prin1 instead
	of princ to output symbols.
	(custom-save-face-internal): ditto.
	(custom-save-resets): ditto.

1999-08-09  Didier Verna  <didier@xemacs.org>

	* gutter-items.el (select-buffers-tab-buffers-by-mode): use
	`regexp-quote' to protect the major mode name for use as a regular
	expression (c++ needs this for instance).

1999-08-08  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (select-buffers-tab-buffers-by-mode): beef up to
 	cope with similar mode names.

	* gutter-items.el (buffers-tab-selection-function): new selection
 	function.
	(select-buffers-tab-buffers-by-mode): new function.
	(buffers-tab-items): use it if set to only display buffers in the
 	tab in the current buffer's group..
	(update-tab-in-gutter): use new api.
	(remove-buffer-from-gutter-tab): ditto.

	* gutter-items.el (buffers-tab-max-size): set custom selection
 	default to 6.
	(buffers-tab-switch-to-buffer): just switch window if the window is visible.
	(add-tab-to-gutter): set face as default.

1999-07-07  Jan Vroonhof  <jan@xemacs.org>

	* faces.el (frob-face-property): Merge the fall-back specifier
	with the target, not replace it.

1999-08-05  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (update-tab-in-gutter): add frame argument for
 	buffer-items.
	(update-tab-in-gutter): use it.

	* gutter-items.el (record-buffer-hook): set.

	* buffer.el (switch-to-buffer): back out switch-to-buffer-hook
 	change.
	(switch-to-buffer-hook) deleted.

1999-08-04  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (update-tab-in-gutter): make sure this will work
 	as an argument to create-frame-hook.

1999-07-30  Hrvoje Niksic  <hniksic@srce.hr>

	* isearch-mode.el: Modified Bob and Darryl's code to use itimers
	instead of timer emulation.

1999-07-30  Darryl Okahata  <darrylo@sonic.net>

	* isearch-mode.el: Merged Bob Glickstein's <bobg@zanshin.com> GNU
 	Emacs isearch enhancements.

1999-07-28  Andy Piper  <andy@xemacs.org>

	* gutter-items.el (add-tab-to-gutter): put in specifier specs for
 	all devices that support tab controls.
	(remove-buffer-from-gutter-tab): new function. to be used as a
 	value for kill-buffer-hook.

1999-07-21  Sean MacLennan  <seanm@storm.ca>

	* auto-show.el (auto-show-truncationp): changed to match
	`window_translation_on'

1999-07-30  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.19 is released

1999-07-28  SL Baur  <steve@miho>

	* code-files.el (insert-file-contents): Fix docstring.
	revert previous change.

1999-07-26  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* fill.el (fill-region-as-paragraph): Change re-break-point to
	contain	word-across-newline plus one character so that filling
	Japanese and Chinese works as desired.
	* simple.el (do-auto-fill): Ditto.

1999-07-26  SL Baur  <steve@miho>

	* mule/japanese.el ("Japanese"): Do not specify a default input
	method.
	Suggested by MORIOKA Tomohiko  <tomo@etl.go.jp>

1999-07-23  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* custom.el ((not (fboundp 'defun*))): Insert autoload crap to be
	able to use cl-macs macro in early lisp.

1999-07-23  Jan Vroonhof  <jan@xemacs.org>

	* custom.el:
	* cus-face.el:
	* cus-edit.el:
		Massive custom Theme API changes.

1999-07-22  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* code-files.el (insert-file-contents): Regard
	coding-system-magic-cookie if `coding-system-for-read' is nil.

1999-07-22  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* mule/thai-xtis.el: Add coding: local variable, to avoid
	bootstrapping problem with C locale.

1999-07-22  Andy Piper  <andy@xemacs.org>

	* dumped-lisp.el (preloaded-file-list): guard against putting
 	gutter-items in a less than functional XEmacs.
	* gutter-items.el: put call to `add-tab-to-gutter' back in.

1999-07-18  Bob Weiner  <weiner@beopen.com>

	* fill.el (fill-context-prefix): Fixed bug that prevented the
	setting of an adaptive fill prefix when the `dont-skip-first' was
	t.

1999-07-22  SL Baur  <steve@miho>

	* gutter-items.el: remove unguarded call to `add-tab-to-gutter'.

1999-06-25  Karl M. Hegbloom  <karlheg@debian.org>

	* files.el (interpreter-mode-alist): add `make', `guile', and
	`emacs' entries. (#!/usr/bin/make -f ought to send a file into
	makefile-mode, guile is a scheme, and someday XEmacs will be
	modular enough to use as an efficient scripting tool.)

1999-07-06  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* mule/mule-cmds.el (reset-language-environment): Regard
	coding-category `utf-8' and `ucs-4' if they are available.

1999-07-06  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* mule/mule-cmds.el (set-default-coding-systems): Fix DOC-string.
	(prefer-coding-system): Fix DOC-string.

	* mule/mule-cmds.el (coding-system-change-eol-conversion): Fix
	DOC-string too.

	* mule/mule-cmds.el (mule-keymap): Change keymap name from MULE to
	Mule.
	(coding-system-change-eol-conversion): Fix DOC-string.

1999-06-30  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* mule/mule-cmds.el (mule-keymap): Use `describe-coding-system'
	instead of `list-coding-system'.

1999-06-29  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* menubar-items.el (default-menubar): `select-input-method' was
	renamed to `set-input-method'.

	* mule/mule-cmds.el (set-language-info-alist): Fix setting for
	"Set Language Environment" menu.

	* mule/mule-cmds.el (set-language-info-alist): Fix setting for
	"Describe Language Support" menu.

1999-06-29  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* mule/chinese.el ("Chinese-GB"): Rename
	`chinese-gb-environment-setup-function' to
	`setup-chinese-gb-environment-internal'.

1999-06-29  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* mule/korean.el: Use `define-coding-system-alias' instead of
	`copy-coding-system'.

1999-06-29  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* mule/mule-cmds.el (set-language-environment-coding-systems):
	Treat duplicated coding-categories.

1999-06-29  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* mule/japanese.el: Use `define-coding-system-alias' instead of
	`copy-coding-system'.

1999-06-29  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* mule/vietnamese.el: Specify `iso-8-1' as a category of
	coding-system `viscii'.

1999-06-29  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* mule/cyrillic.el:
	- Specify `iso-8-1' as a category of coding-system `koi8-r'.
	(cyrillic-alternativnyj-decode-table): New variable.
	(cyrillic-alternativnyj-encode-table): New variable.
	- Specify `iso-8-1' as a category of coding-system
	  `alternativnyj'.
	- Abolish general Cyrillic environment.

1999-06-29  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* mule/chinese.el:
	- Use `define-coding-system-alias' instead of `copy-coding-system'.
	- Register `chinese-gb-environment-setup-function' as a
	  `setup-function' of "Chinese-GB" environment.

1999-06-29  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* mule/mule-cmds.el (set-language-info-alist): Allow dummy
	optional argument `parents'.

	* mule/thai-xtis.el: Specify `tis-620' as `tutorial-coding-system'
	property for Thai-XTIS.

	* mule/mule-help.el (help-with-tutorial): Use property
	`tutorial-coding-system' of language-info as a coding-system to
	read tutorial file.

1999-06-29  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* mule/thai-xtis.el: Don't setup `setup-function' and
	`exit-function'.

	* mule/mule-cmds.el (set-language-environment-coding-systems): Use
	`set-coding-category-system' to set up coding-system for
	coding-category.

	* mule/mule-cmds.el (prefer-coding-system): Use
	`set-coding-category-system' to set up coding-system for
	coding-category.

1999-06-29  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* mule/thai-xtis.el: Specify TUTORIAL.th as the tutorial file for
	Thai-XTIS environment.

	* mule/mule-cmds.el (prefer-coding-system): Use
	`find-coding-system' instead of `coding-system-p'.

1999-06-28  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* mule/mule-cmds.el (set-language-environment-coding-systems):
	Modify eol-type for XEmacs.

	* mule/thai-xtis.el: Delete unused local variable `category'.

	* mule/mule-cmds.el (coding-system-change-eol-conversion): New
	function.
	(prefer-coding-system): Don't call
	`update-coding-systems-internal'; use function
	`coding-category-list' instead of variable `coding-category-list';
	use `set-coding-priority-list' instead of `set-coding-priority';
	modify `eol-type' for XEmacs.

	* mule/mule-misc.el (string-width): Use `charset-width' instead of
	`charset-columns'.
	(char-width): Likewise.

1999-06-28  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* mule/thai-xtis.el: Specify `iso-8-1' as coding-category of
	`tis-620'.

	* mule/mule-cmds.el (set-language-environment-coding-systems): Use
	`set-coding-priority-list' instead of `set-coding-priority'; don't
	call `update-coding-systems-internal'.

	* mule/mule-misc.el (coding-system-get): New function.
	(coding-system-put): New function.
	(coding-system-category): New function.

1999-06-28  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* dumped-lisp.el (preloaded-file-list): Load "thai-xtis-chars"
	when Mule is running; load "mule/thai-xtis" instead of "thai-xtis"
	to avoid conflict with leim/quail/thai-xtis.

	* mule/thai-xtis.el: Split definition of the charset `thai-xtis'
	to thai-xtis-chars.el.

	* mule/thai-xtis-chars.el: New file (split from
	mule/thai-xtis.el).

1999-06-28  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* mule/thai-xtis.el:
	- Change category for the charset `thai-xtis' to `?x' from `?T'.
	- Add syntax entries.
	- Put `preferred-coding-system' of the charset `thai-xtis' to
	  `tis-620'.

1999-06-28  TAKAHASHI Naoto  <ntakahas@etl.go.jp>

	* mule/thai-xtis.el: ccl-decode-thai-xtis and subroutines
	rewritten to use write-multibyte-character.

1999-06-28  MORIOKA Tomohiko  <tomo@etl.go.jp>

	mule/mule-cmds.el (view-hello-file): Use `iso-2022-7bit' instead
	of `iso-2022-7'.
	(prefer-coding-system): Synced up with Emacs 20.3.11 but not
	ported yet.
	(read-input-method-name): Treat optional argument `default'.

1999-06-28  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* mule/mule-cmds.el (set-language-info): Don't set up menus at
	all.
	(set-language-info-alist): Set up menus here.

1999-06-28  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* minibuf.el (completing-read): Add new optional argument
	`default'.
	(read-coding-system): Add new optional argument
	`default-coding-system'.

1999-06-03  Ken'ichi Handa  <handa@gnu.org>

	* mule/vietnamese.el (ccl-encode-vscii): Typo fixed
	(viet-viscii-...->viet-vscii...).

1999-05-13  Ken'ichi Handa  <handa@gnu.org>

	* mule/mule-cmds.el: Change MULE to Mule in docstrings
	and menus.

1999-04-12  Richard M. Stallman  <rms@gnu.org>

	* mule/mule-cmds.el (input-method-function): Add permanent-local
	property.

1999-03-30  Dave Love  <fx@gnu.org>

	* mule/mule-cmds.el (current-language-environment): Doc fix.

1999-02-06  Richard Stallman  <rms@gnu.org>

	* mule/european.el (setup-slovenian-environment): New function.
	("Slovenian"): New language environment.

1999-01-27  Dave Love  <fx@gnu.org>

	* mule/mule-cmds.el (current-language-environment): Provide :link,
	:type (choices) and appropriate :get.

1999-01-14  Kenichi Handa  <handa@etl.go.jp>

	* mule/mule-cmds.el (describe-language-environment): Don't alter
	input-method-alist.

1999-01-06  Eli Zaretskii  <eliz@gnu.org>

	* mule/mule-cmds.el (prefer-coding-system): Call
	set-coding-priority, so that the internal array of priorities is
	also updated.

1998-12-30  Eli Zaretskii  <eliz@mescaline.gnu.org>

	* mule/mule-cmds.el (prefer-coding-system): If the argument
	requires specific EOL conversion type, make the default coding
	systems use that.

1998-12-17  Eli Zaretskii  <eliz@mescaline.gnu.org>

	* mule/mule-cmds.el (set-language-environment): Pass the default
	eol-type to set-language-environment-coding-systems.
	(set-default-coding-systems): Copy the eol-type property for the
	new default values of {buffer-file,process}-coding-system from the
	old defaults.
	(set-language-environment-coding-systems): Accept an optional
	argument EOL-TYPE, and set the eol-type property of the default
	coding systems accordingly.

1998-10-26  Kenichi Handa <handa@etl.go.jp>

	* mule/chinese.el (pre-write-encode-hz): Cancel previous change,
	use generate-new-buffer instead of get-buffer-create.

1998-10-21  Kenichi Handa  <handa@etl.go.jp>

	* mule/chinese.el (pre-write-encode-hz): Use with-temp-buffer.

1998-10-16  Markus Rost  <rost@delysid.gnu.org>

	* mule/mule-cmds.el (default-input-method): Fix custom type.

1998-10-12  Richard Stallman  <rms@psilocin.ai.mit.edu>

	* mule/mule-cmds.el (setup-specified-language-environment):
	Add apropos-inhibit property.
	(describe-specified-language-support): Likewise.

1998-09-06  Bill Richter  <richter@math.nwu.edu>

	* mule/mule-cmds.el: Doc fixes.

1998-09-02  Kenichi Handa  <handa@etl.go.jp>

	* mule/mule-cmds.el (register-input-method): Doc-string
	modified.

1998-09-01  Dave Love  <fx@gnu.org>

	* mule/mule-cmds.el (current-language-environment): Fix
	setter function.

1998-08-31  Paul Eggert  <eggert@twinsun.com>

	* mule/chinese.el, mule/cyrillic.el, mule/ethiopic.el,
	mule/european.el, mule/hebrew.el, mule/japanese.el,
	mule/korean.el, mule/vietnamese.el: Add coding: local variable, to
	avoid bootstrapping problem if you need to recompile all the Lisp
	files using interpreted code.

1998-08-26  Kenichi Handa  <handa@etl.go.jp>

	* mule/european.el ("Latin-1"): Modify `documentation' key value.
	("Latin-2"): Likewise.

1998-08-18  Per Starback  <starback@update.uu.se>

	* mule/european.el (setup-latin2-environment): Fix typo.

1998-08-18  Kenichi Handa  <handa@etl.go.jp>

	* mule/european.el: Give proper value of `input-method' key to all
	lang. env.

	* mule/mule-cmds.el (activate-input-method): Handle the case that
	the arg INPUT-METHOD is nil correctly.
	(read-multilingual-string): Activate the specified input method
	before calling read-string.  Afterward, activate the original
	input method.

1998-08-15  Kenichi HANDA  <handa@etl.go.jp>

	* mule/mule-cmds.el (language-info-alist): Doc-string modified.
	(set-language-info-alist): Fix typo in doc-string.

	* mule/hebrew.el ("Hebrew"): Delete describe-function key.

1998-08-09  Kenichi HANDA  <handa@etl.go.jp>

	* mule/mule-cmds.el (language-info-alist): Doc-string modified.
	(reset-language-environment): New function for the job that
	setup-english-environment used to do.
	(set-language-environment): Do more setups according to the info
	in language-info-alist.
	(read-language-name): Handle the case that the arg KEY is nil.
	(describe-language-environment): Handle input-method property.

	* mule/: All files under this directory, which related with
	specific languages (such as mule/european.el, mule/greek.el,
	mule/hebrew.el, mule/misc-lang.el), modified as below.
	(setup-XXX-environment): Just call set-language-environment.  If
	they used to do some other jobs than what done by
	set-language-environment, those jobs are done in
	setup-XXX-environment-internal now.
	("LANUGAGE-ENVIRONMENT"): Delete property setup-function or change
	the value to setup-XXX-environment-internal.  Add properties
	input-method and features.

	* mule/english.el (setup-english-environment): Just call
	reset-language-environment.

	* mule/european.el (setup-8-bit-environment): Function deleted.

1998-08-08  Richard Stallman  <rms@psilocin.ai.mit.edu>

	* mule/mule-cmds.el (input-method-exit-on-first-char)
	(input-method-use-echo-area): Doc fixes.

1998-08-06  Kenichi Handa  <handa@etl.go.jp>

	* mule/mule-cmds.el (input-method-exit-on-first-char): New
	variable.
	(input-method-use-echo-area): New variable.

1998-08-01  Kenichi HANDA  <handa@etl.go.jp>

	* mule/mule-cmds.el (language-info-alist): Doc-string modified.

1998-07-30  Ken'ichi Handa  <handa@delysid.gnu.org>

	* mule/mule-cmds.el (activate-input-method): Update mode line.
	(inactivate-input-method): Likewise.

1998-07-19  Kenichi Handa  <handa@etl.go.jp>

	* mule/mule-cmds.el (read-multilingual-string): Don't activate an
	input method in the current buffer, but just bind
	current-input-method.

1998-07-08  Kenichi Handa  <handa@etl.go.jp>

	* mule/hebrew.el ("Hebrew"): Add coding-priority.

	* mule/misc-lang.el ("IPA"): Add coding-priority and
	coding-system.

1998-06-26  Ken'ichi Handa  <handa@melange.gnu.org>

	* mule/greek.el: Add coding-priority.

1998-05-23  Richard Stallman  <rms@psilocin.ai.mit.edu>

	* mule/mule-cmds.el (register-input-method): Rename arg ENV to
	LANG-ENV.

1998-05-20  Richard Stallman  <rms@psilocin.ai.mit.edu>

	* mule/mule-cmds.el (register-input-method): Fix previous change.
	(setup-specified-language-environment): Doc fix.

1998-05-19  Richard Stallman  <rms@psilocin.ai.mit.edu>

	* mule/mule-cmds.el: Several doc fixes.
	(get-language-info, set-language-info): Rename argument.
	(set-language-info-alist): Likewise.
	(register-input-method): Rename argument.
	(activate-input-method): If INPUT-METHOD is nil, deactivate.

1998-05-04  Kenichi Handa  <handa@etl.go.jp>

	* mule/mule-cmds.el (toggle-input-method): Use a more appropriate
	default value while reading an input method.

1998-05-01  Kenichi Handa  <handa@etl.go.jp>

	* mule/mule-cmds.el (universal-coding-system-argument):
	Use buffer-file-coding-system as default.

1998-04-14  Andreas Schwab  <schwab@mescaline.gnu.org>

	* mule/korean.el ("Korean"): Doc fix.

1998-04-11  Kenichi Handa  <handa@etl.go.jp>

	* mule/mule-cmds.el (describe-language-environment): Print the
	languge environment at the head.

1998-04-06  Kenichi Handa  <handa@etl.go.jp>

	* mule/japanese.el: Set exit-function to exit-japanese-environment
	for Japanese environment.

1998-03-20  Richard Stallman  <rms@psilocin.gnu.org>

	* mule/mule-cmds.el (set-language-environment): Doc fix.
	(current-language-environment): Use defcustom.
	(default-input-method): Specify :type.

1998-03-02  Kenichi Handa  <handa@etl.go.jp>

	* mule/mule-cmds.el (set-default-coding-systems): Doc-string
	modified.
	(prefer-coding-system): Doc-string modified.

1998-01-21  Kenichi Handa  <handa@etl.go.jp>

	* mule/mule-cmds.el (set-language-info): Doc-string
	describes `coding-priority' KEY.
	(set-language-environment-coding-systems): New function.
	(select-safe-coding-system): New function.
	(set-language-info): New optional args DESCRIBE-MAP and SETUP-MAP.
	(set-language-info-alist): New optionla arg PARENTS.  Call
	set-language-info with appropriate DESCRIBE-MAP and SETUP-MAP args.
	(set-language-environment-coding-systems): New function.

	* mule/chinese.el: Remove setting up of
	describe-chinese-environment-map and
	setup-chinese-environment-map.  Exclude them in args of calls to
	set-language-info-alist.  Register coding-priority key in
	language-info-alist.

	* mule/cyrillic.el: Remove setting up of
	describe-cyrillic-environment-map and
	setup-cyrillic-environment-map.  Exclude them in args of calls to
	set-language-info-alist.  Register coding-priority key in
	language-info-alist.

	* mule/english.el: Register coding-priority key in
	language-info-alist.

	* mule/ethiopic.el: Register coding-priority key in
	language-info-alist.

	* mule/european.el: Remove setting up of
	describe-european-environment-map and
	setup-european-environment-map.  Exclude them in args of calls to
	set-language-info-alist.  Register coding-priority key in
	language-info-alist.  Add "German" language env.
	(setup-8-bit-environment): Delete CODING-SYSTEM arg.
	(setup-german-environment): New function.

	* mule/greek.el (setup-greek-environment): For Greek lang. env.,
	change default input method to "greek-postfix".

	* mule/japanese.el, mule/korean.el, mule/vietnamese.el: Register
	coding-priority key in

1997-12-19  Stephen Eglen  <stephen@cns.ed.ac.uk>

	* mule/mule-cmds.el (set-language-info): Doc fix.
	(input-method-inactivate-hook): Doc fix.

1997-11-20  Karl Heuer  <kwzh@gnu.org>

	* mule/mule-cmds.el (set-input-method): Renamed from
	select-input-method.

1997-11-07  Kenichi Handa  <handa@etl.go.jp>

	* mule/mule-cmds.el (set-language-environment): Run
	exit-language-environment-hook before calling `exit-function'
	which is specified for the language environment.

1997-10-23  Kenichi Handa  <handa@etl.go.jp>

	* mule/mule-cmds.el (set-default-coding-systems): Doc-string
	modified.
	(prefer-coding-system): Likewise.
	(describe-language-environment): Print aliases of each coding
	system.
	(set-language-environment-hook): New variable.
	(exit-language-environment-hook): New variable.
	(set-language-environment): Call these hooks.  Before setting a
	new language environment, exit from the
	current-language-environment if necessary.
	(input-method-verbose-flag): The value can be nil, t,
	complex-only, or default.
	(input-method-highlight-flag): Doc-string augmented.
	(activate-input-method): Check if we can run the registered
	function to activate an input method.

	* mule/korean.el: Set exit-function for language environment
	"Korean" to exit-korean-environment.
	(setup-korean-environment): Moved to korea-util.el.

1997-10-21  Kenichi Handa  <handa@etl.go.jp>

	* mule/mule-cmds.el (read-multilingual-string): Use
	current-input-method prior to default-input-method.  Don't bind
	current-input-method by `let', instead, activate the specified
	input method in the current buffer temporarily.

1997-10-19  John F. Whitehead  <jfw@cisco.com>

	* mule/mule-cmds.el (describe-language-environment): Fix prompt.

1997-10-21  Kenichi Handa  <handa@etl.go.jp>

	* mule/chinese.el (post-read-decode-hz): Return the result of
	decode-hz-region.
	(pre-write-encode-hz): Do not change the value of
	last-coding-system.

1998-09-06  Bill Richter  <richter@math.nwu.edu>

	* mule/mule-ccl.el: Doc fixes.

1998-04-20  Kenichi Handa  <handa@etl.go.jp>

	* mule/mule-ccl.el (declare-ccl-program): New optional arg VECTOR.
	(check-ccl-program): New macro.

1998-01-21  Kenichi Handa  <handa@etl.go.jp>

	* mule/mule-ccl.el: Comment about CCL syntax modified.
	(ccl-command-table): Add read-multibyte-character and
	write-multibyte-character.
	(ccl-code-table): Add ex-cmd.
	(ccl-extended-code-table): New variable.
	(ccl-embed-extended-command): New function.
	(ccl-compile-read-multibyte-character,
	ccl-compile-write-multibyte-character) New functions.
	(ccl-dump-ex-cmd, ccl-dump-read-multibyte-character,
	ccl-dump-write-multibyte-character): New functions.

1999-07-22  SL Baur  <steve@miho>

	* config.el (config-value-file): config.values is installed into
	doc-directory.
	From Karl M. Hegbloom  <karlheg@cathcart.sysc.pdx.edu>

1999-07-19  Didier Verna  <didier@xemacs.org>

	* rect.el: all functions rewritten, except when noted. Below is a
	list of interface changes.
 	(apply-on-rectangle): new function. Obsoletes
	`operate-on-rectangle'. All functions that used to call this
	function now call the new one.
	(kill-rectangle): added optional prefix arg to fill lines.
	(delete-rectangle): ditto.
	(delete-extract-rectangle): ditto.
	(open-rectangle): ditto.
	(clear-rectangle): ditto.
	(delete-rectangle-line): added third arg FILL.
	(delete-extract-rectangle-line): ditto.
	(open-rectangle-line): ditto.
	(clear-rectangle-line): ditto.

1999-07-18  Andy Piper  <andy@xemacs.org>

	* menubar-items.el (default-menubar): add gutter options.

	* gutter-items.el: new file.
	(gutter): new group for custom.
	(gutter-visible-p): new variable.
	(default-gutter-position): ditto.
	(buffers-tab): new group for the buffers tab.
	(gutter-buffers-tab): widget to put in the gutter.
	(buffers-tab-max-size): max number of tabs.
	(buffers-tab-switch-to-buffer-function): function to call when a
 	tab is pressed.
	(buffers-tab-omit-function): filter buffers with this function.
	(buffers-tab-format-buffer-line-function): format buffer names for
 	inclusion in tabs.
	(buffers-tab-switch-to-buffer): like switch-to-buffer but without
	the record.
	(build-buffers-tab-internal): build a list of tab items.
	(buffers-tab-items): ditto.
	(add-tab-to-gutter): put a tab in the gutter area.
	(update-tab-in-gutter): reset the buffers in the tab.

	* dumped-lisp.el (preloaded-file-list): dump gutter-items.

	* buffer.el (switch-to-buffer): run switch-to-buffer-hooks.
	(switch-to-buffer-hooks): new hook.

	* toolbar.el (default-toolbar-position): fix typo.

1999-07-16  Andy Piper  <andy@xemacs.org>

	* gui.el (make-dialog-frame): turn off gutters for dialogs.

1999-07-15  Didier Verna  <didier@xemacs.org>

	* cus-edit.el (custom-prompt-variable): optional third arg makes
	prompt for a comment string.
	(customize-set-value): optional prefix makes this function handle
	variable comments.
	(customize-set-variable): ditto.
	(customize-save-variable): ditto.
	(customize-customized): handle custom comments.
	(customize-save-customized): ditto.
	(custom-variable-state-set): ditto.
	(custom-face-state-set): ditto.
	(customize-saved): ditto.
	(custom-variable-set): ditto.
	(custom-face-set): ditto.
	(custom-variable-save): ditto.
	(custom-face-save): ditto.
	(custom-variable-reset-saved): ditto.
	(custom-face-reset-saved): ditto.
	(custom-variable-reset-standard): ditto.
	(custom-face-reset-standard): ditto.
	(custom-comment-face): new face.
	(custom-comment-tag-face): ditto.
	(custom-comment): new widget.
	(custom-comment-create): new function.
	(custom-comment-delete): ditto.
	(custom-comment-value-set): ditto.
	(custom-comment-show): ditto.
	(custom-comment-invisible-p): ditto.
	(custom-variable-value-create): create a comment field widget.
	(custom-face-value-create): ditto.
	(custom-variable-menu): new entry for adding a custom comment.
	(custom-face-menu): ditto.
	(custom-save-variables): possibly save custom comments.
	(custom-save-faces): ditto.

	* cus-face.el (custom-set-faces): the arguments can now have a
	custom comment as fourth argument.

	* custom.el (custom-set-variables): the arguments can now have a
	custom comment as fifth element.

1999-07-13  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.18 is released

1999-07-13  SL Baur  <steve@miho>

	* lib-complete.el (read-library-name): Revert previous change.
	(read-library): Ditto.

1999-06-24  Karl M. Hegbloom  <karlheg@debian.org>

	* packages.el (packages-package-list): Capitalize docstring.

	* packages.el (packages-find-package-library-path): Use #'nconc
	rather than #'append to reduce consing -- #'mapcar uses Flist,
	which returns a freshly consed list.  #'append would create yet
	another fresh list, using Fmake_list in concat.

	* packages.el (package-provide): Use setq with remassq like it
	says in its docstring.

1999-07-06  SL Baur  <steve@miho.m17n.org>

	* lib-complete.el (progn-with-message): Fix typo.

1999-07-06  SL Baur  <steve@miho.m17n.org>

	* mule/mule-misc.el (char-octet): Make function match docstring.
	From Katsumi Yamaoka <yamaoka@jpl.org>

1999-06-15  Karl M. Hegbloom  <karlheg@debian.org>

	* wid-edit.el (widget-documentation): corrected spelling error.

1999-06-23  Jonathan Marten <jonathan.marten@uk.sun.com>

	* x-win-sun.el (x-win-init-sun): Don't rebind Find and Sh-find
	keys if already bound

1999-07-06  SL Baur  <steve@miho.m17n.org>

	* lib-complete.el (progn-with-message): Revert previous changes.

1999-06-24  Bob Weiner  <weiner@beopen.com>

	* lib-complete.el (find-library):
	(find-library-other-window):
	(find-library-other-frame): Completely rewrote
	so that these functions actually work when called non-interactively.
	Also made them handle LIBRARY arguments which end with .el or .elc.

1999-06-24  Bob Weiner  <weiner@beopen.com>

	* simple.el (indent-new-comment-line): Locally bound
	`block-comment-start' to `comstart' or else when this is called
	from do-auto-fill, e.g. in Lisp mode, it will insert any non-nil
	`block-comment-start' value, ignoring any existing spacing after a
	comment prefix in the previous line and producing ugly comments.

1999-06-23  Bob Weiner  <weiner@beopen.com>

	* list-mode.el (mouse-choose-completion):
	(choose-completion):
	(completion-switch-to-minibuffer): Added.
	([Tab]): [Tab] previously switched to the minibuffer
	but since [space] does that and since most applications in the
	world use [Tab] to select the next item in a list, do that in the
	*Completions* buffer too.  This will cause the least confusion
	among the largest population of users.  -- Bob Weiner, BeOpen.com,
	06/23/1999.

1999-06-22  Bob Weiner  <weiner@beopen.com>

	* help.el (help-buffer-name): Added support for a null value
	of `help-buffer-prefix-string' since some buffers require no
	prefix.

1999-06-20  Bob Weiner  <weiner@beopen.com>

	* list-mode.el (completion-list-mode-quit): Added and bound to {q}
	in the completion-list-mode-map to bury the completions buffer
	even when the minibuffer is no longer active.

1999-06-20  Bob Weiner  <weiner@beopen.com>

	* list-mode.el (list-mode): It is visually disconcerting to have
	the text cursor disappear within list buffers, especially when
	moving from window to window, so leave it visible.

1999-07-01  SL Baur  <steve@miho.m17n.org>

	* menubar-items.el (default-menubar): Conditionalize the bug
	report menu item (which may not be possible in this XEmacs).
	Reported by: Ken'ichi Handa <handa@etl.go.jp>

1999-06-30  SL Baur  <steve@miho.m17n.org>

	* subr.el (with-current-buffer): DOC string fix.
	Suggested by Bob Weiner <weiner@altrasoft.com>

1999-06-25  Charles G Waldman <cgw@fnal.gov>

        * cus-face.el (custom-face-italic): insert missing args

1999-06-24  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* packages.el (package-locations): Changed default early package
	hierarchies to ~/.xemacs/mule-packages and
	~/.xemacs/xemacs-packages.

1999-06-23  SL Baur  <steve@miho.m17n.org>

	* mule/mule-category.el (Top Level): ASCII is also latin-1.

1999-06-15  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* packages.el (package-locations): Changed default early package
	hierarchy to ~/.xemacs/packages.
	(package-locations): Removed `packages' as a possible name for a
	late package hierarchy.

1999-06-20  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* mule/mule-category.el (word-combining-categories): Set up new
	variable.
	(word-separating-categories): Likewise.

1999-06-22  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.17 is released

1999-06-17  Robert Pluim  <rpluim@bigfoot.com>

	* font-menu.el (font-menu-set-font): allow for nil specification
	of font size.

1999-06-16  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* mule/thai-xtis.el: Specify `columns' of the charset `thai-xtis'
	is 1.

1999-06-12  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* mule/cyrillic.el (cyrillic-koi8-r-decode-table): Use NBSP of ISO
	8859-5 instead of ISO 8859-1.

1999-06-15  SL Baur  <steve@steve1.m17n.org>

	* mule/vietnamese.el (viet-vscii-encode-table): Use split-char.
	(viet-viscii-encode-table): Ditto.

	* mule/mule-misc.el: Delete split-char & split-char-or-char-int.
	Make obsolete definition of char-octet.

1999-06-14  SL Baur  <steve@steve1.m17n.org>

	* subr.el: Move no-Mule make-char ...
	* help-nomule.el (make-char): To here.
	(string-width): Make Mule compatibility alias.

1999-06-15  Andy Piper  <andy@xemacs.org>

	* select.el (get-selection-no-error): really make there be no-error.
	(get-selection): revert to original.

1999-06-11  Andy Piper  <andy@xemacs.org>

	* select.el (selection-sets-clipboard): renamed.
	(own-selection): use it.

1999-06-11  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.16 is released

1999-06-09  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* mule/cyrillic.el (cyrillic-koi8-r-decode-table): Set 32 for
 	missing characters to avoid crash.

1999-06-09  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* coding.el (set-terminal-coding-system): Only set the console
	coding system on the selected console if it is a tty.

1999-06-10  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* cus-face.el:
	* cus-edit.el:
	* faces.el:
	(custom):
	(face-spec-set):
	* faces.el (frob-face-property):
	* font-menu.el (font-menu-set-font):
	          Actually apply changes from 1999-03-17

1999-06-10  Andy Piper  <andy@xemacs.org>

	* select.el (get-selection): abstract out non error-signalling
 	part.
	(get-selection-no-error): get-selection without signalling an
 	error.
	(selection-is-clipboard-p): new variable. controls whether the
 	selection sets the clipboard.
	(own-selection): use it.

	* mouse.el (insert-selection): fallback to clipboard after trying
 	primary selection and cutbuffer.

1999-06-05  Andy Piper  <andy@xemacs.org>

	* x-select.el (xselect-kill-buffer-hook-1): use generalised
 	selection functions.

1999-06-04  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* code-files.el (buffer-file-coding-system): Use `raw-text' as
	default value.
	(load): Use `raw-text' instead of `no-conversion'.
	(insert-file-contents): Likewise.

	* bytecomp.el (byte-compile-insert-header): Use `raw-text' instead
	of `no-conversion'.

1999-06-03  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* coding.el: Don't copy `no-conversion' to `raw-text'.

1999-06-07  Hrvoje Niksic  <hniksic@srce.hr>

	* subr.el (make-char): Define it if Mule is not around.

1999-06-07  SL Baur  <steve@steve1.m17n.org>

	* mule/mule-help.el: Add trailing newline.  Use mule keyword.

	* x-select.el (x-disown-selection-internal): Restore symbol as an
	obsolete alias.
	(xselect-kill-buffer-hook-1): Use disown-selection-internal.

1999-06-04  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.15 is released

1999-06-02  Oscar Figueiredo  <oscar@xemacs.org>

	* subr.el (split-string): Avoid infinite looping

1999-05-30  Oscar Figueiredo  <Oscar.Figueiredo@di.epfl.ch>

	* ldap.el (ldap-ignore-attribute-codings): New variable
	(ldap-default-attribute-decoder): New variable
	(ldap-coding-system): New variable
	(ldap-attribute-syntax-encoders): New variable
	(ldap-attribute-syntax-decoders): New variable
	(ldap-attribute-syntaxes-alist): New variable
	(ldap-encode-boolean): New function
	(ldap-decode-boolean): New function
	(ldap-encode-country-string): New function
	(ldap-decode-string): New function
	(ldap-decode-address): New function
	(ldap-encode-address): New function
	(ldap-decode-attribute): New function
	(ldap-search): Use some of these

1999-05-25  Jan Vroonhof  <jan@xemacs.org>

	* version.el (emacs-version): Make the patch level/beta come
	before the XEmacs qualifier so that it gets into (funcall
	emacs-version) and thus in the bug reports.
	(emacs-version>=): Support patch levels.

1999-06-03  SL Baur  <steve@xemacs.org>

	* version.el: implement x.y.z version number
	From Jan Vroonhof <vroonhof@math.ethz.ch>

1999-05-27  Yoshiki Hayashi <g740685@komaba.ecc.u-tokyo.ac.jp>

	* mule/mule-cmds.el (read-input-method-name): set input-method properly.

1999-05-22  Vin Shelton <acs@xemacs.org>

	* startup.el: Document -private and break out non-standard X options.

1999-05-26  SL Baur  <steve@gneiss.etl.go.jp>

	* mule/mule-charset.el (charset-after): New function.
	(charset-direction): Synch with Mule, update docstring.
	(get-charset-property): New function.
	(put-charset-property): New function.
	(charset-plist): New function.

	* mule/mule-charset.el (compose-region):
	(decompose-region): remove;  these functions (which don't work
	since we don't do composite characters) have been moved to
	mule-util.el.
	(toplevel): follow coding standards

1999-05-26  SL Baur  <steve@gneiss.etl.go.jp>

	* dumped-lisp.el (preloaded-file-list): mule-files.el does not
	exist any more.

	* code-files.el: Fix commentary to follow coding standards.  Move
	the single line left in mule-files.el to here.

	* mule/mule-files.el: delete.

1999-05-24  SL Baur  <steve@gneiss.etl.go.jp>

	* info.el (Info-scroll-prev): Use event functions instead of the
	old emacs 19 interface.

1999-06-02  Andy Piper  <andy@xemacs.org>

	* x-font-menu.el (x-font-menu-load-font):
 	font-menu-registry-encoding -> x-font-menu-registry-encoding type.

1999-05-31  Andy Piper  <andy@xemacs.org>

	* font-menu.el (font-menu-ignore-scaled-fonts): move to font-menu
 	group.
	(font-menu-this-frame-only-p): ditto.
	(font-menu-max-items): reinstate, from Jan Vroonhof
 	<vroonhof@math.ethz.ch>
	(font-menu-submenu-name-format): ditto.
	(font-menu-split-long-menu): ditto, for use by the family
 	constructor.
	(font-menu-family-constructor): use it.

1999-05-30  Andy Piper  <andy@xemacs.org>

	* msw-faces.el (mswindows-font-regexp): new font matching regexp
 	for use by the font menu.

	* msw-font-menu.el: new file implementing mswindows specific
 	font-menu behaviour.
 	(mswindows-font-menu-registry-encoding): new function mirroring x version.
	(mswindows-font-menu-junk-families): ditto.
	(hack-font-truename): ditto.
	(mswindows-font-regexp-ascii): ditto.
	(mswindows-reset-device-font-menus): ditto.
	(mswindows-font-menu-font-data): ditto.
	(mswindows-font-menu-load-font): ditto.

	* x-font-menu.el (x-reset-device-font-menus): made device specific.
	(x-font-menu-font-data): ditto.
	(x-font-menu-load-font): ditto.

	* font-menu.el: new file implementing generic font menu behaviour.
 	(font-menu-ignore-scaled-fonts): copied from x-font-menu.el and
 	made device independent.
	(font-menu-this-frame-only-p): ditto.
	(font-menu-preferred-resolution): ditto.
	(font-menu-size-scaling): new variable used to determine whether
 	sizes are in points or tenths of a point.
	(vassoc): moved from x-font-menu.el.
	(device-fonts-cache): ditto.
	(device-fonts-cache): ditto.
	(flush-device-fonts-cache): ditto.
	(reset-device-font-menus): copied from x-font-menu.el and made
 	device independent. Most functionality deferred to
 	device-dependent versions.
	(font-menu-family-constructor): copied from x-font-menu.el and
 	made device independent.
	(font-menu-size-constructor): ditto.
	(font-menu-weight-constructor): ditto.
	(font-menu-set-font): ditto.
	(font-menu-change-face): ditto.
	(font-menu-load-font): new device method.
	(font-menu-font-data): ditto.

	* x-font-menu.el: The above functions deleted.

1999-05-26  Andy Piper  <andy@xemacs.org>

	* update-elc.el:
	* make-docfile.el:
	* loadup.el: rehash expand-file-name usage to not use default-directory.

1999-05-21  Andy Piper  <andy@xemacs.org>

	* x-select.el (x-select-convert-to-text):
	(x-selected-text-type):
	(x-get-selection):
	(xselect-convert-to-string):
	(xselect-convert-to-compound-text):
	(xselect-convert-to-length):
	(xselect-convert-to-targets):
	(xselect-convert-to-delete):
	(xselect-convert-to-filename):
	(xselect-convert-to-charpos):
	(xselect-convert-to-lineno):
	(xselect-convert-to-colno):
	(xselect-convert-to-sourceloc):
	(xselect-convert-to-os):
	(xselect-convert-to-host):
	(xselect-convert-to-user):
	(xselect-convert-to-class):
	(xselect-convert-to-name):
	(xselect-convert-to-integer):
	(xselect-convert-to-atom):
	(xselect-convert-to-identity): functions renamed from x-* and
 	moved to select.el.
	(x-get-secondary-selection): use rename get-selection.
	(x-get-clipboard): ditto.
	(x-own-selection): moved to select.el.
	(x-valid-simple-selection-p): ditto.
	(x-dehilight-selection): ditto.
	(x-own-clipboard): ditto.
	(x-disown-selection): ditto.

	* x-mouse.el (x-yank-function): moved to mouse.el.
	(x-insert-selection): ditto.
	(x-set-point-and-move-selection): use renamed function.

	* select.el (selected-text-type): moved and renamed from
 	x-select.el.
	(selection-owner-p): moved to C.
	(selection-exists-p): ditto.
	(get-cutbuffer): new device method.
	(get-selection): generalised and moved from x-select.el.
	(own-selection): moved x-own-selection functionality into here.
	(dehilight-selection): renamed and moved from x-select.el.
	(own-clipboard): functionality moved from x-select.el using new
 	generic C builtins.
	(disown-clipboard): ditto.
	(select-convert-to-text):
	(select-convert-to-string):
	(select-convert-to-compound-text):
	(select-convert-to-length):
	(select-convert-to-targets):
	(select-convert-to-delete):
	(select-convert-to-filename):
	(select-convert-to-charpos):
	(select-convert-to-lineno):
	(select-convert-to-colno):
	(select-convert-to-sourceloc):
	(select-convert-to-os):
	(select-convert-to-host):
	(select-convert-to-user):
	(select-convert-to-class):
	(select-convert-to-name):
	(select-convert-to-integer):
	(select-convert-to-atom):
	(select-convert-to-identity): new functions renamed from x-* and
 	moved from x-select.el.

	* mouse.el (mouse-consolidated-yank): subsume x-yank-function
 	into here and use as the default window-system mouse yank.
	(insert-selection): generalised and moved from x-mouse.el.
	(own-clipboard): moved to C.

	* msw-select.el	(mswindows-selection-owned-p): deleted.
	(mswindows-own-selection): generalised and moved to select.el.
	(mswindows-disown-selection): generalised and moved to C.
	(mswindows-selection-owner-p): ditto.

1999-05-14  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.14 is released

1999-05-13  SL Baur  <steve@gneiss.etl.go.jp>

        * about.el: update contact info for jason and slb.

1999-05-13  SL Baur  <steve@gneiss.etl.go.jp>

	* mule/european.el (setup-romanian-environment): Add Romanian
	support from Emacs/Mule romanian.el.

1999-03-17  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* cus-face.el: Label all custom changes with the 'custom' tag.

	* cus-edit.el: idem ditto.

	* faces.el: Added suport for adding device tags to various functions.
	(custom): New device tag.
	(face-spec-set): Call reset face with tags argument. No longer do
	x-init-global-faces hack.

	* faces.el (frob-face-property): Use an anonymous specifier to map
	frob-face-property-1 over.

	* x-font-menu.el (font-menu-set-font): Always specify all
	properties to custom.

1999-05-12  SL Baur  <steve@gneiss.etl.go.jp>

	* mule/european.el (setup-czech-environment): Add czech support.
	From David Sauer <davids@orfinet.cz>

1999-03-15  SL Baur  <steve@xemacs.org>

	* check-features.el: Turn hard errors into warnings.

1999-03-21  SL Baur  <steve@xemacs.org>

	* simple.el (delete-key-deletes-forward): As per discussion on
	xemacs-beta, default to t.

1999-05-11  Hrvoje Niksic  <hniksic@srce.hr>

	* loadup.el: Define Installation-string before loading anything.

1999-05-06  Gunnar Evermann  <ge204@eng.cam.ac.uk>

	* files.el (auto-mode-alist): fix typo in regex for .bash_* files
	From Anders Stenman <stenman@isy.liu.se>

1999-05-03  Hrvoje Niksic  <hniksic@srce.hr>

	* wid-edit.el (widget-glyph-find): Ditto.

	* packages.el (locate-library): Ditto.

	* loadup.el (really-early-error-handler): Ditto.

	* lib-complete.el (read-library): Ditto.

	* faces.el (set-face-stipple): Ditto.

	* code-files.el (load): Use new calling style of locate-file.

1999-05-03  Hrvoje Niksic  <hniksic@srce.hr>

	* packages.el (packages-unbytecompiled-lisp): Installation.el is
 	dead.

1999-05-03  Hrvoje Niksic  <hniksic@srce.hr>

	* dumped-lisp.el (preloaded-file-list): Don't load
 	Installation.el.

	* loadup.el (Installation-string): Define it here.

1999-05-03  Hrvoje Niksic  <hniksic@srce.hr>

	* dumped-lisp.el (preloaded-file-list): Revert previous change --
 	Installation.el needs to be loaded before `dump-paths', otherwise
	the dumping process won't find it.

1999-03-13  Adrian Aichner  <adrian@xemacs.org>

	* dumped-lisp.el (preloaded-file-list): Load Installation.el after
	subr so that we can use `replace-in-string' in Installation.el to
	get rid of C-m chars under the native Windows build.

1999-04-29  Andy Piper  <andy@xemacs.org>

	* make-docfile.el: canonicalize file and directory names.

	* device.el (call-device-method): new function for calling device
 	specific methods.
	(define-device-method): new function for defining device methods.
	(define-device-method*): ditto.

1999-04-27  Hrvoje Niksic  <hniksic@srce.hr>

	* subr.el (buffer-string): Support new FSFmacs 20.4 stuff.

1999-04-08  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* mule/cyrillic.el (cyrillic-koi8-r-decode-table): New variable.
	(cyrillic-koi8-r-encode-table): Likewise.
	(ccl-decode-koi8): Use `cyrillic-koi8-r-decode-table'.
	(ccl-encode-koi8): Use `cyrillic-koi8-r-encode-table'.

	* mule/mule-misc.el (split-char-or-char-int): New function [moved
	from vietnamese.el].

	* mule/vietnamese.el: Move function `split-char-or-char-int' to
	mule/mule-misc.el.

1999-04-08  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* mule/thai-xtis.el:
	- Change font registry name from "Thai94x94-0" to "xtis-0".
	- Change mnemonic of coding-system `tis-620' to "TIS620".

1999-04-06  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* mule/ethiopic.el: fixed.

1999-03-30  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* dumped-lisp.el: Add ethiopic, thai-xtis and vietnamese.

	* mule/thai-xtis.el: New file.

	* mule/vietnamese.el: New file.

	* mule/ethiopic.el: New file.

1999-04-22  Hrvoje Niksic  <hniksic@srce.hr>

	* bytecomp.el (byte-compile-close-variables): Leave
	debug-issue-ebola-notices alone.

1999-04-11  Oscar Figueiredo  <Oscar.Figueiredo@di.epfl.ch>

	* ldap.el (ldap-host-parameters-alist): Make `Search Base' appear
 	at the top of the buffer since it is the most important thing to
 	customize
	(ldap-get-host-parameter): New defun
	(ldap-search): Add a new parameter `withdn' to retrieve the
 	distinguished names of entries

1999-04-22  Kai Haberzettl  <khaberz@synnet.de>

	* startup.el (splash-frame-body): Date and spelling fixes.

1999-03-16  Colin Rafferty  <colin@xemacs.org>

	* view-less.el (toggle-truncate-lines): add autoload tag

1999-04-19  Hrvoje Niksic  <hniksic@srce.hr>

	* format.el (format-alist): Disable image stuff.

1999-04-17  Hrvoje Niksic  <hniksic@srce.hr>

	* wid-edit.el (widget-glyph-find): Search by directories, then by
 	suffixes rather than the other way around.
	(widget-image-conversion): Renamed to
 	`widget-image-file-name-suffixes'.

1999-04-16  Olivier Galibert  <galibert@pobox.com>

	* mule/mule-charset.el: Made old functions obsolete, remove the
 	unspeakably evil (and inexistant in fsf's) charset-leading-byte.
 	(charset-iso-graphic-plane): Rename from charset-graphic.
	(charset-iso-final-char): Rename from charset-final.
	(charset-width): Rename from charset-columns.
	(charset-bytes): Added from fsf compatibility, returns always 1.

	* mule/mule-misc.el: Move charset-doc-string alias to
 	mule-charset.el

1999-04-14  Colin Rafferty  <colin@xemacs.org>

	* x-faces.el (x-make-font-bold-italic): honor
	*try-oblique-before-italic-fonts*

1999-04-14  Hrvoje Niksic  <hniksic@srce.hr>

	* cl-extra.el (coerce): Coerce numbers to characters correctly.

1998-12-02  Hrvoje Niksic  <hniksic@srce.hr>

	* x-faces.el (try-oblique-before-italic-fonts): Use the right
 	name.

1999-04-14  Dave Gillesipe  <daveg@synaptics.com>

	* cl-extra.el (equalp): Would bug out for lists.

1999-03-12  Charles G Waldman  <cgw@fnal.gov>

	* about.el (about-hackers):  Change cgw's email address

1999-03-12  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.13 is released

1999-03-12  SL Baur  <steve@xemacs.org>

	* simple.el (delete-key-deletes-forward): Revert to previous
	behavior.

1999-01-18  Didier Verna  <didier@xemacs.org>

	* menubar-items.el (xemacs-splash-buffer): handle the case of
	multiple elements in the splash buffer body.

	* startup.el (splash-frame-timeout): new constant: interval
	between splash buffer elements.
	(command-line-1): handle splash buffer with multiple elements (use
	a timeout).
	(splash-frame-body): Originally `startup-splash-frame-body'.
	Rewrote a cleaner and more readable version. This can now be array,
	in which case each element is displayed in turn in the splash buffer.
	(splash-frame-static-body): new constant. Persistent information
	across all splash buffer elements (preserves the possibility to give
	it in different	languages.
	(circulate-splash-frame-elements): new function. Used as a timeout
	to circulate through all splash frame elements and display them in
	sequence.
	(display-splash-frame): originally `startup-splash-frame'. Handle
	the case of multiple elements in the splash buffer body. Now
	returns a timeout id if multiple elements to display, or nil.

1999-02-19  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* x-faces.el (x-init-global-faces): Add default tag to specifiers,
	so they can be overridden by x-init-face-from-resources.
	Additionally specify the font name also with an x tag.

1999-03-08  Andy Piper  <andy@xemacs.org>

	* package-get.el (package-get-base): autoload.

	* menubar-items.el (default-menubar): add update menu item. Fix
	custom menu to only be activated when package-base is available.

	* package-get.el (package-get-custom): don't load
	package-get-custom as it is auto-generated. Fix group definition.

1999-03-05  Didier Verna  <didier@xemacs.org>

	* cus-dep.el (Custom-make-dependencies): use `prin1-to-string'
	instead of `symbol-name' (Thanks Kyle).

	* cus-edit.el (custom-save-variables): use `prin1' instead of
	princ to write symbols.

1999-03-05  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.12 is released

1999-03-05  SL Baur  <steve@xemacs.org>

	* menubar-items.el (default-menubar): Add kfm browsing support.
	From Neal Becker <nbecker@fred.net>

1999-03-03  Steven Baur  <steve@gneiss.etl.go.jp>

	* font-lock.el (font-lock-revert-cleanup): Null out to avoid repeated
	calls to font-lock during buffer reversion.

1999-02-12  Didier Verna  <didier@xemacs.org>

	* info.el (Info-build-node-completions): unconditionally widen the
	tag table buffer.

1999-02-19  Paul Stodghill  <stodghil@cs.cornell.edu>

	* x-faces.el (x-init-face-from-resources):
	Only set fonts in the 'x locale.

1999-03-04  Adrian Aichner  <adrian@xemacs.org>

	* package-ui.el (pui-install-selected-packages): Don't throw on
	`package-admin-delete-binary-package' returning nil since it's
	normal.  Reindent function.
	(pui-add-required-packages): Handle case where packages selected
	for installation have never been installed.

1999-03-03  Martin Buchholz  <martin@xemacs.org>

	* menubar-items.el (default-menubar):
	Implement the ``Mule->Set coding system of process'' menu item.

1999-02-18  Martin Buchholz  <martin@xemacs.org>

	* files.el (auto-mode-alist): Use c-mode for *.i pre-processed cpp
	files
	- Change some `if's to `when's

1999-03-01  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.11 is released

1999-02-22  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* userlock.el (ask-user-about-supersession-threat-dbox): Guard
	against window close (Fix Bug #460).
	(ask-user-about-lock-dbox): Idem.

1999-02-25  SL Baur  <steve@xemacs.org>

	* mule/mule-charset.el (charset-leading-byte): New function.
	From Kazuyuki IENAGA <ienaga@jsys.co.jp>

1999-02-12  Andy Piper  <andy@xemacs.org>

	* about.el (xemacs-hackers): change andy's email address.
	(about-url-alist): change andy's web page address.
	(about-xemacs): add piper.

1999-02-16  SL Baur  <steve@xemacs.org>

	* dumped-lisp.el (preloaded-file-list): Core mule files moved out
	of mule-base into lisp/mule.

1999-02-16  SL Baur  <steve@xemacs.org>

	* mule/arabic.el:
	mule/canna-leim.el:
	mule/chinese.el:
	mule/cyrillic.el:
	mule/english.el:
	mule/european.el:
	mule/greek.el:
	mule/hebrew.el:
	mule/japanese.el:
	mule/kinsoku.el:
	mule/korean.el:
	mule/misc-lang.el:
	mule/mule-category.el:
	mule/mule-ccl.el:
	mule/mule-charset.el:
	mule/mule-cmds.el:
	mule/mule-coding.el:
	mule/mule-files.el:
	mule/mule-help.el:
	mule/mule-init.el:
	mule/mule-misc.el:
	mule/mule-tty-init.el:
	mule/mule-x-init.el:
	mule/viet-chars.el:  Remerge from mule-base.

	* dumped-lisp.el (preloaded-file-list): Core mule files moved out
	of mule-base into lisp/mule.

1999-02-10  Adrian Aichner  <adrian@xemacs.org>

	* process.el (exec-to-string): Use `shell-command-switch' in place
	of hard-wired "-c" (for WindowsNT).

1999-02-08  Charles G Waldman  <cgw@pgt.com>

	* menubar-items.el (default-menubar):  Remove obsolete
	"Gopher" item

1999-02-06  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* package-admin.el (package-admin-get-install-dir): First fall
	back to the location of xemacs-base for non-mule packages.

1999-02-15  Martin Buchholz  <martin@xemacs.org>

	* paths.el:
	- improved automounter tmp directory support.
	- support 4 (!) empirically discovered automounter conventions

1999-02-12  SL Baur  <steve@xemacs.org>

	* etags.el (pop-tag-mark): autoload to match key binding.

1999-02-05  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.10 is released

1999-02-02  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* package-get.el (package-get-remote-filename): Don't bug out for
	a local file name in the search entry.

1999-02-02  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.9 is released

1999-01-19  Didier Verna  <didier@xemacs.org>

	* replace.el (replace-search-function): new variable containing a
	function to perform a search-forward.
	(replace-re-search-function): new variable containing a function
	to perform a re-search-forward.
	(perform-replace): use them.

1999-01-25  Didier Verna  <didier@xemacs.org>

	* select.el (selection-owner-p): use the name `XEmacs'.
	(cut-copy-clear-internal): ditto.

1999-01-18  Andy Piper  <andy@xemacs.org>

	* about.el (about-url-alist): Update my entry.
	(xemacs-hackers): Ditto.

1999-01-14  Adrian Aichner  <adrian@xemacs.org>

	* buffer.el (switch-to-buffer): Fixing documentation.
	* minibuf.el (minibuffer-completion-table): ditto.
	* cl-macs.el (return-from): ditto.

1999-01-04  Didier Verna  <didier@xemacs.org>

	* replace.el (delete-non-matching-lines): temporarily disable
	case-folding when called interactively with a regexp containing
	uppercase characters.
	(delete-matching-lines): ditto.
	(count-matches): ditto.
	(list-matching-lines): ditto.

1999-01-07  Colin Rafferty  <colin@xemacs.org>

	* window.el (shrink-window-if-larger-than-buffer): Clean up.  Only
 	abort if current window is split horizontally, not if others are
 	split.  Got rid of unnecessary minibuffer checking.  Also, add
 	some comments (it's still complex).

1999-01-12  Robert Pluim  <rpluim@BayNetworks.com>

	* package-get.el: changed address for doc.ic.ac.uk to
 	sunsite.doc.ic.ac.uk

1999-01-09  Oscar Figueiredo  <Oscar.Figueiredo@di.epfl.ch>

	* ldap.el (toplevel): Remove requires so that the file compiles
	with a non LDAP-enabled XEmacs binary.  Provide `ldap'.

1999-01-10  J. Kean Johnston  <jkj@sco.com>

	* dump-paths.el: Calculate module-directory and set
	module-load-path to the load path for modules.

	* loadup.el: Get bootstrap value of module-load-path from the
	environment variable EMACSBOOTSTRAPMODULEPATH.
	- Display the module load path if we're debugging paths.

	* setup-paths.el: Added function paths-find-site-module-directory.
	- Added function paths-find-module-directory.
	- Added function paths-construct-module-load-path.  Uses new
	environment variable EMACSMODULEPATH.

1998-12-30  Martin Buchholz  <martin@xemacs.org>

	* font.el (font-default-object-for-device):
	Oops! This `or' can't be replaced by `unless'.
	Fixed inability to run w3, among other things.

1998-12-17  Charles G. Waldman <cgw@pgt.com>

	* package-admin.el: Change initialization of
	  package-admin-install-function dependent on system type.
	  Change package-admin-install-function-mswindows to use
	  "minitar".

1998-12-23  Hrvoje Niksic  <hniksic@srce.hr>

	* mouse.el (default-mouse-motion-handler): Disable help echo while
	in the minibuffer.

1998-12-28  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.8 is released.

1998-12-24  Martin Buchholz <martin@xemacs.org>

	* XEmacs 21.2.7 is released.

1998-12-07  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* package-ui.el (pui-list-packages): Set truncate-lines.

	* package-get.el (package-get-download-menu): Use
	`package-ui-add-site'. Add a a toggle to indicate it is in the list.

	* package-ui.el (pui-help): Ditch in favor of `describe-mode'
	(pui-help-string): idem.
	(list-packages-mode): New major mode.
	(pui-list-packages): Use 'list-packages-mode' in the package buffer.
	(pui-install-selected-packages): Add suport for removing packages.
	(pui-toggle-package-delete-key): New function.
	(pui-popup-context-sensitive): New kludge.
	(pui-list-packages): Add warning when `package-get-remote' is nil.
	(package-ui-add-site): New function.

1998-12-01  Didier Verna  <didier@xemacs.org>

	* hyper-apropos.el (hyper-where-is): added the missing autoload.

1998-11-29  Oscar Figueiredo  <Oscar.Figueiredo@di.epfl.ch>

	* ldap.el: Custom-ized
	(toplevel): Do not provide `ldap' which is provided by C level
	LDAP code
	(ldap-search): Docstring and stylistic fixes as suggested by Hrvoje

1998-12-05  Hrvoje Niksic  <hniksic@srce.hr>

	* isearch-mode.el (isearch-mode): Really fix keymap lossage.

1998-12-17  Andy Piper  <andy@xemacs.org>

	* sound.el (sound-load-list): name changed from sound-load-alist.
	(sound-extension-list): name changed from sound-ext-list.
	(load-default-sounds): use new names.
	(load-sound-file): use new names.

1998-12-16  Andy Piper  <andy@xemacs.org>

	* XEmacs 21.2.6 is released

1998-11-30  Hrvoje Niksic  <hniksic@srce.hr>

	* cus-dep.el (Custom-make-dependencies): Be smarter about trapping
	errors.

1998-12-04  Hrvoje Niksic  <hniksic@srce.hr>

	* wid-edit.el (widget-echo-this-extent): Set
	help-echo-owns-message to t.

1998-11-30  Greg Klanderman  <greg@alphatech.com>

	* package-get.el (package-get-download-menu): use toggles for
	  each site in the download site menu.

1998-12-01  Jan Vroonhof <vroonhof@math.ethz.ch>

	* package-get.el (package-get): If we cannot find a package
	  because package-get-remote is not set, give a more helpful
	  error message.

1998-11-30  Greg Klanderman  <greg@alphatech.com>

	* package-get.el (package-get-remote-filename): use an EFS path
	with user anonymous if no user is specified.

1998-12-10  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* faces.el (face-spec-set): Re-init fallfacks for default after
	calling reset-face on the default face.

1998-12-10  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* package-admin.el (package-admin-default-install-function):
	Behave as advertised.  Make sure the pkg-dir is proper for
	default-directory.
	(package-admin-add-binary-package): Make sure the pkg-dir is
	proper for default-directory.
	(package-admin-install-function-mswindows): Make sure the pkg-dir
	is proper for default-directory.

1998-12-05  XEmacs Build Bot <builds@cvs.xemacs.org>

	* XEmacs 21.2.5 is released

1998-12-05  SL Baur  <steve@altair.xemacs.org>

	* files.el (binary-file-regexps): regexp-opt is not available at
	bytecompile time.

1998-11-30  Martin Buchholz  <martin@xemacs.org>

	* x-win-xfree86.el:
	* x-win-sun.el (x-win-init-sun):
	* x-win-sun.el:
	* x-mouse.el (mouse-track-and-copy-to-cutbuffer):
	* x-iso8859-1.el:
	* x-init.el (init-post-x-win):
	* x-init.el (init-pre-x-win):
	* x-init.el (x-initialize-compose):
	* x-init.el:
	* x-compose.el:
	* winnt.el:
	* widget.el:
	* wid-edit.el (widget-glyph-click):
	* wid-edit.el (widget-glyph-find):
	* wid-edit.el (widget-type):
	* view-less.el (view-buffer-other-window):
	* very-early-lisp.el:
	* version.el:
	* toolbar.el:
	* toolbar-items.el:
	* term/sun.el (suntool-map):
	* term/sun-mouse.el:
	* term/internal.el:
	* syntax.el (modify-syntax-entry):
	* symbol-syntax.el:
	* subr.el:
	* startup.el (lock-directory):
	* simple.el (set-comment-column):
	* simple.el (backward-delete-char-untabify):
	* shadow.el (find-emacs-lisp-shadows):
	* shadow.el:
	* setup-paths.el (paths-construct-info-path):
	* select.el (cut-copy-clear-internal):
	* process.el (call-process-region):
	* process.el (start-process-shell-command):
	* process.el:
	* paths.el (rmail-spool-directory):
	* paragraphs.el (use-hard-newlines):
	* package-get.el (package-get-dependencies):
	* package-admin.el (package-admin-delete-binary-package):
	* obsolete.el (truncate-string):
	* obsolete.el (store-substring):
	* mouse.el (default-mouse-track-maybe-own-selection):
	* mouse.el (mouse-yank-at-point):
	* modeline.el:
	* modeline.el (mouse-drag-modeline):
	* minibuf.el (read-directory-name-internal):
	* minibuf.el (read-file-name-internal):
	* minibuf.el (read-file-name-internal-1):
	* minibuf.el (read-file-name-2):
	* minibuf.el (exact-minibuffer-completion-p):
	* minibuf.el (read-from-minibuffer):
	* minibuf.el:
	* menubar.el (check-menu-syntax):
	* map-ynp.el (map-y-or-n-p):
	* make-docfile.el (docfile-out-of-date):
	* loadup.el ((member "run-temacs" command-line-args)):
	* loadup.el ((member "no-site-file" command-line-args)):
	* loadup.el (really-early-error-handler):
	* loadup.el:
	* loadhist.el:
	* loaddefs.el:
	* lisp-mnt.el (lm-verify):
	* lib-complete.el (lib-complete:cache-completions):
	* lib-complete.el (library-all-completions):
	* itimer.el (itimer-run-expired-timers):
	* info.el (Info-mode):
	* info.el (Info-insert-file-contents):
	* info.el (Info-rebuild-dir):
	* info.el (Info-build-dir-anew):
	* info.el (Info-parse-dir-entries):
	* info.el (Info-dir-outdated-p):
	* info.el (Info-insert-dir):
	* info.el (info-xref):
	* info.el:
	* hyper-apropos.el (hyper-apropos-get-doc):
	* hyper-apropos.el (hyper-describe-face):
	* hyper-apropos.el (hyper-apropos-mode):
	* hyper-apropos.el:
	* help.el (list-processes):
	* help.el:
	* gnuserv.el:
	* font.el (mswindows-font-create-name):
	* font.el (font-default-font-for-device):
	* font.el (x-font-create-object):
	* font.el (font-registry):
	* font.el:
	* font-lock.el (font-lock-keywords):
	* font-lock.el:
	* finder.el (finder-compile-keywords):
	* find-paths.el (paths-find-recursive-path):
	* fill.el (set-justification-center):
	* fill.el (fill-region-as-paragraph):
	* files.el (insert-directory):
	* files.el (wildcard-to-regexp):
	* files.el (recover-file):
	* files.el (basic-save-buffer):
	* files.el (delete-auto-save-file-if-necessary):
	* files.el (file-relative-name):
	* files.el (backup-extract-version):
	* files.el (backup-buffer):
	* files.el (set-visited-file-name):
	* files.el (set-auto-mode):
	* files.el (interpreter-mode-alist):
	* files.el:
	* files.el (find-file-noselect):
	* files.el (abbreviate-file-name):
	* files.el (parse-colon-path):
	* files.el (directory-abbrev-alist):
	* etags.el (visit-tags-table-buffer):
	* easymenu.el (easy-menu-define):
	* dragdrop.el (experimental-dragdrop-drag):
	* dragdrop.el (dragdrop-drop-do-functions):
	* dragdrop.el (dragdrop-drop-at-point):
	* disass.el (disassemble-1):
	* disass.el (disassemble-internal):
	* disass.el (disassemble):
	* disass.el:
	* derived.el (derived-mode-init-mode-variables):
	* derived.el (define-derived-mode):
	* custom.el (defgroup):
	* cus-edit.el (custom-quote):
	* config.el:
	* code-process.el (open-network-stream):
	* code-process.el (start-process):
	* code-process.el (call-process-region):
	* code-process.el (call-process):
	* code-process.el:
	* code-files.el (insert-file-contents):
	* code-files.el:
	* code-files.el (buffer-file-coding-system-for-read):
	* cmdloop.el (yes-or-no-p-minibuf):
	* cl.el:
	* cl-macs.el:
	* cl-extra.el:
	* callers-of-rpt.el (make-caller-report):
	* callers-of-rpt.el:
	* bytecomp.el (batch-byte-recompile-directory):
	* bytecomp.el (batch-byte-compile-1):
	* bytecomp.el (batch-byte-compile):
	* bytecomp.el (display-call-tree):
	* bytecomp.el (byte-compile-insert):
	* bytecomp.el (byte-compile-two-args-19->20):
	* bytecomp.el (byte-compile-variable-ref):
	* bytecomp.el (byte-compile-form):
	* bytecomp.el (byte-compile-top-level-body):
	* bytecomp.el (byte-compile-out-toplevel):
	* bytecomp.el (byte-compile-byte-code-maker):
	* bytecomp.el (byte-compile-file-form-defmumble):
	* bytecomp.el (byte-compile-file-form):
	* bytecomp.el (byte-compile-keep-pending):
	* bytecomp.el (byte-compile-insert-header):
	* bytecomp.el (byte-compile-from-buffer):
	* bytecomp.el (byte-compile-file):
	* bytecomp.el (byte-recompile-file):
	* bytecomp.el (byte-compile-close-variables):
	* bytecomp.el (byte-compile-warn-about-unused-variables):
	* bytecomp.el (byte-compile-warn-about-unresolved-functions):
	* bytecomp.el (byte-compiler-legal-options):
	* bytecomp.el (byte-compile-lapcode):
	* bytecomp.el (byte-optimize-log):
	* bytecomp.el ((fboundp 'defsubst)):
	* bytecomp.el:
	* bytecomp-runtime.el:
	* byte-optimize.el (byte-optimize-apply):
	* byte-optimize.el (car):
	* byte-optimize.el (byte-optimize-form):
	* byte-optimize.el (byte-optimize-form-code-walker):
	* byte-optimize.el:
	* build-report.el (build-report-insert-installation-file):
	* build-report.el (build-report):
	* auto-show.el:
	* apropos.el (apropos-documentation):
	- mega patch
	- clean up byte-compile warnings
	- remove unused variables
	- Use common lisp style hashtable functions
	- byte compiler cleanup
	- use #'(lambda ...) instead of '(lambda ...) or (function (lambda ...))
	- remove old backquote syntax usage
	- move some cl functionality into C for speed.
	- remove last remaining VMS support
	- spelling fixes
	- implement last, butlast, nbutlast, copy-list in C.
	- new macro ignore-file-errors, similar to ignore-errors
	  (ignore-file-errors (delete-file "foo"))
	- get frequent garbage collection during loadup.el by tweaking
	  gc-cons-threshold, rather than explicitly calling garbage-collect
	- default delete-key-deletes-forward to `t'.

1998-11-28  SL Baur  <steve@altair.xemacs.org>

	* XEmacs 21.2-beta4 is released.

1998-11-27  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* easymenu.el (easy-menu-add-item): Wraper around add-menu-btton.
	(easy-menu-item-present-p): Wrapper around find-menu-item.
	(easy-menu-remove-item): Wrapper around delete-menu-item.

	* menubar.el (delete-menu-item): Add 'from-menu' argument.
	(add-menu-button): Add 'in-menu' argument.
	(add-menu-item-1): Add in-menu support to helper function.

1998-11-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* isearch-mode.el (isearch-mode): Fix keymap lossage.

1998-11-26  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* faces.el (get-custom-frame-properties): Revert Hrvoje Niksic change
	of Dec 4, 1997.

1998-11-25  Hrvoje Niksic  <hniksic@srce.hr>

	* process.el (shell-command-on-region): Report if the command
	succeeded or failed.

1998-11-24  Hrvoje Niksic  <hniksic@srce.hr>

	* subr.el (buffer-substring-no-properties): Comment out.

1998-11-07  Adrian Aichner  <adrian@xemacs.org>

	* msw-faces.el (mswindows-find-smaller-font): Turning font names
	  into font instances first, like `x-frob-font-size' does.
	  (mswindows-find-larger-font): ditto

1998-11-04  Greg Klanderman  <greg@alphatech.com>

	* package-ui.el (pui-install-selected-packages): fix args in call
	to `package-get'.

1998-10-29  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* package-get.el (host-name): New widget type.
	(package-get-remote): Better customization using new type.
	(package-get-download-sites): idem dito.

	(package-get-custom): Do not use package-get-all untill we have
	runtime dependencies.

	(package-get-remove-copy): Default to 't' we no longer need this
	kludge as we do not currently use depenencies.

